/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BPRM_OPTS_SKEL_H__
#define __BPRM_OPTS_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct bprm_opts {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *secure_exec_task_map;
	} maps;
	struct {
		struct bpf_program *secure_exec;
	} progs;
	struct {
		struct bpf_link *secure_exec;
	} links;
};

static void
bprm_opts__destroy(struct bprm_opts *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bprm_opts__create_skeleton(struct bprm_opts *obj);

static inline struct bprm_opts *
bprm_opts__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bprm_opts *obj;

	obj = (struct bprm_opts *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (bprm_opts__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	bprm_opts__destroy(obj);
	return NULL;
}

static inline struct bprm_opts *
bprm_opts__open(void)
{
	return bprm_opts__open_opts(NULL);
}

static inline int
bprm_opts__load(struct bprm_opts *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bprm_opts *
bprm_opts__open_and_load(void)
{
	struct bprm_opts *obj;

	obj = bprm_opts__open();
	if (!obj)
		return NULL;
	if (bprm_opts__load(obj)) {
		bprm_opts__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
bprm_opts__attach(struct bprm_opts *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bprm_opts__detach(struct bprm_opts *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
bprm_opts__create_skeleton(struct bprm_opts *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "bprm_opts";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "secure_exec_task_map";
	s->maps[0].map = &obj->maps.secure_exec_task_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "secure_exec";
	s->progs[0].prog = &obj->progs.secure_exec;
	s->progs[0].link = &obj->links.secure_exec;

	s->data_sz = 5952;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x11\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\x79\x16\0\0\0\0\0\0\x85\0\0\0\x9e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xbf\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\
\x9c\0\0\0\x15\0\x05\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x16\x01\x03\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x85\0\0\0\x9f\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\
\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\
\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\
\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x0b\x0b\
\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x09\
\x0f\0\x49\x13\0\0\x0a\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x0b\x15\x01\
\x49\x13\x27\x19\0\0\x0c\x05\0\x49\x13\0\0\x0d\x0f\0\0\0\x0e\x13\0\x03\x0e\x3c\
\x19\0\0\x0f\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x10\x15\0\x49\x13\x27\
\x19\0\0\x11\x04\x01\x49\x13\x0b\x0b\x3a\x0b\x3b\x05\0\0\x12\x28\0\x03\x0e\x1c\
\x0f\0\0\x13\x2e\x01\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x0b\0\0\x14\
\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x15\x34\0\x03\x0e\x3a\x0b\x3b\x0b\
\x49\x13\0\0\x16\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\
\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x17\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\
\x49\x13\0\0\x18\x1d\x01\x31\x13\x11\x01\x12\x06\x58\x0b\x59\x0b\x57\x0b\0\0\
\x19\x05\0\x31\x13\0\0\x1a\x05\0\x02\x18\x31\x13\0\0\x1b\x34\0\x02\x17\x31\x13\
\0\0\0\x11\x02\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x56\0\
\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\x02\xc6\0\0\0\x3f\0\0\0\x01\x0c\x09\x03\0\0\0\0\
\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xcf\0\0\0\x06\x01\x06\xd4\0\0\0\
\x08\x07\x02\xe8\0\0\0\x6e\0\0\0\x01\x13\x09\x03\0\0\0\0\0\0\0\0\x07\x20\x01\
\x0e\x08\xfd\0\0\0\xa3\0\0\0\x01\x0f\0\x08\x06\x01\0\0\xbb\0\0\0\x01\x10\x08\
\x08\x10\x01\0\0\xcc\0\0\0\x01\x11\x10\x08\x14\x01\0\0\xcc\0\0\0\x01\x12\x18\0\
\x09\xa8\0\0\0\x03\xb4\0\0\0\x04\x52\0\0\0\x1d\0\x05\x02\x01\0\0\x05\x04\x09\
\xc0\0\0\0\x03\xb4\0\0\0\x04\x52\0\0\0\x01\0\x09\xb4\0\0\0\x0a\x1a\x01\0\0\xdd\
\0\0\0\x03\x46\x0e\x09\xe2\0\0\0\x0b\xfc\0\0\0\x0c\xfc\0\0\0\x0c\xfd\0\0\0\x0c\
\xfc\0\0\0\x0c\x07\x01\0\0\0\x0d\x09\x02\x01\0\0\x0e\x2f\x01\0\0\x0f\x12\x01\0\
\0\x52\x01\0\0\x02\x1f\x05\x3b\x01\0\0\x07\x08\x0a\x58\x01\0\0\x25\x01\0\0\x03\
\x5e\x0e\x09\x2a\x01\0\0\x10\xfd\0\0\0\x0a\x71\x01\0\0\x3b\x01\0\0\x03\x6c\x0e\
\x09\x40\x01\0\0\x0b\x50\x01\0\0\x0c\x57\x01\0\0\x0c\x07\x01\0\0\0\x05\x83\x01\
\0\0\x05\x08\x09\x5c\x01\0\0\x0e\x8c\x01\0\0\x11\x77\x01\0\0\x04\x04\x12\x10\
\x12\xa6\x01\0\0\x01\x12\xc5\x01\0\0\x01\0\x05\x99\x01\0\0\x07\x04\x11\x77\x01\
\0\0\x04\x04\x50\x10\x12\xe1\x01\0\0\x01\0\x13\xf7\x01\0\0\x01\x16\xb4\0\0\0\
\x01\x14\x07\x02\0\0\x01\x16\xbc\x01\0\0\x14\x0b\x02\0\0\x01\x16\x57\x01\0\0\
\x15\x10\x02\0\0\x01\x18\xcc\0\0\0\0\x09\x12\x01\0\0\x16\0\0\0\0\0\0\0\0\x80\0\
\0\0\x01\x5a\x1b\x02\0\0\x01\x16\xb4\0\0\0\x17\0\0\0\0\x07\x02\0\0\x01\x16\xbc\
\x01\0\0\x18\x8e\x01\0\0\x08\0\0\0\0\0\0\0\x68\0\0\0\x01\x16\x05\x19\x9a\x01\0\
\0\x1a\x01\x56\xa5\x01\0\0\x1b\x23\0\0\0\xb0\x01\0\0\0\0\0\x63\x6c\x61\x6e\x67\
\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\
\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\
\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\
\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x62\x70\x72\x6d\x5f\x6f\x70\x74\
\x73\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\
\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\
\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x65\x63\x75\x72\x65\
\x5f\x65\x78\x65\x63\x5f\x74\x61\x73\x6b\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\
\x69\x6e\x74\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\
\x67\x65\x74\0\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\
\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\0\x62\x70\x66\x5f\x62\x70\x72\x6d\x5f\x6f\
\x70\x74\x73\x5f\x73\x65\x74\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x6c\x69\x6e\
\x75\x78\x5f\x62\x69\x6e\x70\x72\x6d\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x42\x50\x46\x5f\x4c\x4f\x43\x41\x4c\x5f\x53\x54\x4f\x52\x41\x47\x45\
\x5f\x47\x45\x54\x5f\x46\x5f\x43\x52\x45\x41\x54\x45\0\x42\x50\x46\x5f\x53\x4b\
\x5f\x53\x54\x4f\x52\x41\x47\x45\x5f\x47\x45\x54\x5f\x46\x5f\x43\x52\x45\x41\
\x54\x45\0\x42\x50\x46\x5f\x46\x5f\x42\x50\x52\x4d\x5f\x53\x45\x43\x55\x52\x45\
\x45\x58\x45\x43\0\x5f\x5f\x5f\x5f\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\
\0\x63\x74\x78\0\x62\x70\x72\x6d\0\x73\x65\x63\x75\x72\x65\x65\x78\x65\x63\0\
\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\x64\x01\0\0\x64\x01\0\0\x0b\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1d\
\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\
\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\
\0\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\x32\0\
\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x47\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5e\0\0\0\x0a\0\0\0\x62\
\0\0\0\x01\0\0\x0c\x0c\0\0\0\xef\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\
\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x04\0\0\0\x04\0\0\0\xf4\x01\0\0\0\0\0\x0e\x0f\0\
\0\0\x01\0\0\0\xfd\x01\0\0\x01\0\0\x0f\0\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x03\
\x02\0\0\x01\0\0\x0f\0\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\x5f\x74\x61\x73\x6b\x5f\
\x6d\x61\x70\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x73\x65\x63\x75\x72\x65\x5f\x65\x78\
\x65\x63\0\x6c\x73\x6d\x2f\x62\x70\x72\x6d\x5f\x63\x72\x65\x64\x73\x5f\x66\x6f\
\x72\x5f\x65\x78\x65\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\
\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\
\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x72\x6d\x5f\x6f\x70\x74\x73\
\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x73\x65\x63\x75\
\x72\x65\x5f\x65\x78\x65\x63\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x6c\x69\x6e\
\x75\x78\x5f\x62\x69\x6e\x70\x72\x6d\x20\x2a\x62\x70\x72\x6d\x29\0\x09\x09\x09\
\x09\x20\x20\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\
\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\x29\x2c\x20\x30\x2c\0\x09\x73\x65\x63\
\x75\x72\x65\x65\x78\x65\x63\x20\x3d\x20\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\
\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x73\x65\x63\x75\x72\x65\
\x5f\x65\x78\x65\x63\x5f\x74\x61\x73\x6b\x5f\x6d\x61\x70\x2c\0\x09\x69\x66\x20\
\x28\x73\x65\x63\x75\x72\x65\x65\x78\x65\x63\x20\x26\x26\x20\x2a\x73\x65\x63\
\x75\x72\x65\x65\x78\x65\x63\x29\0\x09\x09\x62\x70\x66\x5f\x62\x70\x72\x6d\x5f\
\x6f\x70\x74\x73\x5f\x73\x65\x74\x28\x62\x70\x72\x6d\x2c\x20\x42\x50\x46\x5f\
\x46\x5f\x42\x50\x52\x4d\x5f\x53\x45\x43\x55\x52\x45\x45\x58\x45\x43\x29\x3b\0\
\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\
\x8c\0\0\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\x6e\0\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\
\x10\0\0\0\x6e\0\0\0\x08\0\0\0\0\0\0\0\x86\0\0\0\x08\x01\0\0\x05\x58\0\0\x08\0\
\0\0\x86\0\0\0\x3d\x01\0\0\x08\x6c\0\0\x10\0\0\0\x86\0\0\0\x63\x01\0\0\x0f\x68\
\0\0\x40\0\0\0\x86\0\0\0\x9d\x01\0\0\x11\x78\0\0\x48\0\0\0\x86\0\0\0\x9d\x01\0\
\0\x14\x78\0\0\x50\0\0\0\x86\0\0\0\x9d\x01\0\0\x06\x78\0\0\x58\0\0\0\x86\0\0\0\
\xbd\x01\0\0\x03\x7c\0\0\x70\0\0\0\x86\0\0\0\x08\x01\0\0\x05\x58\0\0\0\0\0\0\0\
\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x80\0\0\0\0\0\0\0\x23\x01\0\0\x04\0\xed\0\0\0\x08\x01\x01\xfb\x0e\
\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\
\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\
\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\
\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x62\x70\x72\x6d\x5f\
\x6f\x70\x74\x73\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\
\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\
\x03\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\
\x78\x2f\x62\x70\x66\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x15\x01\
\x05\x05\x0a\x01\x05\x08\x25\x05\x0f\x1f\x05\x11\x6a\x05\x14\x06\x20\x05\x06\
\x20\x05\x03\x06\x21\x05\x05\x03\x77\x3c\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe8\0\0\0\0\0\x03\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x11\
\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\
\0\x80\0\0\0\0\0\0\0\x33\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\
\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x16\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x37\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x53\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x66\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x73\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x7f\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x8b\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x97\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb5\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\xd2\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x03\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x0c\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x13\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\
\0\x1a\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x30\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\
\0\0\x51\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x5d\x01\0\0\0\0\0\0\x0a\0\0\0\x06\
\0\0\0\x6b\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x71\x01\0\0\0\0\0\0\x0a\0\0\0\
\x06\0\0\0\x78\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x88\x01\0\0\0\0\0\0\x0a\0\0\
\0\x06\0\0\0\x8f\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x9b\x01\0\0\0\0\0\0\x0a\0\
\0\0\x06\0\0\0\xa6\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb1\x01\0\0\0\0\0\0\x0a\
\0\0\0\x06\0\0\0\xc2\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\xd0\x01\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xdb\x01\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xdf\x01\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\xee\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x0a\x02\0\0\0\0\
\0\0\x0a\0\0\0\x04\0\0\0\x5c\x01\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x74\x01\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\xb0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x18\
\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\xfa\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x0a\
\x09\x0b\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\
\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x6d\x61\x70\
\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x73\x65\x63\x75\x72\x65\x5f\
\x65\x78\x65\x63\x5f\x74\x61\x73\x6b\x5f\x6d\x61\x70\0\x2e\x72\x65\x6c\x2e\x64\
\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\
\x73\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\
\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x2e\x72\x65\
\x6c\x6c\x73\x6d\x2f\x62\x70\x72\x6d\x5f\x63\x72\x65\x64\x73\x5f\x66\x6f\x72\
\x5f\x65\x78\x65\x63\0\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\0\x62\x70\
\x72\x6d\x5f\x6f\x70\x74\x73\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\
\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\
\x33\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcf\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcb\x10\0\0\0\0\0\0\xef\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x9b\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0d\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x67\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2e\x01\0\0\0\0\0\0\x41\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\
\x02\0\0\0\0\0\0\x15\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x48\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x0d\0\0\0\0\0\
\0\x70\x02\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x28\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\x04\0\0\0\0\0\0\x27\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xe3\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\x06\0\0\0\0\0\0\x87\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0f\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\
\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x32\x0a\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\x10\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x15\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x83\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\
\x0a\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x10\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x73\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0b\0\0\0\0\0\0\x27\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x10\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\
\0\0\x12\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x58\0\0\0\x03\x4c\xff\x6f\0\
\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x10\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x48\x0c\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __BPRM_OPTS_SKEL_H__ */
