/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __MODIFY_RETURN_SKEL_H__
#define __MODIFY_RETURN_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct modify_return {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fentry_test;
		struct bpf_program *fmod_ret_test;
		struct bpf_program *fexit_test;
	} progs;
	struct {
		struct bpf_link *fentry_test;
		struct bpf_link *fmod_ret_test;
		struct bpf_link *fexit_test;
	} links;
	struct modify_return__bss {
		__s32 input_retval;
		char __pad0[4];
		__u64 fentry_result;
		__u64 fmod_ret_result;
		__u64 fexit_result;
		int sequence;
	} *bss;
};

static void
modify_return__destroy(struct modify_return *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
modify_return__create_skeleton(struct modify_return *obj);

static inline struct modify_return *
modify_return__open_opts(const struct bpf_object_open_opts *opts)
{
	struct modify_return *obj;

	obj = (struct modify_return *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (modify_return__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	modify_return__destroy(obj);
	return NULL;
}

static inline struct modify_return *
modify_return__open(void)
{
	return modify_return__open_opts(NULL);
}

static inline int
modify_return__load(struct modify_return *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct modify_return *
modify_return__open_and_load(void)
{
	struct modify_return *obj;

	obj = modify_return__open();
	if (!obj)
		return NULL;
	if (modify_return__load(obj)) {
		modify_return__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
modify_return__attach(struct modify_return *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
modify_return__detach(struct modify_return *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
modify_return__create_skeleton(struct modify_return *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "modify_return";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "modify_r.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "fentry_test";
	s->progs[0].prog = &obj->progs.fentry_test;
	s->progs[0].link = &obj->links.fentry_test;

	s->progs[1].name = "fmod_ret_test";
	s->progs[1].prog = &obj->progs.fmod_ret_test;
	s->progs[1].link = &obj->links.fmod_ret_test;

	s->progs[2].name = "fexit_test";
	s->progs[2].prog = &obj->progs.fexit_test;
	s->progs[2].link = &obj->links.fexit_test;

	s->data_sz = 8856;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x1b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1d\0\
\x01\0\x18\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\xbc\x23\0\0\0\
\0\0\0\x04\x03\0\0\x01\0\0\0\x63\x31\0\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x16\x02\
\x01\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\
\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x12\x10\0\0\0\0\0\x18\x01\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\x61\x14\0\0\0\0\0\0\x04\x04\0\0\x01\0\0\0\x63\
\x41\0\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\xb4\x03\0\0\x01\0\0\0\x16\x04\x01\0\x02\
\0\0\0\xb4\x03\0\0\0\0\0\0\x16\x02\x01\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x5c\x31\0\
\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x23\0\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\xb4\x01\0\0\x01\
\0\0\0\xb4\x04\0\0\x01\0\0\0\x1e\x53\x01\0\0\0\0\0\xb4\x04\0\0\0\0\0\0\xb4\x02\
\0\0\x01\0\0\0\x16\x05\x01\0\x04\0\0\0\xb4\x02\0\0\0\0\0\0\x16\x03\x01\0\0\0\0\
\0\xbc\x42\0\0\0\0\0\0\x18\x03\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\x61\x34\0\0\0\0\0\
\0\x04\x04\0\0\x01\0\0\0\x63\x43\0\0\0\0\0\0\x16\x04\x01\0\x03\0\0\0\xb4\x01\0\
\0\0\0\0\0\x5c\x21\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\
\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xff\xff\xff\
\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\
\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x78\0\0\
\0\0\0\0\0\x01\0\x52\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\
\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x28\0\0\
\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x01\0\x55\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\
\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\0\0\x02\x34\0\x03\
\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\
\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\
\x0e\x0b\x0b\x3e\x0b\0\0\x07\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x08\x34\
\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x02\x18\0\0\x09\x0f\0\0\0\x0a\x2e\x01\x03\
\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x0b\0\0\x0b\x05\0\x03\x0e\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x0c\x0f\0\x49\x13\0\0\x0d\x2e\x01\x11\x01\x12\x06\x40\x18\x97\
\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x0e\x05\0\x02\x17\
\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0f\x1d\x01\x31\x13\x11\x01\x12\x06\x58\
\x0b\x59\x0b\x57\x0b\0\0\x10\x05\0\x31\x13\0\0\x11\x05\0\x02\x17\x31\x13\0\0\
\x12\x1d\x01\x31\x13\x55\x17\x58\x0b\x59\x0b\x57\x0b\0\0\0\x7f\x02\0\0\x04\0\0\
\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5a\0\0\0\0\0\0\0\0\0\0\0\x30\0\
\0\0\x02\xca\0\0\0\x3f\0\0\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\
\x52\0\0\0\x04\0\x05\xd3\0\0\0\x06\x01\x06\xd8\0\0\0\x08\x07\x02\xec\0\0\0\x6e\
\0\0\0\x01\x0e\x09\x03\0\0\0\0\0\0\0\0\x07\x79\0\0\0\xfd\0\0\0\x02\x1a\x05\xf9\
\0\0\0\x05\x04\x02\x03\x01\0\0\x95\0\0\0\x01\x10\x09\x03\0\0\0\0\0\0\0\0\x07\
\xa0\0\0\0\x28\x01\0\0\x02\x1f\x05\x11\x01\0\0\x07\x08\x02\x2e\x01\0\0\x95\0\0\
\0\x01\x19\x09\x03\0\0\0\0\0\0\0\0\x02\x3e\x01\0\0\x95\0\0\0\x01\x23\x09\x03\0\
\0\0\0\0\0\0\0\x08\x4b\x01\0\0\x79\0\0\0\x01\x0d\x09\x03\x20\0\0\0\0\0\0\0\x09\
\x0a\x54\x01\0\0\x01\x12\x79\0\0\0\x01\x0b\x64\x01\0\0\x01\x12\x15\x01\0\0\x0b\
\x68\x01\0\0\x01\x12\x79\0\0\0\x0b\x6a\x01\0\0\x01\x12\x95\0\0\0\0\x0c\xa0\0\0\
\0\x0d\0\0\0\0\0\0\0\0\x70\0\0\0\x01\x5a\x91\x01\0\0\x01\x12\x79\0\0\0\x0e\0\0\
\0\0\x64\x01\0\0\x01\x12\x15\x01\0\0\x0f\xe7\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\
\x01\x12\x05\x10\xf3\0\0\0\x10\xfe\0\0\0\x10\x09\x01\0\0\0\0\x0a\x6c\x01\0\0\
\x01\x1b\x79\0\0\0\x01\x0b\x64\x01\0\0\x01\x1b\x15\x01\0\0\x0b\x68\x01\0\0\x01\
\x1b\x79\0\0\0\x0b\x6a\x01\0\0\x01\x1b\xa0\x01\0\0\x0b\x7e\x01\0\0\x01\x1b\x79\
\0\0\0\0\x0c\x79\0\0\0\x0d\0\0\0\0\0\0\0\0\xa0\0\0\0\x01\x5a\x9d\x01\0\0\x01\
\x1b\x79\0\0\0\x0e\x33\0\0\0\x64\x01\0\0\x01\x1b\x15\x01\0\0\x0f\x67\x01\0\0\
\x08\0\0\0\0\0\0\0\x90\0\0\0\x01\x1b\x05\x10\x73\x01\0\0\x10\x7e\x01\0\0\x10\
\x89\x01\0\0\x11\x66\0\0\0\x94\x01\0\0\0\0\x0a\x82\x01\0\0\x01\x25\x79\0\0\0\
\x01\x0b\x64\x01\0\0\x01\x25\x15\x01\0\0\x0b\x68\x01\0\0\x01\x25\x79\0\0\0\x0b\
\x6a\x01\0\0\x01\x25\x95\0\0\0\x0b\x7e\x01\0\0\x01\x25\x79\0\0\0\0\x0d\0\0\0\0\
\0\0\0\0\xd0\0\0\0\x01\x5a\xab\x01\0\0\x01\x25\x79\0\0\0\x0e\x99\0\0\0\x64\x01\
\0\0\x01\x25\x15\x01\0\0\x12\xfb\x01\0\0\0\0\0\0\x01\x25\x05\x10\x07\x02\0\0\
\x10\x12\x02\0\0\x10\x1d\x02\0\0\x11\xcc\0\0\0\x28\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\
\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\
\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\
\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\
\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x6d\x6f\x64\x69\x66\x79\
\x5f\x72\x65\x74\x75\x72\x6e\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\
\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\
\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x69\x6e\x70\x75\x74\x5f\x72\x65\x74\x76\x61\x6c\0\x69\x6e\x74\0\x5f\x5f\x73\
\x33\x32\0\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\x73\x75\x6c\x74\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x5f\x5f\x75\x36\x34\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x72\x65\x73\x75\x6c\
\x74\0\x66\x65\x78\x69\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x65\x71\x75\x65\
\x6e\x63\x65\0\x5f\x5f\x5f\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\0\
\x63\x74\x78\0\x61\0\x62\0\x5f\x5f\x5f\x5f\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\
\x74\x65\x73\x74\0\x72\x65\x74\0\x5f\x5f\x5f\x5f\x66\x65\x78\x69\x74\x5f\x74\
\x65\x73\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\0\x66\x6d\x6f\x64\
\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\
\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x9c\x01\0\0\x9c\x01\0\0\xba\x02\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x0d\x04\0\0\0\x18\0\0\0\x01\0\0\0\x1c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x20\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x18\0\0\0\x01\0\
\0\0\x29\x01\0\0\x01\0\0\x0c\x06\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x18\0\0\0\
\x01\0\0\0\xd1\x01\0\0\x01\0\0\x0c\x08\0\0\0\x3e\x02\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x04\0\0\0\x43\x02\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x57\x02\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\x60\
\x02\0\0\0\0\0\x08\x04\0\0\0\x66\x02\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x73\x02\
\0\0\0\0\0\x08\x02\0\0\0\x79\x02\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x87\x02\0\0\
\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x97\x02\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\xa4\
\x02\0\0\0\0\0\x0e\x04\0\0\0\0\0\0\0\xad\x02\0\0\x05\0\0\x0f\0\0\0\0\x0f\0\0\0\
\0\0\0\0\x04\0\0\0\x11\0\0\0\0\0\0\0\x08\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\x13\
\0\0\0\0\0\0\0\x08\0\0\0\x14\0\0\0\x20\0\0\0\x04\0\0\0\xb2\x02\0\0\x01\0\0\x0f\
\0\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x69\x6e\x74\0\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x62\
\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\
\x73\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\
\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\
\x2e\x63\0\x09\x73\x65\x71\x75\x65\x6e\x63\x65\x2b\x2b\x3b\0\x09\x66\x65\x6e\
\x74\x72\x79\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x28\x73\x65\x71\x75\x65\
\x6e\x63\x65\x20\x3d\x3d\x20\x31\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x2c\x20\x69\x6e\
\x74\x20\x61\x2c\x20\x5f\x5f\x75\x36\x34\x20\x62\x29\0\x66\x6d\x6f\x64\x5f\x72\
\x65\x74\x5f\x74\x65\x73\x74\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\
\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x6d\x6f\x64\x5f\x72\
\x65\x74\x5f\x74\x65\x73\x74\x2c\x20\x69\x6e\x74\x20\x61\x2c\x20\x69\x6e\x74\
\x20\x2a\x62\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x09\x66\x6d\x6f\x64\x5f\
\x72\x65\x74\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x28\x73\x65\x71\x75\x65\
\x6e\x63\x65\x20\x3d\x3d\x20\x32\x20\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\
\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x69\x6e\x70\x75\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3b\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\0\x66\x65\x78\
\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\
\x6e\x5f\x74\x65\x73\x74\0\x09\x69\x66\x20\x28\x69\x6e\x70\x75\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\
\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x2c\x20\x69\x6e\x74\x20\x61\x2c\x20\x5f\
\x5f\x75\x36\x34\x20\x62\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x73\x33\x32\0\x69\x6e\x70\x75\
\x74\x5f\x72\x65\x74\x76\x61\x6c\0\x5f\x5f\x75\x36\x34\0\x66\x65\x6e\x74\x72\
\x79\x5f\x72\x65\x73\x75\x6c\x74\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x72\x65\
\x73\x75\x6c\x74\0\x66\x65\x78\x69\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x65\
\x71\x75\x65\x6e\x63\x65\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x2c\x01\0\0\x60\x01\0\0\0\0\0\
\0\x08\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x37\x01\0\0\x01\0\0\0\0\0\0\
\0\x07\0\0\0\xdc\x01\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\x10\0\0\0\x2c\0\0\0\x04\0\
\0\0\0\0\0\0\x4a\0\0\0\xd0\0\0\0\x0a\x50\0\0\x38\0\0\0\x4a\0\0\0\xdd\0\0\0\x1c\
\x54\0\0\x48\0\0\0\x4a\0\0\0\xdd\0\0\0\x10\x54\0\0\x60\0\0\0\x4a\0\0\0\xff\0\0\
\0\x05\x48\0\0\x37\x01\0\0\x07\0\0\0\0\0\0\0\x4a\0\0\0\x57\x01\0\0\x05\x6c\0\0\
\x08\0\0\0\x4a\0\0\0\xd0\0\0\0\x0a\x74\0\0\x38\0\0\0\x4a\0\0\0\x8b\x01\0\0\x1e\
\x7c\0\0\x50\0\0\0\x4a\0\0\0\x8b\x01\0\0\x23\x7c\0\0\x68\0\0\0\x4a\0\0\0\x8b\
\x01\0\0\x12\x7c\0\0\x80\0\0\0\x4a\0\0\0\xbb\x01\0\0\x09\x80\0\0\x98\0\0\0\x4a\
\0\0\0\x57\x01\0\0\x05\x6c\0\0\xdc\x01\0\0\x06\0\0\0\0\0\0\0\x4a\0\0\0\xf9\x01\
\0\0\x06\xac\0\0\x18\0\0\0\x4a\0\0\0\x0c\x02\0\0\x05\x94\0\0\x28\0\0\0\x4a\0\0\
\0\xf9\x01\0\0\x06\xac\0\0\x68\0\0\0\x4a\0\0\0\xd0\0\0\0\x0a\x9c\0\0\x90\0\0\0\
\x4a\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\x4a\0\0\0\x0c\x02\0\0\x05\x94\0\0\x0c\0\0\
\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x70\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x14\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\xd5\0\0\0\x04\0\x54\0\0\0\x08\x01\
\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\
\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\
\x65\x72\x69\x63\0\0\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x2e\
\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\0\0\x09\x02\0\
\0\0\0\0\0\0\0\x03\x11\x01\x05\x0a\x0a\x14\x05\x1c\x75\x05\x10\x06\x2e\x05\x05\
\x06\x39\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1a\x01\x05\x05\x0a\
\x01\x05\x0a\x22\x05\x1e\x68\x05\x23\x06\x3c\x05\x12\x3c\x05\x09\x06\x3d\x05\
\x05\x37\x02\x01\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x24\x01\x05\x06\x0a\
\x18\x05\x05\x03\x7a\x3c\x05\x06\x34\x05\x0a\x7e\x05\0\x06\x03\x59\x58\x05\x05\
\x06\x03\x25\x66\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x68\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbb\x01\0\0\0\0\x03\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\x05\0\
\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\x01\0\0\0\0\x05\0\x60\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xad\x01\0\0\0\0\x07\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\x01\0\
\0\0\0\x07\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\0\x07\0\x68\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x91\x01\0\0\0\0\x07\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x50\x01\0\0\x01\0\x0a\0\x20\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\x01\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xae\0\0\0\x11\0\x0a\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x22\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\xbc\0\0\0\x11\0\x0a\0\
\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x2e\0\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\xd0\
\0\0\0\0\0\0\0\xc9\0\0\0\x11\0\x0a\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x39\0\
\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x0b\x01\0\0\x11\0\x0a\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x48\0\0\0\0\
\0\0\0\x01\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x68\0\0\0\0\0\
\0\0\x01\0\0\0\x19\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x1b\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xa8\0\0\0\0\0\0\0\
\x01\0\0\0\x17\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x3b\0\0\0\0\0\0\0\
\x01\0\0\0\x0b\0\0\0\x6e\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xa1\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\xd4\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x06\0\0\0\0\0\0\0\
\x0a\0\0\0\x0f\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x12\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x1a\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\x26\0\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\x2b\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x4c\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x5a\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x73\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\x7a\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x81\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\x8d\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x9a\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\xa1\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\xa8\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\xb4\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\xbd\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\xc9\0\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\xd2\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\xde\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xe8\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\xf4\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\xff\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\x0a\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x1b\x01\0\0\0\0\0\
\0\x01\0\0\0\x0a\0\0\0\x29\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x34\x01\0\0\0\0\
\0\0\x0a\0\0\0\x0e\0\0\0\x38\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x47\x01\0\0\0\
\0\0\0\x01\0\0\0\x0a\0\0\0\x68\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x74\x01\0\0\
\0\0\0\0\x0a\0\0\0\x11\0\0\0\x7f\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x8a\x01\0\
\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x95\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\xa6\x01\
\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xb4\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\xbf\
\x01\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\xc3\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\
\xd2\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xf1\x01\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\
\0\xfc\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x08\x02\0\0\0\0\0\0\x0a\0\0\0\x11\0\
\0\0\x13\x02\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x1e\x02\0\0\0\0\0\0\x0a\0\0\0\x11\
\0\0\0\x29\x02\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x35\x02\0\0\0\0\0\0\x01\0\0\0\
\x0c\0\0\0\x43\x02\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x4e\x02\0\0\0\0\0\0\x0a\0\0\
\0\x0e\0\0\0\x52\x02\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x61\x02\0\0\0\0\0\0\x0a\0\
\0\0\x10\0\0\0\x78\x02\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x0c\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x0a\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\
\x0c\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x64\x01\0\0\0\0\0\0\0\0\0\0\
\x1b\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x7c\x01\0\0\0\0\0\0\0\0\0\0\
\x19\0\0\0\x88\x01\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x94\x01\0\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\xac\x01\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x0a\
\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x4c\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\
\x60\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xa8\0\0\0\0\
\0\0\0\0\0\0\0\x0b\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\xc8\0\0\0\0\0\0\0\
\0\0\0\0\x0b\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\
\0\x0b\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x08\x01\0\0\0\0\0\0\0\0\0\0\
\x0b\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\
\x0c\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\
\x0c\0\0\0\x60\x01\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\
\x0c\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x0a\0\0\0\x2c\0\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\x44\0\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\
\x0c\0\0\0\x61\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x83\0\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\xae\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x16\x1a\x18\x14\0\x2e\x64\x65\
\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\0\x66\x6d\x6f\x64\x5f\x72\x65\
\x74\x5f\x74\x65\x73\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\
\x74\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\
\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x2e\x72\x65\x6c\x66\
\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\
\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x72\
\x65\x73\x75\x6c\x74\0\x66\x65\x78\x69\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x66\
\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x2e\x62\x73\x73\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\
\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x69\x6e\x66\x6f\0\x69\x6e\x70\x75\x74\x5f\x72\x65\x74\x76\x61\x6c\0\x2e\x6c\
\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\
\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x73\x65\x71\x75\x65\x6e\
\x63\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x6d\x6f\
\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x2e\x63\0\x2e\x73\x74\x72\x74\x61\
\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\
\x42\x32\x5f\x38\0\x4c\x42\x42\x32\x5f\x36\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\
\x42\x31\x5f\x34\0\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\
\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\
\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\x19\0\0\0\0\0\0\xc2\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x80\x12\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x8e\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\
\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x8a\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x12\0\0\0\0\0\0\x30\
\0\0\0\0\0\0\0\x1c\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6d\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\xd0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x12\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1c\0\0\0\
\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x27\x01\0\0\x01\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd9\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5d\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\x02\0\0\0\0\0\0\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x59\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\x1c\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\x03\0\0\0\0\0\0\xea\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x04\0\0\0\0\0\0\x83\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x50\x13\0\0\0\0\0\0\x70\x03\0\0\0\0\0\0\x1c\0\0\0\x0e\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x94\x06\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xde\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\
\x16\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x1c\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xf0\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x07\0\0\
\0\0\0\0\xb6\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x8c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xba\x08\0\0\0\0\0\0\
\x6e\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x01\
\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x17\0\0\0\0\0\0\x60\0\0\0\0\
\0\0\0\x1c\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0d\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x17\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\x1c\0\0\0\x15\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x43\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa8\x0e\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x19\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x1c\0\0\0\x17\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x33\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\
\0\0\0\0\0\0\xd9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x2f\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x19\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\x1c\0\0\0\x19\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x18\
\x01\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x90\x19\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x01\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0f\0\0\0\0\0\0\xa0\x02\0\0\
\0\0\0\0\x01\0\0\0\x14\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __MODIFY_RETURN_SKEL_H__ */
