/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __FEXIT_SLEEP_SKEL_H__
#define __FEXIT_SLEEP_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct fexit_sleep {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *nanosleep_fentry;
		struct bpf_program *nanosleep_fexit;
	} progs;
	struct {
		struct bpf_link *nanosleep_fentry;
		struct bpf_link *nanosleep_fexit;
	} links;
	struct fexit_sleep__bss {
		int pid;
		int fentry_cnt;
		int fexit_cnt;
	} *bss;
};

static void
fexit_sleep__destroy(struct fexit_sleep *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
fexit_sleep__create_skeleton(struct fexit_sleep *obj);

static inline struct fexit_sleep *
fexit_sleep__open_opts(const struct bpf_object_open_opts *opts)
{
	struct fexit_sleep *obj;

	obj = (struct fexit_sleep *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (fexit_sleep__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	fexit_sleep__destroy(obj);
	return NULL;
}

static inline struct fexit_sleep *
fexit_sleep__open(void)
{
	return fexit_sleep__open_opts(NULL);
}

static inline int
fexit_sleep__load(struct fexit_sleep *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct fexit_sleep *
fexit_sleep__open_and_load(void)
{
	struct fexit_sleep *obj;

	obj = fexit_sleep__open();
	if (!obj)
		return NULL;
	if (fexit_sleep__load(obj)) {
		fexit_sleep__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
fexit_sleep__attach(struct fexit_sleep *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
fexit_sleep__detach(struct fexit_sleep *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
fexit_sleep__create_skeleton(struct fexit_sleep *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "fexit_sleep";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "fexit_sl.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "nanosleep_fentry";
	s->progs[0].prog = &obj->progs.nanosleep_fentry;
	s->progs[0].link = &obj->links.nanosleep_fentry;

	s->progs[1].name = "nanosleep_fexit";
	s->progs[1].prog = &obj->progs.nanosleep_fexit;
	s->progs[1].link = &obj->links.nanosleep_fexit;

	s->data_sz = 7336;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1b\0\
\x01\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\
\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x01\x05\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x63\x21\0\0\
\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\
\0\0\x5d\x01\x05\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\
\0\0\x07\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\
\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\
\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\
\x17\x1b\x0e\x11\x01\x55\x17\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\
\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\
\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x34\0\
\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x08\x0f\0\x49\x13\0\0\x09\x15\0\x49\x13\
\x27\x19\0\0\x0a\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0b\x0f\0\0\0\x0c\
\x2e\x01\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x0b\0\0\x0d\x05\0\x03\x0e\
\x3a\x0b\x3b\x0b\x49\x13\0\0\x0e\x26\0\x49\x13\0\0\x0f\x13\x01\x03\x0e\x0b\x0b\
\x3a\x0b\x3b\x05\0\0\x10\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x11\
\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\
\x49\x13\x3f\x19\0\0\x12\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x13\
\x1d\x01\x31\x13\x11\x01\x12\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x14\x05\0\x31\x13\
\0\0\0\xdc\x02\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x58\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xc8\0\0\0\x3f\0\0\0\x01\x07\x09\x03\0\0\0\0\0\
\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xd0\0\0\0\x06\x01\x06\xd5\0\0\0\
\x08\x07\x02\xe9\0\0\0\x6e\0\0\0\x01\x09\x09\x03\0\0\0\0\0\0\0\0\x05\xed\0\0\0\
\x05\x04\x02\xf1\0\0\0\x6e\0\0\0\x01\x0a\x09\x03\0\0\0\0\0\0\0\0\x02\xfc\0\0\0\
\x6e\0\0\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\x07\x06\x01\0\0\xab\0\0\0\x03\x68\
\x01\x08\xb0\0\0\0\x09\xb5\0\0\0\x0a\xc0\0\0\0\x36\x01\0\0\x02\x16\x05\x1f\x01\
\0\0\x07\x08\x0b\x0c\x3c\x01\0\0\x01\x0e\x6e\0\0\0\x01\x0d\x51\x01\0\0\x01\x0e\
\xeb\0\0\0\x0d\x55\x01\0\0\x01\x0e\xf0\0\0\0\0\x08\xc0\0\0\0\x08\xf5\0\0\0\x0e\
\xfa\0\0\0\x0f\xb9\x01\0\0\xa8\x02\xf7\x05\x10\x5a\x01\0\0\x15\x02\0\0\x02\xf8\
\x05\0\x10\x70\x01\0\0\x15\x02\0\0\x02\xf9\x05\x08\x10\x74\x01\0\0\x15\x02\0\0\
\x02\xfa\x05\x10\x10\x78\x01\0\0\x15\x02\0\0\x02\xfb\x05\x18\x10\x7c\x01\0\0\
\x15\x02\0\0\x02\xfc\x05\x20\x10\x7f\x01\0\0\x15\x02\0\0\x02\xfd\x05\x28\x10\
\x82\x01\0\0\x15\x02\0\0\x02\xfe\x05\x30\x10\x86\x01\0\0\x15\x02\0\0\x02\xff\
\x05\x38\x10\x8a\x01\0\0\x15\x02\0\0\x02\0\x06\x40\x10\x8d\x01\0\0\x15\x02\0\0\
\x02\x01\x06\x48\x10\x90\x01\0\0\x15\x02\0\0\x02\x02\x06\x50\x10\x93\x01\0\0\
\x15\x02\0\0\x02\x03\x06\x58\x10\x96\x01\0\0\x15\x02\0\0\x02\x04\x06\x60\x10\
\x99\x01\0\0\x15\x02\0\0\x02\x05\x06\x68\x10\x9c\x01\0\0\x15\x02\0\0\x02\x06\
\x06\x70\x10\x9f\x01\0\0\x15\x02\0\0\x02\x07\x06\x78\x10\xa7\x01\0\0\x15\x02\0\
\0\x02\x08\x06\x80\x10\xaa\x01\0\0\x15\x02\0\0\x02\x09\x06\x88\x10\xad\x01\0\0\
\x15\x02\0\0\x02\x0a\x06\x90\x10\xb3\x01\0\0\x15\x02\0\0\x02\x0b\x06\x98\x10\
\xb6\x01\0\0\x15\x02\0\0\x02\x0c\x06\xa0\0\x05\x5e\x01\0\0\x07\x08\x11\0\0\0\0\
\0\0\0\0\x70\0\0\0\x01\x5a\xd9\x01\0\0\x01\x0e\x6e\0\0\0\x12\0\0\0\0\x51\x01\0\
\0\x01\x0e\xeb\0\0\0\x13\xc8\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x01\x0e\x05\x14\
\xd4\0\0\0\x14\xdf\0\0\0\0\0\x0c\xc1\x01\0\0\x01\x18\x6e\0\0\0\x01\x0d\x51\x01\
\0\0\x01\x18\xeb\0\0\0\x0d\x55\x01\0\0\x01\x18\xf0\0\0\0\x0d\xd5\x01\0\0\x01\
\x18\x6e\0\0\0\0\x11\0\0\0\0\0\0\0\0\x70\0\0\0\x01\x5a\xea\x01\0\0\x01\x18\x6e\
\0\0\0\x12\x33\0\0\0\x51\x01\0\0\x01\x18\xeb\0\0\0\x13\x64\x02\0\0\0\0\0\0\0\0\
\0\0\x60\0\0\0\x01\x18\x05\x14\x70\x02\0\0\x14\x7b\x02\0\0\x14\x86\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\
\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\
\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\
\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\
\x67\x73\x2f\x66\x65\x78\x69\x74\x5f\x73\x6c\x65\x65\x70\x2e\x63\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\
\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\
\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\
\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x4c\x49\x43\x45\x4e\x53\
\x45\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x70\x69\x64\0\x69\x6e\x74\0\x66\x65\x6e\x74\x72\x79\
\x5f\x63\x6e\x74\0\x66\x65\x78\x69\x74\x5f\x63\x6e\x74\0\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\0\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x5f\x5f\x5f\x5f\x6e\x61\x6e\x6f\x73\x6c\
\x65\x65\x70\x5f\x66\x65\x6e\x74\x72\x79\0\x63\x74\x78\0\x72\x65\x67\x73\0\x72\
\x31\x35\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\
\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x62\x70\0\x62\x78\0\x72\x31\x31\0\
\x72\x31\x30\0\x72\x39\0\x72\x38\0\x61\x78\0\x63\x78\0\x64\x78\0\x73\x69\0\x64\
\x69\0\x6f\x72\x69\x67\x5f\x61\x78\0\x69\x70\0\x63\x73\0\x66\x6c\x61\x67\x73\0\
\x73\x70\0\x73\x73\0\x70\x74\x5f\x72\x65\x67\x73\0\x5f\x5f\x5f\x5f\x6e\x61\x6e\
\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x78\x69\x74\0\x72\x65\x74\0\x6e\x61\x6e\
\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x6e\x74\x72\x79\0\x6e\x61\x6e\x6f\x73\x6c\
\x65\x65\x70\x5f\x66\x65\x78\x69\x74\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x2c\x01\
\0\0\x2c\x01\0\0\x09\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x18\0\0\0\x01\0\0\0\x1c\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x20\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\x01\
\0\0\x0d\x04\0\0\0\x18\0\0\0\x01\0\0\0\x47\x01\0\0\x01\0\0\x0c\x06\0\0\0\xc2\
\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\
\x0a\0\0\0\x04\0\0\0\xc7\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xdb\x01\0\0\0\0\
\0\x0e\x09\0\0\0\x01\0\0\0\xe3\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xe7\x01\0\
\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xf2\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xfc\
\x01\0\0\x03\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\0\0\0\0\x04\
\0\0\0\x0e\0\0\0\0\0\0\0\x04\0\0\0\x01\x02\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\0\0\0\
\0\0\0\x04\0\0\0\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x69\x6e\x74\0\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\x5f\x66\x65\x6e\x74\x72\x79\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\
\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\
\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x66\x65\x78\x69\x74\x5f\x73\x6c\x65\x65\x70\x2e\x63\0\x09\x69\x66\
\x20\x28\x28\x69\x6e\x74\x29\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\
\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x21\x3d\x20\x70\
\x69\x64\x29\0\x09\x66\x65\x6e\x74\x72\x79\x5f\x63\x6e\x74\x2b\x2b\x3b\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6e\x61\x6e\x6f\x73\x6c\x65\
\x65\x70\x5f\x66\x65\x6e\x74\x72\x79\x2c\x20\x63\x6f\x6e\x73\x74\x20\x73\x74\
\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\x73\x29\0\
\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x78\x69\x74\0\x66\x65\x78\x69\
\x74\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\
\x65\x70\0\x09\x66\x65\x78\x69\x74\x5f\x63\x6e\x74\x2b\x2b\x3b\0\x69\x6e\x74\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\
\x5f\x66\x65\x78\x69\x74\x2c\x20\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\
\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\x73\x2c\x20\x69\x6e\
\x74\x20\x72\x65\x74\x29\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\x49\x43\x45\x4e\x53\x45\0\
\x70\x69\x64\0\x66\x65\x6e\x74\x72\x79\x5f\x63\x6e\x74\0\x66\x65\x78\x69\x74\
\x5f\x63\x6e\x74\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\xd4\0\0\0\xf8\0\0\0\0\0\0\0\x08\0\0\0\
\x31\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x57\x01\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\
\x10\0\0\0\x31\0\0\0\x06\0\0\0\0\0\0\0\x4c\0\0\0\xd0\0\0\0\x0b\x40\0\0\x08\0\0\
\0\x4c\0\0\0\xd0\0\0\0\x29\x40\0\0\x20\0\0\0\x4c\0\0\0\xd0\0\0\0\x06\x40\0\0\
\x30\0\0\0\x4c\0\0\0\xd0\0\0\0\x06\x40\0\0\x38\0\0\0\x4c\0\0\0\xfd\0\0\0\x0c\
\x4c\0\0\x60\0\0\0\x4c\0\0\0\x0c\x01\0\0\x05\x38\0\0\x57\x01\0\0\x06\0\0\0\0\0\
\0\0\x4c\0\0\0\xd0\0\0\0\x0b\x68\0\0\x08\0\0\0\x4c\0\0\0\xd0\0\0\0\x29\x68\0\0\
\x20\0\0\0\x4c\0\0\0\xd0\0\0\0\x06\x68\0\0\x30\0\0\0\x4c\0\0\0\xd0\0\0\0\x06\
\x68\0\0\x38\0\0\0\x4c\0\0\0\x71\x01\0\0\x0b\x74\0\0\x60\0\0\0\x4c\0\0\0\x7f\
\x01\0\0\x05\x60\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\
\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x70\0\0\0\0\0\0\0\xbf\0\0\0\x04\0\x6d\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\
\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x74\x6f\x6f\x6c\x73\
\x2f\x69\x6e\x63\x6c\x75\x64\x65\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\
\x64\x65\x2f\x62\x70\x66\0\0\x66\x65\x78\x69\x74\x5f\x73\x6c\x65\x65\x70\x2e\
\x63\0\x01\0\0\x76\x6d\x6c\x69\x6e\x75\x78\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\
\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\
\0\0\0\0\0\0\x03\x0d\x01\x05\x0b\x0a\x14\x05\x29\x06\x20\x05\x06\x3c\x2e\x05\
\x0c\x06\x23\x05\x05\x53\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x17\
\x01\x05\x0b\x0a\x14\x05\x29\x06\x20\x05\x06\x3c\x2e\x05\x0b\x06\x23\x05\x05\
\x53\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x11\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x01\0\0\0\0\
\x03\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x01\0\0\0\0\x05\0\x60\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\x11\0\x07\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x33\0\0\0\x11\0\x08\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x3e\0\0\0\x11\0\x08\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x48\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\
\x70\0\0\0\0\0\0\0\xfe\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x08\0\
\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x08\0\0\
\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x3b\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x06\0\0\0\
\0\0\0\0\x0a\0\0\0\x07\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x12\0\0\0\0\
\0\0\0\x0a\0\0\0\x09\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x1a\0\0\0\0\0\
\0\0\x0a\0\0\0\x09\0\0\0\x26\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x2b\0\0\0\0\0\0\
\0\x0a\0\0\0\x09\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x4c\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x5a\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x6f\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x76\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x82\0\0\0\0\0\0\0\
\x01\0\0\0\x0d\0\0\0\x8b\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x97\0\0\0\0\0\0\0\
\x01\0\0\0\x0e\0\0\0\xa0\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xba\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\xc1\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xc9\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\xd5\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xe0\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\xfb\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x04\x01\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x11\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x1e\x01\0\0\0\0\0\
\0\x0a\0\0\0\x09\0\0\0\x2b\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x38\x01\0\0\0\0\
\0\0\x0a\0\0\0\x09\0\0\0\x45\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x52\x01\0\0\0\
\0\0\0\x0a\0\0\0\x09\0\0\0\x5f\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x6c\x01\0\0\
\0\0\0\0\x0a\0\0\0\x09\0\0\0\x79\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x86\x01\0\
\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x93\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xa0\x01\
\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xad\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xba\
\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xc7\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\xd4\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xe1\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\
\0\xee\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xfb\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\
\0\0\x08\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x16\x02\0\0\0\0\0\0\x0a\0\0\0\x09\
\0\0\0\x1d\x02\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x2b\x02\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\x36\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x3a\x02\0\0\0\0\0\0\x0a\0\0\
\0\x09\0\0\0\x49\x02\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x65\x02\0\0\0\0\0\0\x0a\0\
\0\0\x09\0\0\0\x71\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x7c\x02\0\0\0\0\0\0\x0a\
\0\0\0\x09\0\0\0\x87\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x93\x02\0\0\0\0\0\0\
\x01\0\0\0\x05\0\0\0\xa1\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xac\x02\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\xb0\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xbf\x02\0\0\0\0\
\0\0\x01\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\x01\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x18\0\0\0\0\0\0\0\
\x01\0\0\0\x05\0\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\x0d\0\0\0\x24\x01\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x3c\x01\0\0\0\0\0\0\0\
\0\0\0\x0c\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\x90\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb8\0\
\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xd8\0\0\0\0\
\0\0\0\0\0\0\0\x05\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xf8\0\0\0\0\0\0\0\
\0\0\0\0\x05\0\0\0\x08\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x14\0\0\0\0\0\0\0\x0a\
\0\0\0\x0a\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x2c\0\0\0\0\0\0\0\x0a\0\
\0\0\x0a\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x7a\0\0\0\0\0\0\0\x01\0\0\
\0\x04\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x0f\x10\x0c\0\x6e\x61\x6e\
\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x6e\x74\x72\x79\0\x2e\x64\x65\x62\x75\x67\
\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x63\x6e\x74\0\x66\x65\
\x78\x69\x74\x5f\x63\x6e\x74\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\
\x78\x69\x74\0\x2e\x62\x73\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\
\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\
\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\
\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x6c\x6c\x76\
\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\
\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x70\x69\x64\0\x2e\x72\x65\x6c\x2e\
\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x66\x65\x78\x69\x74\x5f\x73\x6c\x65\x65\
\x70\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\
\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x4c\x42\x42\x31\
\x5f\x32\0\x4c\x42\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1f\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x93\x14\0\0\0\0\0\0\x4e\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x70\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1a\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9d\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x99\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xd0\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1a\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xd5\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x58\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x01\0\0\0\0\0\
\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x01\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x01\0\0\0\0\0\0\x66\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x01\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1a\0\0\
\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x8a\x01\0\0\0\0\0\0\xfc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x86\x02\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x0f\0\0\0\0\0\0\xc0\x03\0\0\0\0\0\0\x1a\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\x05\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x12\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x1a\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6f\0\0\0\
\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\x05\0\0\0\0\0\0\xfa\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x33\x01\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x07\0\0\0\0\0\0\x4d\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\x01\0\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x13\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x1a\0\0\0\x11\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xdd\x0a\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x50\x13\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x1a\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xf1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x0b\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xed\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x14\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\x1a\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe1\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x0c\0\0\0\0\0\0\xc3\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdd\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x14\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1a\0\0\0\
\x17\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc7\0\0\0\x03\x4c\xff\x6f\0\0\0\
\x80\0\0\0\0\0\0\0\0\0\0\0\0\x90\x14\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x1a\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x08\
\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __FEXIT_SLEEP_SKEL_H__ */
