/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_ATTACH_PROBE_SKEL_H__
#define __TEST_ATTACH_PROBE_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_attach_probe {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_kprobe;
		struct bpf_program *handle_kretprobe;
		struct bpf_program *handle_uprobe;
		struct bpf_program *handle_uretprobe;
	} progs;
	struct {
		struct bpf_link *handle_kprobe;
		struct bpf_link *handle_kretprobe;
		struct bpf_link *handle_uprobe;
		struct bpf_link *handle_uretprobe;
	} links;
	struct test_attach_probe__bss {
		int kprobe_res;
		int kretprobe_res;
		int uprobe_res;
		int uretprobe_res;
	} *bss;
};

static void
test_attach_probe__destroy(struct test_attach_probe *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_attach_probe__create_skeleton(struct test_attach_probe *obj);

static inline struct test_attach_probe *
test_attach_probe__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_attach_probe *obj;

	obj = (struct test_attach_probe *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_attach_probe__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_attach_probe__destroy(obj);
	return NULL;
}

static inline struct test_attach_probe *
test_attach_probe__open(void)
{
	return test_attach_probe__open_opts(NULL);
}

static inline int
test_attach_probe__load(struct test_attach_probe *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_attach_probe *
test_attach_probe__open_and_load(void)
{
	struct test_attach_probe *obj;

	obj = test_attach_probe__open();
	if (!obj)
		return NULL;
	if (test_attach_probe__load(obj)) {
		test_attach_probe__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_attach_probe__attach(struct test_attach_probe *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_attach_probe__detach(struct test_attach_probe *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_attach_probe__create_skeleton(struct test_attach_probe *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_attach_probe";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_att.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle_kprobe";
	s->progs[0].prog = &obj->progs.handle_kprobe;
	s->progs[0].link = &obj->links.handle_kprobe;

	s->progs[1].name = "handle_kretprobe";
	s->progs[1].prog = &obj->progs.handle_kretprobe;
	s->progs[1].link = &obj->links.handle_kretprobe;

	s->progs[2].name = "handle_uprobe";
	s->progs[2].prog = &obj->progs.handle_uprobe;
	s->progs[2].link = &obj->links.handle_uprobe;

	s->progs[3].name = "handle_uretprobe";
	s->progs[3].prog = &obj->progs.handle_uretprobe;
	s->progs[3].link = &obj->links.handle_uretprobe;

	s->data_sz = 7872;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x17\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1d\0\
\x01\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x63\x21\0\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x02\0\0\x02\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x03\0\0\0\x63\x21\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x02\0\0\x04\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\
\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\
\x03\x0e\x3e\x0b\x0b\x0b\0\0\x04\x01\x01\x49\x13\0\0\x05\x21\0\x49\x13\x37\x0b\
\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x2e\x01\x11\x01\x12\x06\x40\x18\
\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x08\x05\0\x03\
\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x09\x2e\x01\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\
\x49\x13\x20\x0b\0\0\x0a\x0f\0\x49\x13\0\0\x0b\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\
\x3b\x0b\0\0\x0c\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0d\x1d\x01\
\x31\x13\x11\x01\x12\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x0e\x05\0\x31\x13\0\0\0\
\x88\x02\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5e\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\xce\0\0\0\x3f\0\0\0\x01\x09\x09\x03\0\0\0\0\0\0\0\0\
\x03\xd9\0\0\0\x05\x04\x02\xdd\0\0\0\x3f\0\0\0\x01\x0a\x09\x03\0\0\0\0\0\0\0\0\
\x02\xeb\0\0\0\x3f\0\0\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\x02\xf6\0\0\0\x3f\0\0\
\0\x01\x0c\x09\x03\0\0\0\0\0\0\0\0\x02\x04\x01\0\0\x9a\0\0\0\x01\x2a\x09\x03\0\
\0\0\0\0\0\0\0\x04\xa6\0\0\0\x05\xad\0\0\0\x04\0\x03\x0d\x01\0\0\x06\x01\x06\
\x12\x01\0\0\x08\x07\x07\0\0\0\0\0\0\0\0\x30\0\0\0\x01\x5a\xb1\x01\0\0\x01\x0f\
\x3f\0\0\0\x08\x3b\x01\0\0\x01\x0f\xf1\0\0\0\0\x09\x26\x01\0\0\x01\x16\x3f\0\0\
\0\x01\x08\x3b\x01\0\0\x01\x16\xf1\0\0\0\0\x0a\xf6\0\0\0\x0b\xa9\x01\0\0\xa8\
\x02\x29\x0c\x3f\x01\0\0\xfb\x01\0\0\x02\x2e\0\x0c\x55\x01\0\0\xfb\x01\0\0\x02\
\x2f\x08\x0c\x59\x01\0\0\xfb\x01\0\0\x02\x30\x10\x0c\x5d\x01\0\0\xfb\x01\0\0\
\x02\x31\x18\x0c\x61\x01\0\0\xfb\x01\0\0\x02\x32\x20\x0c\x65\x01\0\0\xfb\x01\0\
\0\x02\x33\x28\x0c\x69\x01\0\0\xfb\x01\0\0\x02\x35\x30\x0c\x6d\x01\0\0\xfb\x01\
\0\0\x02\x36\x38\x0c\x71\x01\0\0\xfb\x01\0\0\x02\x37\x40\x0c\x74\x01\0\0\xfb\
\x01\0\0\x02\x38\x48\x0c\x77\x01\0\0\xfb\x01\0\0\x02\x39\x50\x0c\x7b\x01\0\0\
\xfb\x01\0\0\x02\x3a\x58\x0c\x7f\x01\0\0\xfb\x01\0\0\x02\x3b\x60\x0c\x83\x01\0\
\0\xfb\x01\0\0\x02\x3c\x68\x0c\x87\x01\0\0\xfb\x01\0\0\x02\x3d\x70\x0c\x8b\x01\
\0\0\xfb\x01\0\0\x02\x42\x78\x0c\x94\x01\0\0\xfb\x01\0\0\x02\x44\x80\x0c\x98\
\x01\0\0\xfb\x01\0\0\x02\x45\x88\x0c\x9b\x01\0\0\xfb\x01\0\0\x02\x46\x90\x0c\
\xa2\x01\0\0\xfb\x01\0\0\x02\x47\x98\x0c\xa6\x01\0\0\xfb\x01\0\0\x02\x48\xa0\0\
\x03\x43\x01\0\0\x07\x08\x07\0\0\0\0\0\0\0\0\x30\0\0\0\x01\x5a\xbf\x01\0\0\x01\
\x16\x3f\0\0\0\x08\x3b\x01\0\0\x01\x16\xf1\0\0\0\x0d\xd9\0\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\x01\x16\x05\x0e\xe5\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x30\0\0\0\x01\x5a\
\xd0\x01\0\0\x01\x1d\x3f\0\0\0\x08\x3b\x01\0\0\x01\x1d\xf1\0\0\0\0\x07\0\0\0\0\
\0\0\0\0\x30\0\0\0\x01\x5a\xde\x01\0\0\x01\x24\x3f\0\0\0\x08\x3b\x01\0\0\x01\
\x24\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\
\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\
\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\
\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x61\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\
\x62\x65\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\
\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x69\x6e\x74\0\x6b\x72\x65\x74\
\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\
\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x5f\x5f\x68\x61\x6e\x64\x6c\x65\x5f\
\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x63\x74\x78\0\x72\x31\x35\0\x6c\x6f\x6e\
\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x72\x31\x34\0\x72\
\x31\x33\0\x72\x31\x32\0\x72\x62\x70\0\x72\x62\x78\0\x72\x31\x31\0\x72\x31\x30\
\0\x72\x39\0\x72\x38\0\x72\x61\x78\0\x72\x63\x78\0\x72\x64\x78\0\x72\x73\x69\0\
\x72\x64\x69\0\x6f\x72\x69\x67\x5f\x72\x61\x78\0\x72\x69\x70\0\x63\x73\0\x65\
\x66\x6c\x61\x67\x73\0\x72\x73\x70\0\x73\x73\0\x70\x74\x5f\x72\x65\x67\x73\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\
\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x90\x02\0\0\x90\x02\0\0\x75\x02\0\0\0\0\
\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x15\0\0\x04\xa8\0\0\0\x09\0\0\0\x03\0\0\0\0\
\0\0\0\x0d\0\0\0\x03\0\0\0\x40\0\0\0\x11\0\0\0\x03\0\0\0\x80\0\0\0\x15\0\0\0\
\x03\0\0\0\xc0\0\0\0\x19\0\0\0\x03\0\0\0\0\x01\0\0\x1d\0\0\0\x03\0\0\0\x40\x01\
\0\0\x21\0\0\0\x03\0\0\0\x80\x01\0\0\x25\0\0\0\x03\0\0\0\xc0\x01\0\0\x29\0\0\0\
\x03\0\0\0\0\x02\0\0\x2c\0\0\0\x03\0\0\0\x40\x02\0\0\x2f\0\0\0\x03\0\0\0\x80\
\x02\0\0\x33\0\0\0\x03\0\0\0\xc0\x02\0\0\x37\0\0\0\x03\0\0\0\0\x03\0\0\x3b\0\0\
\0\x03\0\0\0\x40\x03\0\0\x3f\0\0\0\x03\0\0\0\x80\x03\0\0\x43\0\0\0\x03\0\0\0\
\xc0\x03\0\0\x4c\0\0\0\x03\0\0\0\0\x04\0\0\x50\0\0\0\x03\0\0\0\x40\x04\0\0\x53\
\0\0\0\x03\0\0\0\x80\x04\0\0\x5a\0\0\0\x03\0\0\0\xc0\x04\0\0\x5e\0\0\0\x03\0\0\
\0\0\x05\0\0\x61\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\
\0\0\x73\0\0\0\x01\0\0\0\x77\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x7b\0\0\0\
\x01\0\0\x0c\x04\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\0\0\x73\0\0\0\x01\0\0\0\x44\
\x01\0\0\x01\0\0\x0c\x07\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\0\0\x73\0\0\0\x01\0\0\
\0\xa5\x01\0\0\x01\0\0\x0c\x09\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\0\0\x73\0\0\0\
\x01\0\0\0\xd8\x01\0\0\x01\0\0\x0c\x0b\0\0\0\x14\x02\0\0\0\0\0\x0e\x05\0\0\0\
\x01\0\0\0\x1f\x02\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\x2d\x02\0\0\0\0\0\x0e\x05\
\0\0\0\x01\0\0\0\x38\x02\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\x46\x02\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x13\0\0\0\x04\0\
\0\0\x4b\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x5f\x02\0\0\0\0\0\x0e\x12\0\0\0\
\x01\0\0\0\x68\x02\0\0\x04\0\0\x0f\0\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\
\0\0\0\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\
\x6d\x02\0\0\x01\0\0\x0f\0\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\0\x70\x74\x5f\x72\
\x65\x67\x73\0\x72\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x72\x62\
\x70\0\x72\x62\x78\0\x72\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\x72\x61\
\x78\0\x72\x63\x78\0\x72\x64\x78\0\x72\x73\x69\0\x72\x64\x69\0\x6f\x72\x69\x67\
\x5f\x72\x61\x78\0\x72\x69\x70\0\x63\x73\0\x65\x66\x6c\x61\x67\x73\0\x72\x73\
\x70\0\x73\x73\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\
\x6f\x62\x65\0\x6b\x70\x72\x6f\x62\x65\x2f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\
\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x61\x74\x74\x61\x63\x68\
\x5f\x70\x72\x6f\x62\x65\x2e\x63\0\x09\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\
\x20\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x6b\x72\x65\x74\x70\x72\
\x6f\x62\x65\x2f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x09\x6b\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\x20\x3d\x20\x32\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x4b\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\
\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x29\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x75\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\x2f\x74\x72\x69\x67\
\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x09\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\
\x20\x3d\x20\x33\x3b\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x74\x72\x69\x67\x67\x65\x72\
\x5f\x66\x75\x6e\x63\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\
\x20\x3d\x20\x34\x3b\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x6b\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\
\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\0\xa4\0\0\0\xe8\0\0\0\
\0\0\0\0\x08\0\0\0\x89\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x55\x01\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\xb3\x01\0\0\x01\0\0\0\0\0\0\0\x0a\0\0\0\xe9\x01\0\0\x01\0\0\
\0\0\0\0\0\x0c\0\0\0\x10\0\0\0\x89\0\0\0\x02\0\0\0\0\0\0\0\x9e\0\0\0\x28\x01\0\
\0\x0d\x44\0\0\x20\0\0\0\x9e\0\0\0\x39\x01\0\0\x02\x48\0\0\x55\x01\0\0\x02\0\0\
\0\0\0\0\0\x9e\0\0\0\x6d\x01\0\0\x10\x60\0\0\x20\0\0\0\x9e\0\0\0\x81\x01\0\0\
\x05\x58\0\0\xb3\x01\0\0\x02\0\0\0\0\0\0\0\x9e\0\0\0\xc7\x01\0\0\x0d\x7c\0\0\
\x20\0\0\0\x9e\0\0\0\x39\x01\0\0\x02\x80\0\0\xe9\x01\0\0\x02\0\0\0\0\0\0\0\x9e\
\0\0\0\0\x02\0\0\x10\x98\0\0\x20\0\0\0\x9e\0\0\0\x39\x01\0\0\x02\x9c\0\0\0\0\0\
\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xbc\0\0\0\x04\0\x4e\0\0\0\x08\x01\x01\xfb\x0e\
\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\
\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\0\0\x74\x65\x73\x74\x5f\x61\
\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\x62\x65\x2e\x63\0\x01\0\0\x70\x74\x72\x61\
\x63\x65\x2e\x68\0\x02\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0f\x01\x05\x0d\x0a\
\x13\x05\x02\x4b\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x15\x01\x05\
\x10\x0a\x14\x05\x05\x48\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1d\
\x01\x05\x0d\x0a\x13\x05\x02\x4b\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\
\x03\x24\x01\x05\x10\x0a\x13\x05\x02\x4b\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0d\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x17\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xc9\0\0\0\x11\0\x0c\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x23\x01\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x12\x01\0\0\x12\0\x05\0\0\0\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\xf3\0\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\
\0\0\x01\x01\0\0\x12\0\x09\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x4e\0\0\0\x11\0\
\x0b\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\x11\0\x0b\0\x04\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x27\0\0\0\x11\0\x0b\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x32\0\0\0\x11\0\x0b\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x12\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x06\
\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\
\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\
\0\x26\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x37\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x47\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x53\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\
\x5c\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\
\x71\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x7d\0\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\
\x86\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x92\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\
\xa7\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xae\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\xb5\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xc3\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\xce\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xda\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\xe6\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xf7\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\xff\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x0b\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x17\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x23\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\
\0\x2f\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x3b\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\
\0\0\x47\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x53\x01\0\0\0\0\0\0\x0a\0\0\0\x08\
\0\0\0\x5f\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x6b\x01\0\0\0\0\0\0\x0a\0\0\0\
\x08\0\0\0\x77\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x83\x01\0\0\0\0\0\0\x0a\0\0\
\0\x08\0\0\0\x8f\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x9b\x01\0\0\0\0\0\0\x0a\0\
\0\0\x08\0\0\0\xa7\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xb3\x01\0\0\0\0\0\0\x0a\
\0\0\0\x08\0\0\0\xbf\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xcb\x01\0\0\0\0\0\0\
\x0a\0\0\0\x08\0\0\0\xd7\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xe3\x01\0\0\0\0\0\
\0\x0a\0\0\0\x08\0\0\0\xef\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xfc\x01\0\0\0\0\
\0\0\x0a\0\0\0\x08\0\0\0\x03\x02\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x11\x02\0\0\0\
\0\0\0\x0a\0\0\0\x08\0\0\0\x1c\x02\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x2b\x02\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\x42\x02\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x50\x02\0\
\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x5b\x02\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x67\x02\
\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x75\x02\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x80\
\x02\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x08\0\
\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x18\0\0\
\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x28\0\0\0\
\0\0\0\0\x01\0\0\0\x04\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x38\0\0\0\0\
\0\0\0\x01\0\0\0\x05\0\0\0\x64\x02\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x70\x02\0\0\0\
\0\0\0\0\0\0\0\x11\0\0\0\x7c\x02\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x88\x02\0\0\0\0\
\0\0\0\0\0\0\x13\0\0\0\xa0\x02\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x2c\0\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x4c\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\x5c\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\xa8\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xd0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xf8\0\0\0\0\
\0\0\0\0\0\0\0\x05\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x18\0\0\0\0\0\0\
\0\x01\0\0\0\x02\0\0\0\x2c\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x30\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x44\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x48\0\0\0\0\0\0\0\
\x01\0\0\0\x04\0\0\0\x5c\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x60\0\0\0\0\0\0\0\
\x01\0\0\0\x05\0\0\0\x5b\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x75\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x8f\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xa9\0\0\0\0\0\0\0\
\x01\0\0\0\x05\0\0\0\x0c\x0d\x0e\x0f\x0b\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\
\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\x2e\x62\x73\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x6b\x72\x65\x74\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x73\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x2e\x72\
\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\
\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\
\x2f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x6b\
\x70\x72\x6f\x62\x65\x2f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x6c\x6c\x76\
\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\
\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\
\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x75\x70\
\x72\x6f\x62\x65\x2f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x2e\x72\
\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x74\x72\x69\x67\x67\x65\x72\
\x5f\x66\x75\x6e\x63\0\x74\x65\x73\x74\x5f\x61\x74\x74\x61\x63\x68\x5f\x70\x72\
\x6f\x62\x65\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\
\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x78\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xed\x15\
\0\0\0\0\0\0\x91\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x92\0\0\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1c\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1c\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x35\x01\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x31\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0f\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x1c\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x4d\x01\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\x01\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1c\0\0\
\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xca\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x01\
\0\0\0\0\0\0\xbe\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xaf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc2\x01\0\0\0\0\0\0\x8c\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\0\0\0\0\0\0\x90\x03\0\0\0\0\
\0\0\x1c\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5d\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\x04\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x98\x13\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x1c\0\0\0\x10\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6b\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x9e\x04\0\0\0\0\0\0\xef\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x8c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x8d\x06\0\0\0\0\0\0\x1d\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x88\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x14\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\x1c\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\x0b\0\0\0\0\0\0\
\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x14\0\0\0\0\0\0\xc0\0\0\0\0\0\
\0\0\x1c\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe6\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0c\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe2\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x28\x15\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x1c\0\0\0\x17\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x28\x0d\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd2\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\
\x15\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x1c\0\0\0\x19\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xbb\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\xe8\
\x15\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x80\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0d\0\0\0\0\
\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_ATTACH_PROBE_SKEL_H__ */
