/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_RETRO_SKEL_H__
#define __TEST_CORE_RETRO_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_retro {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *exp_tgid_map;
		struct bpf_map *results;
	} maps;
	struct {
		struct bpf_program *handle_sys_enter;
	} progs;
	struct {
		struct bpf_link *handle_sys_enter;
	} links;
};

static void
test_core_retro__destroy(struct test_core_retro *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_retro__create_skeleton(struct test_core_retro *obj);

static inline struct test_core_retro *
test_core_retro__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_retro *obj;

	obj = (struct test_core_retro *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_core_retro__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_core_retro__destroy(obj);
	return NULL;
}

static inline struct test_core_retro *
test_core_retro__open(void)
{
	return test_core_retro__open_opts(NULL);
}

static inline int
test_core_retro__load(struct test_core_retro *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_retro *
test_core_retro__open_and_load(void)
{
	struct test_core_retro *obj;

	obj = test_core_retro__open();
	if (!obj)
		return NULL;
	if (test_core_retro__load(obj)) {
		test_core_retro__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_core_retro__attach(struct test_core_retro *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_retro__detach(struct test_core_retro *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_core_retro__create_skeleton(struct test_core_retro *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_core_retro";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "exp_tgid_map";
	s->maps[0].map = &obj->maps.exp_tgid_map;

	s->maps[1].name = "results";
	s->maps[1].map = &obj->maps.results;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle_sys_enter";
	s->progs[0].prog = &obj->progs.handle_sys_enter;
	s->progs[0].link = &obj->links.handle_sys_enter;

	s->data_sz = 6880;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\x85\0\0\0\x23\0\0\0\xb7\x01\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\xbf\xa1\0\0\
\0\0\0\0\x07\x01\0\0\xfc\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\xbf\x03\0\0\0\0\0\0\
\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\x85\0\0\0\x0e\
\0\0\0\xbf\x06\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0b\0\0\0\0\0\x77\
\x06\0\0\x20\0\0\0\x61\x01\0\0\0\0\0\0\x5d\x61\x08\0\0\0\0\0\xbf\xa2\0\0\0\0\0\
\0\x07\x02\0\0\xf8\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xfc\xff\xff\xff\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x47\x50\x4c\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x02\0\x7a\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x03\0\x11\0\x9f\
\x60\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x02\0\x7a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x60\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x06\0\x76\0\x10\x20\x25\x9f\x98\0\0\0\0\
\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\
\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\
\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\
\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\
\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\
\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x09\x0f\0\x49\x13\0\0\x0a\x34\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x05\0\0\x0b\x15\0\x49\x13\x27\x19\0\0\x0c\x16\0\x49\x13\
\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0d\x15\x01\x49\x13\x27\x19\0\0\x0e\x05\0\x49\x13\
\0\0\x0f\x0f\0\0\0\x10\x26\0\0\0\x11\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\
\x12\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x13\x2e\x01\x11\x01\x12\x06\
\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x14\
\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x15\x34\0\x02\x17\x03\x0e\x3a\x0b\
\x3b\x0b\x49\x13\0\0\x16\x0b\x01\x11\x01\x12\x06\0\0\x17\x34\0\x03\x0e\x3a\x0b\
\x3b\x0b\x49\x13\0\0\0\x7f\x02\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\
\0\0\0\0\0\x5c\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\x02\xcc\0\0\0\x3f\0\0\0\x01\x2b\
\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xd5\0\0\0\x06\
\x01\x06\xda\0\0\0\x08\x07\x02\xee\0\0\0\x6e\0\0\0\x01\x10\x09\x03\0\0\0\0\0\0\
\0\0\x07\x20\x01\x0b\x08\xfb\0\0\0\xa3\0\0\0\x01\x0c\0\x08\x04\x01\0\0\xbb\0\0\
\0\x01\x0d\x08\x08\x10\x01\0\0\xcc\0\0\0\x01\x0e\x10\x08\x14\x01\0\0\xcc\0\0\0\
\x01\x0f\x18\0\x09\xa8\0\0\0\x03\xb4\0\0\0\x04\x52\0\0\0\x02\0\x05\0\x01\0\0\
\x05\x04\x09\xc0\0\0\0\x03\xb4\0\0\0\x04\x52\0\0\0\x01\0\x09\xb4\0\0\0\x02\x1a\
\x01\0\0\xe6\0\0\0\x01\x17\x09\x03\0\0\0\0\0\0\0\0\x07\x20\x01\x12\x08\xfb\0\0\
\0\xa3\0\0\0\x01\x13\0\x08\x04\x01\0\0\xbb\0\0\0\x01\x14\x08\x08\x10\x01\0\0\
\xcc\0\0\0\x01\x15\x10\x08\x14\x01\0\0\xcc\0\0\0\x01\x16\x18\0\x0a\x22\x01\0\0\
\x27\x01\0\0\x03\x9c\x03\x09\x2c\x01\0\0\x0b\x31\x01\0\0\x0c\x3c\x01\0\0\x4e\
\x01\0\0\x02\x1f\x05\x37\x01\0\0\x07\x08\x0a\x54\x01\0\0\x4f\x01\0\0\x03\xb3\
\x0a\x09\x54\x01\0\0\x0d\x69\x01\0\0\x0e\x70\x01\0\0\x0e\x71\x01\0\0\x0e\x83\
\x01\0\0\0\x05\x6a\x01\0\0\x05\x08\x0f\x0c\x7c\x01\0\0\x80\x01\0\0\x02\x1b\x05\
\x73\x01\0\0\x07\x04\x09\x88\x01\0\0\x10\x0a\x86\x01\0\0\x27\x01\0\0\x03\x68\
\x01\x11\x9f\x01\0\0\xa0\x01\0\0\x03\x31\x09\xa5\x01\0\0\x0d\x70\x01\0\0\x0e\
\x70\x01\0\0\x0e\x83\x01\0\0\0\x11\xb3\x01\0\0\xc0\x01\0\0\x03\x47\x09\xc5\x01\
\0\0\x0d\x69\x01\0\0\x0e\x70\x01\0\0\x0e\x83\x01\0\0\x0e\x83\x01\0\0\x0e\x31\
\x01\0\0\0\x09\xe4\x01\0\0\x12\xcc\x01\0\0\x04\x01\x07\x08\xc7\x01\0\0\xb4\0\0\
\0\x01\x08\0\0\x13\0\0\0\0\0\0\0\0\xf8\0\0\0\x01\x5a\xd8\x01\0\0\x01\x1a\xb4\0\
\0\0\x14\xe9\x01\0\0\x01\x1a\x70\x01\0\0\x15\0\0\0\0\xed\x01\0\0\x01\x1c\xdf\
\x01\0\0\x15\x23\0\0\0\xc7\x01\0\0\x01\x1d\xb4\0\0\0\x15\x47\0\0\0\xf6\x01\0\0\
\x01\x1e\xb4\0\0\0\x15\x80\0\0\0\xfb\x01\0\0\x01\x1f\xb4\0\0\0\x15\xbb\0\0\0\
\x05\x02\0\0\x01\x20\xcc\0\0\0\x16\x28\0\0\0\0\0\0\0\x20\0\0\0\x17\xf2\x01\0\0\
\x01\x1d\xb4\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\
\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\
\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\
\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x74\x72\x6f\x2e\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\
\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\
\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\x78\x70\x5f\x74\x67\x69\x64\
\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\x69\x6e\x74\0\x6d\x61\x78\x5f\x65\x6e\x74\
\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x72\x65\x73\x75\x6c\x74\
\x73\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\
\x73\x6b\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x70\x72\x6f\x62\
\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\0\x6c\x6f\x6e\x67\x20\x69\
\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\
\x32\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\
\x64\x5f\x74\x67\x69\x64\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\
\x65\x5f\x65\x6c\x65\x6d\0\x74\x67\x69\x64\0\x74\x61\x73\x6b\x5f\x73\x74\x72\
\x75\x63\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\0\x63\x74\x78\0\x74\x61\x73\x6b\0\x5f\x5f\x72\0\x7a\x65\x72\x6f\0\x72\x65\x61\
\x6c\x5f\x74\x67\x69\x64\0\x65\x78\x70\x5f\x74\x67\x69\x64\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\xc4\x01\0\0\xc4\x01\0\0\x6f\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\
\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x2e\0\0\0\x07\0\0\0\
\xc0\0\0\0\x34\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\
\0\x80\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\x41\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x49\0\0\0\x0c\0\0\
\0\x4d\0\0\0\x01\0\0\x0c\x0d\0\0\0\x3c\x01\0\0\x01\0\0\x04\x04\0\0\0\x48\x01\0\
\0\x02\0\0\0\0\0\0\0\x53\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x10\0\0\0\x04\0\0\0\x04\0\0\0\x58\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\
\0\0\0\x61\x02\0\0\x02\0\0\x0f\0\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\0\
\0\0\0\x20\0\0\0\x67\x02\0\0\x01\0\0\x0f\0\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x65\x78\x70\x5f\x74\x67\x69\x64\x5f\x6d\
\x61\x70\0\x72\x65\x73\x75\x6c\x74\x73\0\x63\x74\x78\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\
\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\
\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\
\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\
\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x74\x72\x6f\x2e\x63\0\x09\
\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x20\
\x2a\x74\x61\x73\x6b\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x28\x29\
\x3b\0\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x74\x67\x69\x64\0\x30\x3a\
\x30\0\x09\x69\x6e\x74\x20\x74\x67\x69\x64\x20\x3d\x20\x42\x50\x46\x5f\x43\x4f\
\x52\x45\x5f\x52\x45\x41\x44\x28\x74\x61\x73\x6b\x2c\x20\x74\x67\x69\x64\x29\
\x3b\0\x09\x69\x6e\x74\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\x69\x6e\
\x74\x20\x72\x65\x61\x6c\x5f\x74\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\
\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x6e\x74\x20\x2a\x65\x78\x70\x5f\
\x74\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x65\x78\x70\x5f\x74\x67\x69\x64\x5f\x6d\
\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x65\x78\
\x70\x5f\x74\x67\x69\x64\x20\x7c\x7c\x20\x2a\x65\x78\x70\x5f\x74\x67\x69\x64\
\x20\x21\x3d\x20\x72\x65\x61\x6c\x5f\x74\x67\x69\x64\x29\0\x09\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x72\x65\
\x73\x75\x6c\x74\x73\x2c\x20\x26\x7a\x65\x72\x6f\x2c\x20\x26\x74\x67\x69\x64\
\x2c\x20\x30\x29\x3b\0\x7d\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x14\0\0\0\x14\0\0\0\xec\0\0\0\0\x01\0\0\x1c\0\0\0\x08\0\0\0\x5e\0\0\0\
\x01\0\0\0\0\0\0\0\x0e\0\0\0\x10\0\0\0\x5e\0\0\0\x0e\0\0\0\0\0\0\0\x78\0\0\0\0\
\x01\0\0\x25\x70\0\0\x20\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x78\0\0\0\
\x51\x01\0\0\x0d\x74\0\0\x48\0\0\0\x78\0\0\0\x78\x01\0\0\x06\x78\0\0\x50\0\0\0\
\x78\0\0\0\x87\x01\0\0\x12\x7c\0\0\x68\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\
\0\x78\0\0\0\xba\x01\0\0\x12\x80\0\0\x88\0\0\0\x78\0\0\0\xf6\x01\0\0\x10\x8c\0\
\0\x90\0\0\0\x78\0\0\0\x87\x01\0\0\x2d\x7c\0\0\x98\0\0\0\x78\0\0\0\xf6\x01\0\0\
\x13\x8c\0\0\xa0\0\0\0\x78\0\0\0\xf6\x01\0\0\x06\x8c\0\0\xb0\0\0\0\x78\0\0\0\0\
\0\0\0\0\0\0\0\xc8\0\0\0\x78\0\0\0\x20\x02\0\0\x02\x98\0\0\xe8\0\0\0\x78\0\0\0\
\x51\x02\0\0\x01\xa4\0\0\x10\0\0\0\x5e\0\0\0\x01\0\0\0\x08\0\0\0\x0f\0\0\0\x4d\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\
\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xd2\0\0\0\x04\0\x7d\
\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\
\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\
\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\
\x65\x2f\x62\x70\x66\0\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x74\
\x72\x6f\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\
\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\
\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1a\x01\x05\x25\x0a\x13\x06\x03\x64\x20\x05\
\x0d\x06\x03\x1d\x4a\x06\x03\x63\x3c\x05\x06\x06\x03\x1e\x20\x05\x12\x21\x06\
\x03\x61\x2e\x06\x03\x20\x2e\x05\x10\x3f\x05\x2d\x1c\x05\x13\x24\x05\x06\x06\
\x20\x03\x5d\x20\x05\x02\x06\x03\x26\x4a\x05\x01\x4d\x02\x02\0\x01\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xca\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf5\0\0\0\0\0\x03\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x95\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x6a\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x3b\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xf8\0\
\0\0\0\0\0\0\x22\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x70\0\0\
\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x06\0\0\0\
\0\0\0\0\x0a\0\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x12\0\0\0\0\
\0\0\0\x0a\0\0\0\x06\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x2b\0\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x4c\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x5a\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x73\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x7f\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x8b\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x97\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb5\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xd2\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xde\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\xeb\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xf7\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x03\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x0f\x01\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\x1c\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x36\x01\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\x3d\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x44\x01\0\0\0\
\0\0\0\x0a\0\0\0\x06\0\0\0\x6a\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x76\x01\0\0\
\0\0\0\0\x0a\0\0\0\x06\0\0\0\x7d\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x8a\x01\0\
\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x96\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb6\x01\
\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xe5\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xed\
\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xfa\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x08\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x13\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\
\0\x1e\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x22\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\
\0\0\x2d\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x31\x02\0\0\0\0\0\0\x0a\0\0\0\x06\
\0\0\0\x3c\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x40\x02\0\0\0\0\0\0\x0a\0\0\0\
\x06\0\0\0\x4b\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x4f\x02\0\0\0\0\0\0\x0a\0\0\
\0\x06\0\0\0\x5a\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x5e\x02\0\0\0\0\0\0\x0a\0\
\0\0\x06\0\0\0\x69\x02\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x76\x02\0\0\0\0\0\0\x0a\
\0\0\0\x06\0\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xbc\x01\0\0\0\0\0\0\0\0\
\0\0\x0c\0\0\0\xd4\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xc0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xe0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x2c\x01\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x8a\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x0b\x0a\x0c\x09\0\x2e\x64\x65\
\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x72\x65\x73\x75\x6c\x74\x73\0\x2e\x6d\
\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x65\x6c\x74\x70\x2f\x72\
\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x65\x78\x70\x5f\x74\x67\x69\x64\x5f\x6d\x61\x70\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\
\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\
\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\
\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x74\x72\x6f\x2e\x63\0\x2e\x73\x74\
\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\
\x46\0\x4c\x42\x42\x30\x5f\x33\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xdc\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\x14\0\0\0\0\0\0\
\xfc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xc0\x0f\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\x03\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x96\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x01\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\x01\0\0\0\0\0\0\xde\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\x02\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x69\x03\0\0\0\0\0\0\x83\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xe0\x0f\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xec\x05\0\0\0\0\0\0\x0e\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\xf0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfa\x07\0\0\
\0\0\0\0\x4b\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xec\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\0\0\0\x30\0\0\
\0\0\0\0\0\x15\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\x0c\0\0\0\0\0\0\x3c\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x13\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x15\0\0\0\
\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb2\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x88\x0d\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xae\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x30\x14\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\
\x0d\0\0\0\0\0\0\xd6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x9e\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x14\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x15\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x87\
\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x60\x14\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0e\0\0\0\0\0\0\x38\x01\0\0\0\
\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_CORE_RETRO_SKEL_H__ */
