/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_LINK_PINNING_SKEL_H__
#define __TEST_LINK_PINNING_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_link_pinning {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *raw_tp_prog;
		struct bpf_program *tp_btf_prog;
	} progs;
	struct {
		struct bpf_link *raw_tp_prog;
		struct bpf_link *tp_btf_prog;
	} links;
	struct test_link_pinning__bss {
		int in;
		int out;
	} *bss;
};

static void
test_link_pinning__destroy(struct test_link_pinning *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_link_pinning__create_skeleton(struct test_link_pinning *obj);

static inline struct test_link_pinning *
test_link_pinning__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_link_pinning *obj;

	obj = (struct test_link_pinning *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_link_pinning__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_link_pinning__destroy(obj);
	return NULL;
}

static inline struct test_link_pinning *
test_link_pinning__open(void)
{
	return test_link_pinning__open_opts(NULL);
}

static inline int
test_link_pinning__load(struct test_link_pinning *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_link_pinning *
test_link_pinning__open_and_load(void)
{
	struct test_link_pinning *obj;

	obj = test_link_pinning__open();
	if (!obj)
		return NULL;
	if (test_link_pinning__load(obj)) {
		test_link_pinning__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_link_pinning__attach(struct test_link_pinning *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_link_pinning__detach(struct test_link_pinning *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_link_pinning__create_skeleton(struct test_link_pinning *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_link_pinning";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_lin.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "raw_tp_prog";
	s->progs[0].prog = &obj->progs.raw_tp_prog;
	s->progs[0].link = &obj->links.raw_tp_prog;

	s->progs[1].name = "tp_btf_prog";
	s->progs[1].prog = &obj->progs.tp_btf_prog;
	s->progs[1].link = &obj->links.tp_btf_prog;

	s->data_sz = 4760;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x19\0\
\x01\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\0\0\
\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\x03\
\x0e\x3e\x0b\x0b\x0b\0\0\x04\x01\x01\x49\x13\0\0\x05\x21\0\x49\x13\x37\x0b\0\0\
\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x2e\x01\x11\x01\x12\x06\x40\x18\x97\
\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x08\x05\0\x03\x0e\
\x3a\x0b\x3b\x0b\x49\x13\0\0\x09\x0f\0\x49\x13\0\0\x0a\x26\0\0\0\0\xd7\0\0\0\
\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5e\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\xce\0\0\0\x3f\0\0\0\x01\x08\x09\x03\0\0\0\0\0\0\0\0\x03\xd1\0\0\
\0\x05\x04\x02\xd5\0\0\0\x3f\0\0\0\x01\x09\x09\x03\0\0\0\0\0\0\0\0\x02\xd9\0\0\
\0\x70\0\0\0\x01\x19\x09\x03\0\0\0\0\0\0\0\0\x04\x7c\0\0\0\x05\x83\0\0\0\x04\0\
\x03\xe2\0\0\0\x06\x01\x06\xe7\0\0\0\x08\x07\x07\0\0\0\0\0\0\0\0\x40\0\0\0\x01\
\x5a\xfb\0\0\0\x01\x0c\x3f\0\0\0\x08\x13\x01\0\0\x01\x0c\xd4\0\0\0\0\x07\0\0\0\
\0\0\0\0\0\x40\0\0\0\x01\x5a\x07\x01\0\0\x01\x13\x3f\0\0\0\x08\x13\x01\0\0\x01\
\x13\xd4\0\0\0\0\x09\xd9\0\0\0\x0a\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\
\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\
\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\
\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\
\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6c\x69\x6e\
\x6b\x5f\x70\x69\x6e\x6e\x69\x6e\x67\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\
\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\
\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\0\x69\x6e\0\x69\x6e\x74\0\x6f\x75\x74\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x72\x61\x77\x5f\x74\x70\x5f\
\x70\x72\x6f\x67\0\x74\x70\x5f\x62\x74\x66\x5f\x70\x72\x6f\x67\0\x63\x74\x78\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x0c\x01\0\0\x0c\x01\0\0\x19\x01\0\0\0\0\0\0\0\
\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\
\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\
\x0c\x03\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\0\xc6\0\0\0\x01\
\0\0\x0c\x06\0\0\0\xe3\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xe6\0\0\0\0\0\0\x0e\
\x04\0\0\0\x01\0\0\0\xea\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x04\0\0\0\xef\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\x03\x01\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\x0c\x01\0\0\x02\0\0\x0f\0\0\0\0\
\x08\0\0\0\0\0\0\0\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\x11\x01\0\0\x01\0\0\
\x0f\0\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x72\x61\
\x77\x5f\x74\x70\x5f\x70\x72\x6f\x67\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\
\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\
\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6c\x69\x6e\x6b\
\x5f\x70\x69\x6e\x6e\x69\x6e\x67\x2e\x63\0\x09\x6f\x75\x74\x20\x3d\x20\x69\x6e\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x74\x70\x5f\x62\x74\x66\x5f\
\x70\x72\x6f\x67\0\x74\x70\x5f\x62\x74\x66\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\x69\x6e\0\x6f\x75\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x24\0\0\0\x24\0\0\0\x74\0\0\0\x98\0\0\0\0\0\0\0\x08\0\0\0\x15\0\0\0\
\x01\0\0\0\0\0\0\0\x05\0\0\0\xd2\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\
\x15\0\0\0\x03\0\0\0\0\0\0\0\x26\0\0\0\xb0\0\0\0\x08\x38\0\0\x18\0\0\0\x26\0\0\
\0\xb0\0\0\0\x06\x38\0\0\x30\0\0\0\x26\0\0\0\xbb\0\0\0\x02\x3c\0\0\xd2\0\0\0\
\x03\0\0\0\0\0\0\0\x26\0\0\0\xb0\0\0\0\x08\x54\0\0\x18\0\0\0\x26\0\0\0\xb0\0\0\
\0\x06\x54\0\0\x30\0\0\0\x26\0\0\0\xbb\0\0\0\x02\x58\0\0\0\0\0\0\0\0\0\x0c\0\0\
\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x75\0\0\
\0\x04\0\x31\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\
\x70\x72\x6f\x67\x73\0\0\x74\x65\x73\x74\x5f\x6c\x69\x6e\x6b\x5f\x70\x69\x6e\
\x6e\x69\x6e\x67\x2e\x63\0\x01\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0c\x01\x05\
\x08\x0a\x13\x05\x06\x06\x3c\x05\x02\x06\x3d\x02\x02\0\x01\x01\0\x09\x02\0\0\0\
\0\0\0\0\0\x03\x13\x01\x05\x08\x0a\x13\x05\x06\x06\x3c\x05\x02\x06\x3d\x02\x02\
\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\0\
\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x15\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x82\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x22\0\0\0\x11\0\x07\
\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x91\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x0a\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x06\0\0\0\0\
\0\0\0\x0a\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x12\0\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\x26\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x2b\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x40\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x47\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\
\x01\0\0\0\x0b\0\0\0\x5c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x68\0\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\x7d\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x84\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x8b\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x99\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xa4\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\xbe\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xc9\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x01\
\0\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x18\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x04\x01\0\0\0\0\0\0\0\0\0\0\
\x0b\0\0\0\x1c\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x60\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x88\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa8\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\
\0\x01\0\0\0\x02\0\0\0\x2c\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x30\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x3e\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x5d\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x0c\x0d\x09\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\
\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\x6f\x75\x74\0\x2e\x62\x73\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\
\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\
\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x2e\x72\x65\x6c\x74\x70\x5f\x62\x74\x66\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x69\x6e\0\
\x72\x61\x77\x5f\x74\x70\x5f\x70\x72\x6f\x67\0\x74\x70\x5f\x62\x74\x66\x5f\x70\
\x72\x6f\x67\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\
\x74\x65\x73\x74\x5f\x6c\x69\x6e\x6b\x5f\x70\x69\x6e\x6e\x69\x6e\x67\x2e\x63\0\
\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\
\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe9\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\x0b\0\0\0\0\0\0\x02\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x70\x08\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x61\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x5d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x08\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x18\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x26\0\0\
\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xc4\0\0\0\0\0\0\0\x7e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\
\x01\0\0\0\0\0\0\xdb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x72\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x08\0\0\0\0\0\0\
\x50\x01\0\0\0\0\0\0\x18\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x2f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x02\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\0\
\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x3d\0\0\0\x01\0\0\0\x30\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\x02\0\0\0\0\0\0\x17\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xfd\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x64\x03\0\0\0\0\0\0\x3d\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf9\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\x0a\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x18\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\x05\
\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0a\0\0\0\0\0\0\x80\
\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc8\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x06\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc4\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0a\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\0\0\0\
\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb8\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa0\x06\0\0\0\0\0\0\x79\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x30\x0b\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x9d\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\
\0\x50\x0b\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xf1\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x07\0\0\
\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_LINK_PINNING_SKEL_H__ */
