/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_PERF_BRANCHES_SKEL_H__
#define __TEST_PERF_BRANCHES_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_perf_branches {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *perf_branches;
	} progs;
	struct {
		struct bpf_link *perf_branches;
	} links;
	struct test_perf_branches__bss {
		int valid;
		int required_size_out;
		int written_stack_out;
		int written_global_out;
		struct {
			__u64 _a;
			__u64 _b;
			__u64 _c;
		} fpbe[30];
	} *bss;
};

static void
test_perf_branches__destroy(struct test_perf_branches *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_perf_branches__create_skeleton(struct test_perf_branches *obj);

static inline struct test_perf_branches *
test_perf_branches__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_perf_branches *obj;

	obj = (struct test_perf_branches *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_perf_branches__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_perf_branches__destroy(obj);
	return NULL;
}

static inline struct test_perf_branches *
test_perf_branches__open(void)
{
	return test_perf_branches__open_opts(NULL);
}

static inline int
test_perf_branches__load(struct test_perf_branches *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_perf_branches *
test_perf_branches__open_and_load(void)
{
	struct test_perf_branches *obj;

	obj = test_perf_branches__open();
	if (!obj)
		return NULL;
	if (test_perf_branches__load(obj)) {
		test_perf_branches__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_perf_branches__attach(struct test_perf_branches *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_perf_branches__detach(struct test_perf_branches *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_perf_branches__create_skeleton(struct test_perf_branches *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_perf_branches";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_per.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "perf_branches";
	s->progs[0].prog = &obj->progs.perf_branches;
	s->progs[0].link = &obj->links.perf_branches;

	s->data_sz = 7048;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x16\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x7b\x1a\
\xf0\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\x7b\x1a\xd8\
\xff\0\0\0\0\x7b\x1a\xd0\xff\0\0\0\0\x7b\x1a\xc8\xff\0\0\0\0\x7b\x1a\xc0\xff\0\
\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\x7b\x1a\xa8\xff\0\0\0\0\
\x7b\x1a\xa0\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xa0\xff\xff\xff\xbf\
\x61\0\0\0\0\0\0\xb7\x03\0\0\x60\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x77\0\0\0\
\xbf\x07\0\0\0\0\0\0\xb7\x08\0\0\x01\0\0\0\xbf\x71\0\0\0\0\0\0\x67\x01\0\0\x20\
\0\0\0\x77\x01\0\0\x20\0\0\0\x15\x01\x1f\0\0\0\0\0\xb7\x08\0\0\x01\0\0\0\xbf\
\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\
\x85\0\0\0\x77\0\0\0\xbf\x09\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\xd0\x02\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x77\0\
\0\0\xbf\x01\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x15\x01\
\x0e\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x71\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x91\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x63\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x01\
\0\0\0\x63\x21\0\0\0\0\0\0\xb7\x08\0\0\0\0\0\0\xbf\x80\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\x51\x10\0\0\0\0\0\
\0\0\xd8\x01\0\0\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\
\0\0\0\xd8\x01\0\0\0\0\0\0\x01\0\x57\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\
\0\0\0\0\0\x58\x01\0\0\0\0\0\0\x03\0\x79\0\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\x01\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\
\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\x03\
\x0e\x3e\x0b\x0b\x0b\0\0\x04\x01\x01\x49\x13\0\0\x05\x21\0\x49\x13\x37\x0b\0\0\
\x06\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x07\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\
\x0b\x38\x0b\0\0\x08\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x09\x24\0\x03\
\x0e\x0b\x0b\x3e\x0b\0\0\x0a\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x0b\x0f\
\0\x49\x13\0\0\x0c\x15\x01\x49\x13\x27\x19\0\0\x0d\x05\0\x49\x13\0\0\x0e\x13\0\
\x03\x0e\x3c\x19\0\0\x0f\x0f\0\0\0\x10\x04\x01\x49\x13\x0b\x0b\x3a\x0b\x3b\x05\
\0\0\x11\x28\0\x03\x0e\x1c\x0f\0\0\x12\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\
\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x13\x05\0\x02\x17\x03\
\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x14\x34\0\x02\x18\x03\x0e\x3a\x0b\x3b\x0b\x49\
\x13\0\0\x15\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\0\xdc\x01\0\0\
\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5f\0\0\0\0\0\0\0\0\0\0\
\0\xd8\x01\0\0\x02\xcf\0\0\0\x3f\0\0\0\x01\x0a\x09\x03\0\0\0\0\0\0\0\0\x03\xd5\
\0\0\0\x05\x04\x02\xd9\0\0\0\x3f\0\0\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\x02\xeb\
\0\0\0\x3f\0\0\0\x01\x0c\x09\x03\0\0\0\0\0\0\0\0\x02\xfd\0\0\0\x3f\0\0\0\x01\
\x0d\x09\x03\0\0\0\0\0\0\0\0\x02\x10\x01\0\0\x9a\0\0\0\x01\x13\x09\x03\0\0\0\0\
\0\0\0\0\x04\xa6\0\0\0\x05\xe1\0\0\0\x1e\0\x06\x18\x01\x0f\x07\x15\x01\0\0\xcf\
\0\0\0\x01\x10\0\x07\x35\x01\0\0\xcf\0\0\0\x01\x11\x08\x07\x38\x01\0\0\xcf\0\0\
\0\x01\x12\x10\0\x08\xda\0\0\0\x2f\x01\0\0\x02\x1f\x03\x18\x01\0\0\x07\x08\x09\
\x3b\x01\0\0\x08\x07\x02\x4f\x01\0\0\xfd\0\0\0\x01\x32\x09\x03\0\0\0\0\0\0\0\0\
\x04\x09\x01\0\0\x05\xe1\0\0\0\x04\0\x03\x58\x01\0\0\x06\x01\x0a\x5d\x01\0\0\
\x1c\x01\0\0\x03\x2d\x0b\x0b\x21\x01\0\0\x0c\x3b\x01\0\0\x0d\x42\x01\0\0\x0d\
\x4c\x01\0\0\x0d\x4d\x01\0\0\x0d\xcf\0\0\0\0\x03\x75\x01\0\0\x05\x08\x0b\x47\
\x01\0\0\x0e\x7e\x01\0\0\x0f\x08\x58\x01\0\0\x9f\x01\0\0\x02\x1b\x03\x92\x01\0\
\0\x07\x04\x10\x58\x01\0\0\x04\x04\x1b\x10\x11\xa5\x01\0\0\x01\0\x12\0\0\0\0\0\
\0\0\0\xd8\x01\0\0\x01\x5a\xc3\x01\0\0\x01\x16\x3f\0\0\0\x13\0\0\0\0\xd9\x01\0\
\0\x01\x16\x4c\x01\0\0\x14\x02\x91\0\xd1\x01\0\0\x01\x18\xd3\x01\0\0\x15\x36\0\
\0\0\xdd\x01\0\0\x01\x19\x3f\0\0\0\x15\x59\0\0\0\xeb\x01\0\0\x01\x19\x3f\0\0\0\
\x15\x7e\0\0\0\xf9\x01\0\0\x01\x19\x3f\0\0\0\0\x04\xcf\0\0\0\x05\xe1\0\0\0\x0c\
\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\
\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\
\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\
\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x70\x65\x72\x66\x5f\x62\x72\x61\x6e\x63\x68\x65\x73\x2e\x63\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\
\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x76\x61\x6c\x69\
\x64\0\x69\x6e\x74\0\x72\x65\x71\x75\x69\x72\x65\x64\x5f\x73\x69\x7a\x65\x5f\
\x6f\x75\x74\0\x77\x72\x69\x74\x74\x65\x6e\x5f\x73\x74\x61\x63\x6b\x5f\x6f\x75\
\x74\0\x77\x72\x69\x74\x74\x65\x6e\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x6f\x75\x74\
\0\x66\x70\x62\x65\0\x5f\x61\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x5f\x62\0\x5f\
\x63\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x62\x70\x66\x5f\x72\
\x65\x61\x64\x5f\x62\x72\x61\x6e\x63\x68\x5f\x72\x65\x63\x6f\x72\x64\x73\0\x6c\
\x6f\x6e\x67\x20\x69\x6e\x74\0\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\
\x6e\x74\x5f\x64\x61\x74\x61\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\
\0\x5f\x5f\x75\x33\x32\0\x42\x50\x46\x5f\x46\x5f\x47\x45\x54\x5f\x42\x52\x41\
\x4e\x43\x48\x5f\x52\x45\x43\x4f\x52\x44\x53\x5f\x53\x49\x5a\x45\0\x70\x65\x72\
\x66\x5f\x62\x72\x61\x6e\x63\x68\x65\x73\0\x65\x6e\x74\x72\x69\x65\x73\0\x63\
\x74\x78\0\x77\x72\x69\x74\x74\x65\x6e\x5f\x73\x74\x61\x63\x6b\0\x72\x65\x71\
\x75\x69\x72\x65\x64\x5f\x73\x69\x7a\x65\0\x77\x72\x69\x74\x74\x65\x6e\x5f\x67\
\x6c\x6f\x62\x61\x6c\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x98\x01\0\0\x98\x01\0\0\
\xef\x02\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\
\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\
\0\0\0\x58\x02\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x5e\x02\0\0\0\0\0\x0e\x03\0\0\
\0\x01\0\0\0\x70\x02\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x82\x02\0\0\0\0\0\x0e\
\x03\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x95\x02\0\0\x0a\0\0\0\0\0\0\
\0\x98\x02\0\0\x0a\0\0\0\x40\0\0\0\x9b\x02\0\0\x0a\0\0\0\x80\0\0\0\x9e\x02\0\0\
\0\0\0\x08\x0b\0\0\0\xa4\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x09\0\0\0\x0d\0\0\0\x1e\0\0\0\xbb\x02\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\xcf\x02\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xd4\x02\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0f\0\0\0\x0d\0\0\0\x04\0\0\0\xd9\x02\
\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\xe2\x02\0\0\x05\0\0\x0f\0\0\0\0\x05\0\0\0\0\
\0\0\0\x04\0\0\0\x06\0\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\0\0\0\0\x04\0\0\0\x08\0\
\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\0\0\0\0\xd0\x02\0\0\xe7\x02\0\0\x01\0\0\x0f\0\
\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x70\x65\x72\
\x66\x5f\x62\x72\x61\x6e\x63\x68\x65\x73\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\
\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\
\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\
\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x70\x65\x72\x66\x5f\x62\x72\x61\x6e\
\x63\x68\x65\x73\x2e\x63\0\x69\x6e\x74\x20\x70\x65\x72\x66\x5f\x62\x72\x61\x6e\
\x63\x68\x65\x73\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x5f\x5f\x75\
\x36\x34\x20\x65\x6e\x74\x72\x69\x65\x73\x5b\x34\x20\x2a\x20\x33\x5d\x20\x3d\
\x20\x7b\x30\x7d\x3b\0\x09\x77\x72\x69\x74\x74\x65\x6e\x5f\x73\x74\x61\x63\x6b\
\x20\x3d\x20\x62\x70\x66\x5f\x72\x65\x61\x64\x5f\x62\x72\x61\x6e\x63\x68\x5f\
\x72\x65\x63\x6f\x72\x64\x73\x28\x63\x74\x78\x2c\x20\x65\x6e\x74\x72\x69\x65\
\x73\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x65\x6e\x74\x72\x69\x65\x73\x29\x2c\
\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x21\x77\x72\x69\x74\x74\x65\x6e\x5f\x73\
\x74\x61\x63\x6b\x29\0\x09\x72\x65\x71\x75\x69\x72\x65\x64\x5f\x73\x69\x7a\x65\
\x20\x3d\x20\x62\x70\x66\x5f\x72\x65\x61\x64\x5f\x62\x72\x61\x6e\x63\x68\x5f\
\x72\x65\x63\x6f\x72\x64\x73\x28\x63\x74\x78\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\
\x30\x2c\0\x09\x77\x72\x69\x74\x74\x65\x6e\x5f\x67\x6c\x6f\x62\x61\x6c\x20\x3d\
\x20\x62\x70\x66\x5f\x72\x65\x61\x64\x5f\x62\x72\x61\x6e\x63\x68\x5f\x72\x65\
\x63\x6f\x72\x64\x73\x28\x63\x74\x78\x2c\x20\x66\x70\x62\x65\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x66\x70\x62\x65\x29\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\
\x28\x21\x77\x72\x69\x74\x74\x65\x6e\x5f\x67\x6c\x6f\x62\x61\x6c\x29\0\x09\x77\
\x72\x69\x74\x74\x65\x6e\x5f\x73\x74\x61\x63\x6b\x5f\x6f\x75\x74\x20\x3d\x20\
\x77\x72\x69\x74\x74\x65\x6e\x5f\x73\x74\x61\x63\x6b\x3b\0\x09\x72\x65\x71\x75\
\x69\x72\x65\x64\x5f\x73\x69\x7a\x65\x5f\x6f\x75\x74\x20\x3d\x20\x72\x65\x71\
\x75\x69\x72\x65\x64\x5f\x73\x69\x7a\x65\x3b\0\x09\x77\x72\x69\x74\x74\x65\x6e\
\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x6f\x75\x74\x20\x3d\x20\x77\x72\x69\x74\x74\
\x65\x6e\x5f\x67\x6c\x6f\x62\x61\x6c\x3b\0\x09\x76\x61\x6c\x69\x64\x20\x3d\x20\
\x31\x3b\0\x7d\0\x76\x61\x6c\x69\x64\0\x72\x65\x71\x75\x69\x72\x65\x64\x5f\x73\
\x69\x7a\x65\x5f\x6f\x75\x74\0\x77\x72\x69\x74\x74\x65\x6e\x5f\x73\x74\x61\x63\
\x6b\x5f\x6f\x75\x74\0\x77\x72\x69\x74\x74\x65\x6e\x5f\x67\x6c\x6f\x62\x61\x6c\
\x5f\x6f\x75\x74\0\x5f\x61\0\x5f\x62\0\x5f\x63\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x66\x70\x62\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x14\0\0\0\x14\0\0\0\xec\0\0\0\0\x01\0\0\0\0\0\0\x08\0\0\0\x17\0\0\0\x01\0\0\
\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x17\0\0\0\x0e\0\0\0\0\0\0\0\x22\0\0\0\xad\0\0\0\
\0\x58\0\0\x10\0\0\0\x22\0\0\0\xca\0\0\0\x08\x60\0\0\x78\0\0\0\x22\0\0\0\0\0\0\
\0\0\0\0\0\x80\0\0\0\x22\0\0\0\xe7\0\0\0\x12\x70\0\0\xc8\0\0\0\x22\0\0\0\x33\
\x01\0\0\x06\x78\0\0\xd8\0\0\0\x22\0\0\0\x48\x01\0\0\x12\x88\0\0\x08\x01\0\0\
\x22\0\0\0\x7f\x01\0\0\x13\x94\0\0\x50\x01\0\0\x22\0\0\0\xc6\x01\0\0\x06\x9c\0\
\0\x58\x01\0\0\x22\0\0\0\xdc\x01\0\0\x14\xac\0\0\x70\x01\0\0\x22\0\0\0\0\x02\0\
\0\x14\xa8\0\0\x88\x01\0\0\x22\0\0\0\x24\x02\0\0\x15\xb0\0\0\xa0\x01\0\0\x22\0\
\0\0\x4a\x02\0\0\x08\xb4\0\0\xc0\x01\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\
\x22\0\0\0\x56\x02\0\0\x01\xc0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\
\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\x50\x01\0\
\0\x04\0\xf6\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\
\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\
\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\
\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\
\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\0\0\x74\x65\x73\x74\x5f\x70\x65\x72\x66\x5f\x62\x72\x61\x6e\x63\x68\
\x65\x73\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\
\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\
\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\
\x62\x70\x66\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x16\x01\x05\x08\
\x0a\x2f\x05\0\x06\x03\x68\xc8\x05\x12\x06\x03\x1c\x20\x06\x03\x64\x58\x03\x1c\
\x20\x05\x06\x06\x3e\x06\x03\x62\x20\x05\x12\x06\x03\x22\x20\x05\x13\x69\x05\
\x06\x92\x05\x14\x24\x3b\x05\x15\x3e\x05\x08\x3d\x05\0\x06\x03\x53\x4a\x05\x01\
\x06\x03\x30\x20\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe4\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x01\0\
\0\0\0\x03\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x06\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xce\0\0\0\x11\0\x05\0\x10\0\0\0\0\0\0\0\xd0\x02\0\0\
\0\0\0\0\x6d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\x47\0\0\0\
\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xd3\0\0\0\x11\0\x05\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x22\0\0\0\x11\0\x05\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x35\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x10\x01\0\0\0\
\0\0\0\x01\0\0\0\x0a\0\0\0\x58\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x70\x01\0\0\
\0\0\0\0\x01\0\0\0\x0c\0\0\0\x88\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\xa0\x01\0\
\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x0c\0\0\0\
\0\0\0\0\x0a\0\0\0\x06\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x16\0\0\0\0\
\0\0\0\x0a\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x1e\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x37\0\0\0\0\0\0\
\0\x01\0\0\0\x0d\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x47\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x5c\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x71\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x7d\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x86\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x92\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xab\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xb7\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xc3\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xd4\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xdb\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xe2\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xe9\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xf5\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x0a\x01\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x11\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x3c\x01\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\x48\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x52\x01\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\x59\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x69\x01\0\0\0\
\0\0\0\x0a\0\0\0\x06\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x7e\x01\0\0\
\0\0\0\0\x0a\0\0\0\x06\0\0\0\x89\x01\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x8d\x01\0\
\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x9b\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xa6\x01\
\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xaa\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb5\
\x01\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xb9\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\xc4\x01\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xc8\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\
\0\x60\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\x6c\x01\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\
\x78\x01\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x84\x01\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\
\x90\x01\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xa8\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x90\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x14\
\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x03\
\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x0b\x0a\x09\0\x2e\x64\x65\x62\x75\x67\x5f\
\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\x77\x72\x69\x74\x74\x65\x6e\x5f\x67\x6c\x6f\x62\x61\x6c\
\x5f\x6f\x75\x74\0\x77\x72\x69\x74\x74\x65\x6e\x5f\x73\x74\x61\x63\x6b\x5f\x6f\
\x75\x74\0\x72\x65\x71\x75\x69\x72\x65\x64\x5f\x73\x69\x7a\x65\x5f\x6f\x75\x74\
\0\x2e\x72\x65\x6c\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x2e\x62\x73\x73\0\
\x70\x65\x72\x66\x5f\x62\x72\x61\x6e\x63\x68\x65\x73\0\x2e\x64\x65\x62\x75\x67\
\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\
\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x66\x70\x62\
\x65\0\x76\x61\x6c\x69\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\
\x73\x74\x5f\x70\x65\x72\x66\x5f\x62\x72\x61\x6e\x63\x68\x65\x73\x2e\x63\0\x2e\
\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\
\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x33\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf9\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\
\x14\0\0\0\0\0\0\x19\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x10\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x15\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x68\0\0\0\x08\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa5\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\
\x02\0\0\0\0\0\0\xa1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbd\x02\0\0\0\0\0\0\
\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbe\x03\0\0\0\0\0\0\xe0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x86\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x10\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\x15\0\0\
\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7b\0\0\0\x01\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x9e\x05\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x0d\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa6\x07\0\0\0\0\0\0\x9f\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x68\x13\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x15\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\x0c\
\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x13\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\x15\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc1\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0d\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbd\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x14\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\
\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb1\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\x0d\0\0\0\0\0\0\x54\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xd8\x14\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x12\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x96\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\
\0\0\0\xe8\x14\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\
\x0e\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_PERF_BRANCHES_SKEL_H__ */
