/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_PERF_BUFFER_SKEL_H__
#define __TEST_PERF_BUFFER_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_perf_buffer {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *perf_buf_map;
	} maps;
	struct {
		struct bpf_program *handle_sys_enter;
	} progs;
	struct {
		struct bpf_link *handle_sys_enter;
	} links;
};

static void
test_perf_buffer__destroy(struct test_perf_buffer *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_perf_buffer__create_skeleton(struct test_perf_buffer *obj);

static inline struct test_perf_buffer *
test_perf_buffer__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_perf_buffer *obj;

	obj = (struct test_perf_buffer *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_perf_buffer__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_perf_buffer__destroy(obj);
	return NULL;
}

static inline struct test_perf_buffer *
test_perf_buffer__open(void)
{
	return test_perf_buffer__open_opts(NULL);
}

static inline int
test_perf_buffer__load(struct test_perf_buffer *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_perf_buffer *
test_perf_buffer__open_and_load(void)
{
	struct test_perf_buffer *obj;

	obj = test_perf_buffer__open();
	if (!obj)
		return NULL;
	if (test_perf_buffer__load(obj)) {
		test_perf_buffer__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_perf_buffer__attach(struct test_perf_buffer *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_perf_buffer__detach(struct test_perf_buffer *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_perf_buffer__create_skeleton(struct test_perf_buffer *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_perf_buffer";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "perf_buf_map";
	s->maps[0].map = &obj->maps.perf_buf_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle_sys_enter";
	s->progs[0].prog = &obj->progs.handle_sys_enter;
	s->progs[0].link = &obj->links.handle_sys_enter;

	s->data_sz = 5320;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x63\x0a\xfc\xff\0\0\0\0\xbf\xa4\
\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\x03\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xb7\x05\0\0\x04\
\0\0\0\x85\0\0\0\x19\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x01\0\x51\x08\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\x56\x30\0\0\0\0\0\0\0\
\x60\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x70\0\0\0\0\0\0\0\x02\0\x7a\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\
\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\
\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\
\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\
\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x09\x0f\0\x49\x13\0\0\x0a\x34\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x0b\0\0\x0b\x15\0\x49\x13\x27\x19\0\0\x0c\x16\0\x49\x13\
\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0d\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x0e\
\x15\x01\x49\x13\x27\x19\0\0\x0f\x05\0\x49\x13\0\0\x10\x0f\0\0\0\x11\x04\x01\
\x49\x13\x0b\x0b\x3a\x0b\x3b\x05\0\0\x12\x28\0\x03\x0e\x1c\x0f\0\0\x13\x2e\x01\
\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\
\x3f\x19\0\0\x14\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x15\x34\0\
\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\0\x87\x01\0\0\x04\0\0\0\0\0\x08\
\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5d\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x02\
\xcd\0\0\0\x3f\0\0\0\x01\x19\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\
\0\x04\0\x05\xd6\0\0\0\x06\x01\x06\xdb\0\0\0\x08\x07\x02\xef\0\0\0\x6e\0\0\0\
\x01\x0d\x09\x03\0\0\0\0\0\0\0\0\x07\x18\x01\x09\x08\xfc\0\0\0\x97\0\0\0\x01\
\x0a\0\x08\x05\x01\0\0\x97\0\0\0\x01\x0b\x08\x08\x0e\x01\0\0\x97\0\0\0\x01\x0c\
\x10\0\x09\x9c\0\0\0\x03\xa8\0\0\0\x04\x52\0\0\0\x04\0\x05\x01\x01\0\0\x05\x04\
\x0a\x19\x01\0\0\xba\0\0\0\x03\xc7\x09\xbf\0\0\0\x0b\xc4\0\0\0\x0c\xcf\0\0\0\
\x3f\x01\0\0\x02\x1b\x05\x32\x01\0\0\x07\x04\x0d\x45\x01\0\0\xe2\0\0\0\x03\xac\
\x02\x09\xe7\0\0\0\x0e\x06\x01\0\0\x0f\x0d\x01\0\0\x0f\x0d\x01\0\0\x0f\x0e\x01\
\0\0\x0f\x0d\x01\0\0\x0f\x0e\x01\0\0\0\x05\x5b\x01\0\0\x05\x08\x10\x0c\x19\x01\
\0\0\x7b\x01\0\0\x02\x1f\x05\x64\x01\0\0\x07\x08\x11\x4b\x01\0\0\x08\x04\xe5\
\x0f\x12\x93\x01\0\0\xff\xff\xff\xff\x0f\x12\xa4\x01\0\0\xff\xff\xff\xff\x0f\
\x12\xb6\x01\0\0\x80\x80\x80\x80\xf0\xff\xff\x07\0\x05\x81\x01\0\0\x07\x08\x13\
\0\0\0\0\0\0\0\0\x70\0\0\0\x01\x5a\xc8\x01\0\0\x01\x10\xa8\0\0\0\x14\0\0\0\0\
\xd9\x01\0\0\x01\x10\x0d\x01\0\0\x15\x49\0\0\0\xdd\x01\0\0\x01\x12\xa8\0\0\0\0\
\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\x2e\
\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\x32\
\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\x35\
\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x70\x65\x72\x66\x5f\x62\x75\x66\x66\x65\x72\x2e\x63\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\
\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\
\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x70\x65\x72\x66\x5f\x62\x75\x66\x5f\x6d\x61\x70\0\
\x74\x79\x70\x65\0\x69\x6e\x74\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\
\x75\x65\x5f\x73\x69\x7a\x65\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\
\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x62\x70\x66\x5f\x70\x65\x72\x66\
\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\0\x6c\x6f\x6e\x67\x20\x69\
\x6e\x74\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x42\x50\x46\x5f\x46\x5f\x49\x4e\x44\x45\
\x58\x5f\x4d\x41\x53\x4b\0\x42\x50\x46\x5f\x46\x5f\x43\x55\x52\x52\x45\x4e\x54\
\x5f\x43\x50\x55\0\x42\x50\x46\x5f\x46\x5f\x43\x54\x58\x4c\x45\x4e\x5f\x4d\x41\
\x53\x4b\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x63\x74\x78\0\x63\x70\x75\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x18\x01\0\0\x18\
\x01\0\0\xa3\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\x05\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x19\0\0\0\x01\0\0\
\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x27\0\0\0\x01\0\0\0\x80\0\0\0\x32\0\0\
\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\x3f\0\0\0\x07\0\0\0\x43\0\0\0\x01\0\0\x0c\x08\0\0\0\x87\x01\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x04\0\0\0\x04\
\0\0\0\x8c\x01\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\x95\x01\0\0\x01\0\0\x0f\0\0\0\
\0\x06\0\0\0\0\0\0\0\x18\0\0\0\x9b\x01\0\0\x01\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\
\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\
\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x70\x65\x72\x66\x5f\x62\x75\
\x66\x5f\x6d\x61\x70\0\x63\x74\x78\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\
\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\
\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x70\x65\x72\x66\x5f\x62\x75\x66\x66\x65\x72\x2e\x63\0\x69\x6e\x74\x20\
\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x28\x76\x6f\
\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x63\x70\x75\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\
\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\
\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\x63\x74\x78\x2c\x20\x26\x70\
\x65\x72\x66\x5f\x62\x75\x66\x5f\x6d\x61\x70\x2c\x20\x42\x50\x46\x5f\x46\x5f\
\x43\x55\x52\x52\x45\x4e\x54\x5f\x43\x50\x55\x2c\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\
\0\0\x14\0\0\0\x6c\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\x54\0\0\0\x01\0\0\0\0\0\0\
\0\x09\0\0\0\x10\0\0\0\x54\0\0\0\x06\0\0\0\0\0\0\0\x6e\0\0\0\xf7\0\0\0\0\x40\0\
\0\x08\0\0\0\x6e\0\0\0\x17\x01\0\0\x0c\x48\0\0\x10\0\0\0\x6e\0\0\0\x17\x01\0\0\
\x06\x48\0\0\x20\0\0\0\x6e\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x6e\0\0\0\x3e\x01\0\
\0\x02\x50\0\0\x60\0\0\0\x6e\0\0\0\x7c\x01\0\0\x02\x58\0\0\0\x0c\0\0\0\xff\xff\
\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\
\0\0\0\0\x1f\x01\0\0\x04\0\xf4\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\
\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\
\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\
\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\
\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x74\x65\x73\x74\x5f\x70\x65\x72\x66\x5f\x62\
\x75\x66\x66\x65\x72\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\
\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\
\0\x03\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\
\x78\x2f\x62\x70\x66\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x10\x01\
\x05\x0c\x0a\x21\x05\x06\x06\x20\x03\x6e\x20\x05\x02\x06\x03\x14\x2e\x76\x02\
\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc2\0\
\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x11\0\x06\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x33\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\
\0\0\0\x62\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\
\0\x01\0\0\0\x0a\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x16\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x1e\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x37\0\0\0\0\0\0\0\
\x01\0\0\0\x08\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x53\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x66\0\0\0\0\0\0\0\
\x01\0\0\0\x0a\0\0\0\x73\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x7f\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\x8b\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\xa9\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\xb0\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\xc9\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\xd0\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\xd7\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\x07\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x13\x01\0\0\0\0\0\
\0\x0a\0\0\0\x05\0\0\0\x1a\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x2a\x01\0\0\0\0\
\0\0\x0a\0\0\0\x05\0\0\0\x34\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x3e\x01\0\0\0\
\0\0\0\x0a\0\0\0\x05\0\0\0\x4c\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x53\x01\0\0\
\0\0\0\0\x01\0\0\0\x02\0\0\0\x61\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x6c\x01\0\
\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x70\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x7b\x01\
\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x7f\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x10\
\x01\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x28\x01\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x2c\0\
\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x50\0\0\0\0\
\0\0\0\0\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\
\0\x02\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\x01\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x09\x0a\x08\0\x2e\x64\x65\
\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x6d\x61\x70\x73\0\x2e\x64\x65\x62\
\x75\x67\x5f\x73\x74\x72\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x2e\x72\x65\x6c\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\
\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x70\x65\x72\x66\x5f\x62\
\x75\x66\x5f\x6d\x61\x70\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\
\x66\x6f\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\
\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x2e\
\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x70\x65\x72\x66\x5f\
\x62\x75\x66\x66\x65\x72\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\
\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x53\x0e\0\0\0\0\0\0\xee\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x48\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0b\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x15\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xcc\0\0\0\0\0\0\0\x6d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\x01\0\0\0\0\0\
\0\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\x8b\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0b\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x15\0\0\
\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x03\0\0\0\0\0\0\xe1\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xe9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa4\x05\0\0\0\0\0\0\xd3\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe5\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x90\x0d\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\x08\
\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x0d\0\0\0\0\0\0\x70\
\0\0\0\0\0\0\0\x15\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xaa\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x09\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\
\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9a\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\x09\0\0\0\0\0\0\x23\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\x0e\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x12\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x7f\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\
\0\0\0\x50\x0e\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xdd\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0a\
\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_PERF_BUFFER_SKEL_H__ */
