/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SOCKMAP_UPDATE_SKEL_H__
#define __TEST_SOCKMAP_UPDATE_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_sockmap_update {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *src;
		struct bpf_map *dst_sock_map;
		struct bpf_map *dst_sock_hash;
	} maps;
	struct {
		struct bpf_program *copy_sock_map;
	} progs;
	struct {
		struct bpf_link *copy_sock_map;
	} links;
};

static void
test_sockmap_update__destroy(struct test_sockmap_update *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sockmap_update__create_skeleton(struct test_sockmap_update *obj);

static inline struct test_sockmap_update *
test_sockmap_update__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sockmap_update *obj;

	obj = (struct test_sockmap_update *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_sockmap_update__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_sockmap_update__destroy(obj);
	return NULL;
}

static inline struct test_sockmap_update *
test_sockmap_update__open(void)
{
	return test_sockmap_update__open_opts(NULL);
}

static inline int
test_sockmap_update__load(struct test_sockmap_update *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sockmap_update *
test_sockmap_update__open_and_load(void)
{
	struct test_sockmap_update *obj;

	obj = test_sockmap_update__open();
	if (!obj)
		return NULL;
	if (test_sockmap_update__load(obj)) {
		test_sockmap_update__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_sockmap_update__attach(struct test_sockmap_update *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sockmap_update__detach(struct test_sockmap_update *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_sockmap_update__create_skeleton(struct test_sockmap_update *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_sockmap_update";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "src";
	s->maps[0].map = &obj->maps.src;

	s->maps[1].name = "dst_sock_map";
	s->maps[1].map = &obj->maps.dst_sock_map;

	s->maps[2].name = "dst_sock_hash";
	s->maps[2].map = &obj->maps.dst_sock_hash;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "copy_sock_map";
	s->progs[0].prog = &obj->progs.copy_sock_map;
	s->progs[0].link = &obj->links.copy_sock_map;

	s->data_sz = 7504;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x17\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\xb7\x07\0\0\0\0\0\0\x63\x7a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\
\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\xbf\x06\0\0\0\0\0\0\x15\x06\x16\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\xfc\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xbf\x63\0\
\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xbf\x08\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\
\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xbf\x09\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\
\0\x56\0\0\0\x4f\x89\0\0\0\0\0\0\xb7\x07\0\0\x01\0\0\0\x15\x09\x01\0\0\0\0\0\
\xb7\x07\0\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\x30\
\x9f\x10\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x02\0\x7a\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x02\0\x30\x9f\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\
\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\
\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\
\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x0b\x0b\x3a\x0b\
\x3b\x0b\0\0\x08\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x09\x0f\0\
\x49\x13\0\0\x0a\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0b\x34\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x0b\0\0\x0c\x15\x01\x49\x13\x27\x19\0\0\x0d\x05\0\x49\x13\
\0\0\x0e\x0f\0\0\0\x0f\x26\0\0\0\x10\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\
\x11\x04\x01\x49\x13\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x12\x28\0\x03\x0e\x1c\x0f\0\0\
\x13\x04\x01\x49\x13\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x14\x2e\x01\x11\x01\
\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\
\0\x15\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x16\x34\0\x02\x17\x03\x0e\x3a\
\x0b\x3b\x0b\x49\x13\0\0\x17\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x18\
\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\0\x7f\x03\0\0\x04\0\0\0\0\0\
\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\
\x02\xd0\0\0\0\x3f\0\0\0\x01\x30\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\
\0\0\0\x04\0\x05\xd9\0\0\0\x06\x01\x06\xde\0\0\0\x08\x07\x02\xf2\0\0\0\x6e\0\0\
\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\x07\x20\x01\x06\x08\xf6\0\0\0\xa3\0\0\0\x01\
\x07\0\x08\xff\0\0\0\xbb\0\0\0\x01\x08\x08\x08\x0b\x01\0\0\xcc\0\0\0\x01\x09\
\x10\x08\x22\x01\0\0\xe3\0\0\0\x01\x0a\x18\0\x09\xa8\0\0\0\x03\xb4\0\0\0\x04\
\x52\0\0\0\x0f\0\x05\xfb\0\0\0\x05\x04\x09\xc0\0\0\0\x03\xb4\0\0\0\x04\x52\0\0\
\0\x01\0\x09\xd1\0\0\0\x0a\xdc\0\0\0\x1c\x01\0\0\x02\x12\x05\x0f\x01\0\0\x07\
\x04\x09\xe8\0\0\0\x0a\xf3\0\0\0\x3f\x01\0\0\x02\x16\x05\x28\x01\0\0\x07\x08\
\x02\x45\x01\0\0\x0f\x01\0\0\x01\x12\x09\x03\0\0\0\0\0\0\0\0\x07\x20\x01\x0d\
\x08\xf6\0\0\0\xa3\0\0\0\x01\x0e\0\x08\xff\0\0\0\xbb\0\0\0\x01\x0f\x08\x08\x0b\
\x01\0\0\xcc\0\0\0\x01\x10\x10\x08\x22\x01\0\0\xe3\0\0\0\x01\x11\x18\0\x02\x52\
\x01\0\0\x59\x01\0\0\x01\x19\x09\x03\0\0\0\0\0\0\0\0\x07\x20\x01\x14\x08\xf6\0\
\0\0\x8e\x01\0\0\x01\x15\0\x08\xff\0\0\0\xbb\0\0\0\x01\x16\x08\x08\x0b\x01\0\0\
\xcc\0\0\0\x01\x17\x10\x08\x22\x01\0\0\xe3\0\0\0\x01\x18\x18\0\x09\x93\x01\0\0\
\x03\xb4\0\0\0\x04\x52\0\0\0\x12\0\x0b\x60\x01\0\0\xaa\x01\0\0\x03\x31\x09\xaf\
\x01\0\0\x0c\xbf\x01\0\0\x0d\xbf\x01\0\0\x0d\xc0\x01\0\0\0\x0e\x09\xc5\x01\0\0\
\x0f\x0b\x74\x01\0\0\xd1\x01\0\0\x03\x47\x09\xd6\x01\0\0\x0c\xf0\x01\0\0\x0d\
\xbf\x01\0\0\x0d\xc0\x01\0\0\x0d\xc0\x01\0\0\x0d\xe8\0\0\0\0\x05\x88\x01\0\0\
\x05\x08\x10\x91\x01\0\0\x03\x02\0\0\x03\xa1\x08\x09\x08\x02\0\0\x0c\xf0\x01\0\
\0\x0d\xbf\x01\0\0\0\x11\xdc\0\0\0\x04\x02\x28\x12\xa0\x01\0\0\0\x12\xa6\x01\0\
\0\x01\0\x13\xdc\0\0\0\xbb\x01\0\0\x04\x02\xf5\xab\x12\xab\x01\0\0\0\x12\xb3\
\x01\0\0\x01\0\x14\0\0\0\0\0\0\0\0\x08\x01\0\0\x01\x5a\xc5\x01\0\0\x01\x1c\xb4\
\0\0\0\x15\xd3\x01\0\0\x01\x1c\xbf\x01\0\0\x16\0\0\0\0\x0b\x01\0\0\x01\x20\xd1\
\0\0\0\x16\x38\0\0\0\xd7\x01\0\0\x01\x1f\x94\x02\0\0\x16\x5c\0\0\0\xe9\x01\0\0\
\x01\x1e\xa6\x02\0\0\0\x0a\x9f\x02\0\0\xe4\x01\0\0\x02\x51\x05\xde\x01\0\0\x02\
\x01\x09\xab\x02\0\0\x17\x66\x02\0\0\x50\x02\x94\xb5\x18\xec\x01\0\0\xd1\0\0\0\
\x02\x95\xb5\0\x18\xf9\x01\0\0\xd1\0\0\0\x02\x96\xb5\x04\x18\xf6\0\0\0\xd1\0\0\
\0\x02\x97\xb5\x08\x18\0\x02\0\0\xd1\0\0\0\x02\x98\xb5\x0c\x18\x09\x02\0\0\xd1\
\0\0\0\x02\x99\xb5\x10\x18\x0e\x02\0\0\xd1\0\0\0\x02\x9a\xb5\x14\x18\x17\x02\0\
\0\xd1\0\0\0\x02\x9b\xb5\x18\x18\x1f\x02\0\0\x6b\x03\0\0\x02\x9c\xb5\x1c\x18\
\x27\x02\0\0\xd1\0\0\0\x02\x9d\xb5\x2c\x18\x30\x02\0\0\xd1\0\0\0\x02\x9e\xb5\
\x30\x18\x39\x02\0\0\xd1\0\0\0\x02\x9f\xb5\x34\x18\x41\x02\0\0\x6b\x03\0\0\x02\
\xa0\xb5\x38\x18\x49\x02\0\0\xd1\0\0\0\x02\xa1\xb5\x48\x18\x4f\x02\0\0\x77\x03\
\0\0\x02\xa2\xb5\x4c\0\x03\xd1\0\0\0\x04\x52\0\0\0\x04\0\x0a\xb4\0\0\0\x60\x02\
\0\0\x02\x10\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\
\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\
\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\
\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\
\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\
\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\
\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x72\x63\0\x74\x79\x70\
\x65\0\x69\x6e\x74\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x76\
\x61\x6c\x75\x65\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x64\x73\x74\x5f\x73\x6f\
\x63\x6b\x5f\x6d\x61\x70\0\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\
\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\
\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\
\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x6c\
\x65\x61\x73\x65\0\x66\x61\x6c\x73\x65\0\x74\x72\x75\x65\0\x53\x4b\x5f\x44\x52\
\x4f\x50\0\x53\x4b\x5f\x50\x41\x53\x53\0\x73\x6b\x5f\x61\x63\x74\x69\x6f\x6e\0\
\x63\x6f\x70\x79\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x63\x74\x78\0\x66\x61\
\x69\x6c\x65\x64\0\x5f\x42\x6f\x6f\x6c\0\x62\x6f\x6f\x6c\0\x73\x6b\0\x62\x6f\
\x75\x6e\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x66\x61\x6d\x69\x6c\x79\0\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x61\x72\x6b\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\
\x73\x72\x63\x5f\x69\x70\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\x72\x63\x5f\
\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x69\x70\
\x34\0\x64\x73\x74\x5f\x69\x70\x36\0\x73\x74\x61\x74\x65\0\x72\x78\x5f\x71\x75\
\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x5f\x5f\x73\x33\x32\0\x62\x70\
\x66\x5f\x73\x6f\x63\x6b\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x6c\x02\0\0\x6c\x02\
\0\0\x38\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\x05\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\
\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\
\0\0\x2c\0\0\0\0\0\0\x08\x0c\0\0\0\x32\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\
\0\0\x04\0\0\x04\x20\0\0\0\x49\0\0\0\x01\0\0\0\0\0\0\0\x4e\0\0\0\x05\0\0\0\x40\
\0\0\0\x5a\0\0\0\x07\0\0\0\x80\0\0\0\x5e\0\0\0\x0a\0\0\0\xc0\0\0\0\x64\0\0\0\0\
\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x49\0\0\0\x01\0\0\0\
\0\0\0\0\x4e\0\0\0\x05\0\0\0\x40\0\0\0\x5a\0\0\0\x07\0\0\0\x80\0\0\0\x5e\0\0\0\
\x0a\0\0\0\xc0\0\0\0\x68\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\
\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\
\0\0\x04\x20\0\0\0\x49\0\0\0\x11\0\0\0\0\0\0\0\x4e\0\0\0\x05\0\0\0\x40\0\0\0\
\x5a\0\0\0\x07\0\0\0\x80\0\0\0\x5e\0\0\0\x0a\0\0\0\xc0\0\0\0\x75\0\0\0\0\0\0\
\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\
\0\x83\0\0\0\x15\0\0\0\x87\0\0\0\x01\0\0\x0c\x16\0\0\0\x1c\x02\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x04\0\0\0\x04\0\0\0\
\x21\x02\0\0\0\0\0\x0e\x19\0\0\0\x01\0\0\0\x2a\x02\0\0\x03\0\0\x0f\0\0\0\0\x0e\
\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\0\0\0\0\x20\0\0\
\0\x30\x02\0\0\x01\0\0\x0f\0\0\0\0\x1a\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\
\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x72\x63\0\x64\x73\
\x74\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\
\x68\x61\x73\x68\0\x63\x74\x78\0\x63\x6f\x70\x79\x5f\x73\x6f\x63\x6b\x5f\x6d\
\x61\x70\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x2f\x63\x6f\x70\x79\x5f\x73\
\x6f\x63\x6b\x5f\x6d\x61\x70\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\
\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\
\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x6f\x63\
\x6b\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x2e\x63\0\x69\x6e\x74\x20\x63\x6f\
\x70\x79\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x28\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\
\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x72\x63\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\
\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x64\x73\x74\
\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x73\x6b\
\x2c\x20\x30\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\
\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x64\x73\x74\x5f\x73\x6f\x63\
\x6b\x5f\x68\x61\x73\x68\x2c\x20\x26\x6b\x65\x79\x2c\x20\x73\x6b\x2c\x20\x30\
\x29\x29\0\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x73\
\x6b\x29\x3b\0\x7d\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x14\0\0\0\x14\0\0\0\xbc\0\0\0\xd0\0\0\0\0\0\0\0\x08\0\0\0\x95\0\0\0\x01\0\0\
\0\0\0\0\0\x17\0\0\0\x10\0\0\0\x95\0\0\0\x0b\0\0\0\0\0\0\0\xae\0\0\0\x3a\x01\0\
\0\0\x70\0\0\x08\0\0\0\xae\0\0\0\x57\x01\0\0\x08\x80\0\0\x18\0\0\0\xae\0\0\0\0\
\0\0\0\0\0\0\0\x20\0\0\0\xae\0\0\0\x67\x01\0\0\x07\x88\0\0\x40\0\0\0\xae\0\0\0\
\x8e\x01\0\0\x06\x8c\0\0\x50\0\0\0\xae\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\xae\0\0\
\0\x98\x01\0\0\x06\x98\0\0\x90\0\0\0\xae\0\0\0\xce\x01\0\0\x06\xa4\0\0\xc8\0\0\
\0\xae\0\0\0\x05\x02\0\0\x02\xb0\0\0\xd8\0\0\0\xae\0\0\0\xce\x01\0\0\x06\xa4\0\
\0\xf8\0\0\0\xae\0\0\0\x1a\x02\0\0\x01\xb8\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\
\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\
\0\xb1\0\0\0\x04\0\x75\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\
\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\
\x64\x65\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\
\0\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\
\x65\x2e\x63\0\x01\0\0\x76\x6d\x6c\x69\x6e\x75\x78\x2e\x68\0\x02\0\0\x62\x70\
\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\0\0\x09\
\x02\0\0\0\0\0\0\0\0\x03\x1c\x01\x05\x08\x0a\x23\x06\x03\x60\x20\x05\x07\x06\
\x03\x22\x2e\x05\x06\x4b\x06\x03\x5d\x20\x06\x03\x26\x2e\x77\x05\x02\x77\x05\
\x06\x2b\x05\x01\x4f\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xc2\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf1\0\0\
\0\0\0\x03\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\x11\0\x06\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x42\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\
\0\0\x6d\0\0\0\x11\0\x05\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x50\0\0\0\x11\0\
\x05\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xb3\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x58\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x06\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x12\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x2b\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x4c\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x5a\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x73\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x7f\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x8b\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x97\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb5\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xd6\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xdd\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xed\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xf4\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xfb\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x07\x01\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\x14\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x20\x01\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\x2c\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x38\x01\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\x45\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x51\x01\0\0\0\
\0\0\0\x01\0\0\0\x0b\0\0\0\x5e\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x6a\x01\0\0\
\0\0\0\0\x0a\0\0\0\x06\0\0\0\x76\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x82\x01\0\
\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xa0\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xc7\x01\
\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xf1\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xf8\
\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x1c\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x22\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x2d\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\
\0\x36\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x3c\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\
\0\0\x43\x02\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x51\x02\0\0\0\0\0\0\x0a\0\0\0\x06\
\0\0\0\x5c\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x67\x02\0\0\0\0\0\0\x0a\0\0\0\
\x04\0\0\0\x6b\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x76\x02\0\0\0\0\0\0\x0a\0\0\
\0\x04\0\0\0\x7a\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x85\x02\0\0\0\0\0\0\x0a\0\
\0\0\x04\0\0\0\x89\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x99\x02\0\0\0\0\0\0\x0a\
\0\0\0\x06\0\0\0\xa0\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xac\x02\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xb5\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xc2\x02\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\xcf\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xdc\x02\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\xe9\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xf6\x02\0\0\0\
\0\0\0\x0a\0\0\0\x06\0\0\0\x03\x03\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x10\x03\0\0\
\0\0\0\0\x0a\0\0\0\x06\0\0\0\x1d\x03\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x2a\x03\0\
\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x37\x03\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x44\x03\
\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x51\x03\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x5e\
\x03\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x7c\x03\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x4c\x02\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\x58\x02\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\
\x64\x02\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x7c\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x90\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\
\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x82\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x0a\x0d\x0c\x0b\x09\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\
\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\
\x6d\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\
\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x2f\x63\x6f\x70\x79\x5f\x73\x6f\x63\
\x6b\x5f\x6d\x61\x70\0\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x64\x73\x74\x5f\x73\
\x6f\x63\x6b\x5f\x68\x61\x73\x68\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\
\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\
\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\
\x72\x61\x6d\x65\0\x73\x72\x63\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\
\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x2e\
\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x33\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd5\x16\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x08\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x11\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x15\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\
\x01\0\0\0\0\0\0\x7f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\x02\0\0\0\0\0\0\
\x24\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\x03\0\0\0\0\0\0\x83\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x11\0\0\0\0\0\0\x50\x04\0\0\0\0\0\0\x15\0\0\
\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xd2\x06\0\0\0\0\0\0\x6f\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xec\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x41\x09\0\0\0\0\0\0\xbc\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa0\x15\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x15\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfd\x0d\
\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x15\0\0\0\0\0\0\xc0\
\0\0\0\0\0\0\0\x15\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa6\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0e\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x16\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\
\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x96\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\x0f\0\0\0\0\0\0\xb5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x92\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc0\x16\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x7b\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\
\0\xd0\x16\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0f\0\0\
\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_SOCKMAP_UPDATE_SKEL_H__ */
