/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TRACE_PRINTK_SKEL_H__
#define __TRACE_PRINTK_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct trace_printk {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *sys_enter;
	} progs;
	struct {
		struct bpf_link *sys_enter;
	} links;
	struct trace_printk__bss {
		int trace_printk_ret;
		int trace_printk_ran;
	} *bss;
	struct trace_printk__rodata {
		char sys_enter_fmt[20];
	} *rodata;
};

static void
trace_printk__destroy(struct trace_printk *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
trace_printk__create_skeleton(struct trace_printk *obj);

static inline struct trace_printk *
trace_printk__open_opts(const struct bpf_object_open_opts *opts)
{
	struct trace_printk *obj;

	obj = (struct trace_printk *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (trace_printk__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	trace_printk__destroy(obj);
	return NULL;
}

static inline struct trace_printk *
trace_printk__open(void)
{
	return trace_printk__open_opts(NULL);
}

static inline int
trace_printk__load(struct trace_printk *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct trace_printk *
trace_printk__open_and_load(void)
{
	struct trace_printk *obj;

	obj = trace_printk__open();
	if (!obj)
		return NULL;
	if (trace_printk__load(obj)) {
		trace_printk__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
trace_printk__attach(struct trace_printk *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
trace_printk__detach(struct trace_printk *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
trace_printk__create_skeleton(struct trace_printk *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "trace_printk";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "trace_pr.rodata";
	s->maps[0].map = &obj->maps.rodata;
	s->maps[0].mmaped = (void **)&obj->rodata;

	s->maps[1].name = "trace_pr.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "sys_enter";
	s->progs[0].prog = &obj->progs.sys_enter;
	s->progs[0].link = &obj->links.sys_enter;

	s->data_sz = 4640;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x13\0\0\0\0\0\0\x07\x03\0\0\x01\
\0\0\0\x63\x31\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x14\
\0\0\0\x85\0\0\0\x06\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x74\x65\x73\x74\x69\x6e\
\x67\x2c\x74\x65\x73\x74\x69\x6e\x67\x20\x25\x64\x0a\0\x01\x11\x01\x25\x0e\x13\
\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\
\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\
\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\
\x0b\0\0\x07\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\
\x0b\x27\x19\x49\x13\x3f\x19\0\0\x08\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x02\
\x18\0\0\x09\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0a\x26\0\x49\x13\0\0\
\x0b\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x0c\x0f\0\x49\x13\0\0\x0d\x15\
\x01\x49\x13\x27\x19\0\0\x0e\x05\0\x49\x13\0\0\x0f\x18\0\0\0\x10\x16\0\x49\x13\
\x03\x0e\x3a\x0b\x3b\x0b\0\0\x11\x0f\0\0\0\0\x12\x01\0\0\x04\0\0\0\0\0\x08\x01\
\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x59\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x02\xc9\0\
\0\0\x3f\0\0\0\x01\x08\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\
\0\x05\xd2\0\0\0\x06\x01\x06\xd7\0\0\0\x08\x07\x02\xeb\0\0\0\x6e\0\0\0\x01\x0a\
\x09\x03\0\0\0\0\0\0\0\0\x05\xfc\0\0\0\x05\x04\x02\0\x01\0\0\x6e\0\0\0\x01\x0b\
\x09\x03\0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x70\0\0\0\x01\x5a\x42\x01\0\0\x01\
\x0e\x6e\0\0\0\x08\x11\x01\0\0\xc4\0\0\0\x01\x10\x09\x03\0\0\0\0\0\0\0\0\x09\
\x4c\x01\0\0\x01\x0e\x14\x01\0\0\0\x03\xd0\0\0\0\x04\x52\0\0\0\x14\0\x0a\x4b\0\
\0\0\x0b\x15\x01\0\0\xe0\0\0\0\x03\xaa\x0c\xe5\0\0\0\x0d\xf6\0\0\0\x0e\xfd\0\0\
\0\x0e\x02\x01\0\0\x0f\0\x05\x26\x01\0\0\x05\x08\x0c\xd0\0\0\0\x10\x0d\x01\0\0\
\x3c\x01\0\0\x02\x12\x05\x2f\x01\0\0\x07\x04\x11\0\x63\x6c\x61\x6e\x67\x20\x76\
\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\
\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\
\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\
\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\
\x74\x6b\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\
\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x72\x61\x63\x65\
\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\0\x69\x6e\x74\0\x74\x72\x61\x63\
\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x61\x6e\0\x66\x6d\x74\0\x62\x70\x66\
\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\x6c\x6f\x6e\x67\x20\x69\
\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\
\x32\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x74\x78\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\x2c\x01\0\0\x2c\x01\0\0\x79\x01\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\x12\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\x07\0\0\0\x04\0\0\0\x17\x01\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x2b\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x34\
\x01\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x45\x01\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x0a\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0b\0\0\0\x07\0\0\0\
\x14\0\0\0\x56\x01\0\0\0\0\0\x0e\x0c\0\0\0\0\0\0\0\x64\x01\0\0\x02\0\0\x0f\0\0\
\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\x0a\0\0\0\0\0\0\0\x04\0\0\0\x69\x01\0\0\x01\0\
\0\x0f\0\0\0\0\x0d\0\0\0\0\0\0\0\x14\0\0\0\x71\x01\0\0\x01\0\0\x0f\0\0\0\0\x08\
\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\
\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\
\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x72\x61\x63\x65\x5f\
\x70\x72\x69\x6e\x74\x6b\x2e\x63\0\x09\x09\x09\x09\x09\x20\x20\x20\x20\x2b\x2b\
\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x61\x6e\x29\x3b\0\x09\
\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\x20\x3d\x20\
\x62\x70\x66\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x28\x66\x6d\
\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x66\x6d\x74\x29\x2c\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x30\x3b\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\0\x74\x72\
\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x61\x6e\0\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\x2e\x66\x6d\x74\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\
\x14\0\0\0\x4c\0\0\0\x60\0\0\0\0\0\0\0\x08\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\
\x04\0\0\0\x10\0\0\0\x13\0\0\0\x04\0\0\0\0\0\0\0\x2d\0\0\0\xb2\0\0\0\x0a\x4c\0\
\0\x28\0\0\0\x2d\0\0\0\xd0\0\0\0\x15\x48\0\0\x48\0\0\0\x2d\0\0\0\xd0\0\0\0\x13\
\x48\0\0\x60\0\0\0\x2d\0\0\0\x07\x01\0\0\x02\x50\0\0\0\0\x0c\0\0\0\xff\xff\xff\
\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\
\0\0\x96\0\0\0\x04\0\x6e\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\
\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\
\x64\x65\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\
\0\0\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x2e\x63\0\x01\0\0\x76\x6d\
\x6c\x69\x6e\x75\x78\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\
\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0e\x01\
\x05\x0a\x0a\x16\x05\x15\x57\x05\x13\x06\x4a\x05\x02\x06\x3e\x02\x02\0\x01\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\x07\0\0\0\0\0\0\0\0\0\
\x14\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x9e\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x65\
\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x7f\0\0\0\x11\0\x06\0\x04\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x30\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x04\
\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\
\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\
\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x37\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x53\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x66\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x6f\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x76\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x82\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\
\x8b\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x99\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\xa4\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\xb9\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xd6\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\xf7\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x07\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x0e\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\
\x0c\x01\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x24\x01\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\
\x3c\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x14\0\0\0\0\0\0\
\0\x0a\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x7b\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x0a\x09\x02\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\
\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x2e\x66\x6d\x74\0\x74\x72\x61\x63\
\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\0\x2e\x62\x73\x73\0\x2e\x64\
\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x74\x70\x2f\x72\x61\x77\x5f\
\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x74\x72\x61\x63\x65\
\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x61\x6e\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\
\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\
\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x66\x72\x61\x6d\x65\0\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\
\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa3\x0b\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x55\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x09\0\0\0\0\0\0\x30\0\0\0\0\0\0\
\0\x15\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9f\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe7\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb4\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\
\0\xc3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\x01\0\0\0\0\0\0\x16\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x09\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x15\0\0\
\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x46\0\0\0\x01\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xa1\x02\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xf3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf1\x03\0\0\0\0\0\0\xbd\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe0\x0a\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x15\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xae\x06\
\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0b\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\x15\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xbb\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x07\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0b\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\
\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xab\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x58\x07\0\0\0\0\0\0\x9a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x90\x0b\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x90\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\
\0\xa0\x0b\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xdf\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x07\0\0\
\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TRACE_PRINTK_SKEL_H__ */
