/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __UDP_LIMIT_SKEL_H__
#define __UDP_LIMIT_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct udp_limit {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sk_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *sock;
		struct bpf_program *sock_release;
	} progs;
	struct {
		struct bpf_link *sock;
		struct bpf_link *sock_release;
	} links;
	struct udp_limit__bss {
		int invocations;
		int in_use;
	} *bss;
};

static void
udp_limit__destroy(struct udp_limit *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
udp_limit__create_skeleton(struct udp_limit *obj);

static inline struct udp_limit *
udp_limit__open_opts(const struct bpf_object_open_opts *opts)
{
	struct udp_limit *obj;

	obj = (struct udp_limit *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (udp_limit__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	udp_limit__destroy(obj);
	return NULL;
}

static inline struct udp_limit *
udp_limit__open(void)
{
	return udp_limit__open_opts(NULL);
}

static inline int
udp_limit__load(struct udp_limit *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct udp_limit *
udp_limit__open_and_load(void)
{
	struct udp_limit *obj;

	obj = udp_limit__open();
	if (!obj)
		return NULL;
	if (udp_limit__load(obj)) {
		udp_limit__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
udp_limit__attach(struct udp_limit *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
udp_limit__detach(struct udp_limit *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
udp_limit__create_skeleton(struct udp_limit *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "udp_limit";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "sk_map";
	s->maps[0].map = &obj->maps.sk_map;

	s->maps[1].name = "udp_limi.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "sock";
	s->progs[0].prog = &obj->progs.sock;
	s->progs[0].link = &obj->links.sock;

	s->progs[1].name = "sock_release";
	s->progs[1].prog = &obj->progs.sock_release;
	s->progs[1].link = &obj->links.sock_release;

	s->data_sz = 9128;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x1c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1b\0\
\x01\0\xbf\x12\0\0\0\0\0\0\xb7\x06\0\0\x01\0\0\0\x61\x21\x08\0\0\0\0\0\x55\x01\
\x17\0\x02\0\0\0\xb7\x06\0\0\0\0\0\0\xb7\x07\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x6b\0\0\0\
\x15\0\x0f\0\0\0\0\0\x18\x01\0\0\xef\xbe\xad\xde\0\0\0\0\0\0\0\0\x63\x10\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x71\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\
\0\0\0\x65\x02\x03\0\0\0\0\0\xb7\x06\0\0\x01\0\0\0\xb7\x02\0\0\x01\0\0\0\xc3\
\x21\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x12\0\0\0\0\0\0\xb7\
\x06\0\0\x01\0\0\0\x61\x21\x08\0\0\0\0\0\x55\x01\x14\0\x02\0\0\0\xb7\x06\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\
\0\0\x85\0\0\0\x6b\0\0\0\x15\0\x0d\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x18\x02\0\0\
\xef\xbe\xad\xde\0\0\0\0\0\0\0\0\x5d\x21\x09\0\0\0\0\0\xb7\x06\0\0\x01\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xc3\x21\0\0\0\0\0\0\
\xb7\x01\0\0\xff\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x12\0\0\0\
\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\x51\x10\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\
\0\x01\0\x52\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\
\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x01\0\x51\x10\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x01\0\x52\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\0\0\x02\
\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\x03\x0e\
\x3e\x0b\x0b\x0b\0\0\x04\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x05\x0d\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x06\x0f\0\x49\x13\0\0\x07\x01\x01\x49\x13\
\0\0\x08\x21\0\x49\x13\x37\x0b\0\0\x09\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x0a\
\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x0b\x15\x01\x49\x13\x27\x19\0\0\x0c\
\x05\0\x49\x13\0\0\x0d\x0f\0\0\0\x0e\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\
\x0f\x04\x01\x49\x13\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x10\x28\0\x03\x0e\x1c\
\x0f\0\0\x11\x04\x01\x49\x13\x0b\x0b\x3a\x0b\x3b\x05\0\0\x12\x2e\x01\x11\x01\
\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\
\0\x13\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x14\x34\0\x02\x17\x03\
\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x15\x34\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x16\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x17\x0d\0\x03\x0e\x49\x13\x3a\
\x0b\x3b\x05\x38\x0b\0\0\0\xde\x02\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\
\0\0\0\0\0\0\0\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xc6\0\0\0\x3f\0\0\0\x01\
\x07\x09\x03\0\0\0\0\0\0\0\0\x03\xd2\0\0\0\x05\x04\x02\xd6\0\0\0\x3f\0\0\0\x01\
\x07\x09\x03\0\0\0\0\0\0\0\0\x02\xdd\0\0\0\x70\0\0\0\x01\x0e\x09\x03\0\0\0\0\0\
\0\0\0\x04\x20\x01\x09\x05\xe4\0\0\0\xa5\0\0\0\x01\x0a\0\x05\xfd\0\0\0\xbd\0\0\
\0\x01\x0b\x08\x05\x07\x01\0\0\xce\0\0\0\x01\x0c\x10\x05\x0b\x01\0\0\xce\0\0\0\
\x01\x0d\x18\0\x06\xaa\0\0\0\x07\x3f\0\0\0\x08\xb6\0\0\0\x18\0\x09\xe9\0\0\0\
\x08\x07\x06\xc2\0\0\0\x07\x3f\0\0\0\x08\xb6\0\0\0\x01\0\x06\x3f\0\0\0\x0a\x11\
\x01\0\0\xdf\0\0\0\x03\x43\x0a\x06\xe4\0\0\0\x0b\xfe\0\0\0\x0c\xfe\0\0\0\x0c\
\xfe\0\0\0\x0c\xfe\0\0\0\x0c\xff\0\0\0\0\x0d\x0e\x0a\x01\0\0\x3b\x01\0\0\x02\
\x1f\x03\x24\x01\0\0\x07\x08\x0f\x57\x01\0\0\xb7\x01\0\0\x04\x04\x18\x10\x4e\
\x01\0\0\x01\x10\x5a\x01\0\0\x02\x10\x65\x01\0\0\x03\x10\x6e\x01\0\0\x04\x10\
\x77\x01\0\0\x05\x10\x86\x01\0\0\x06\x10\x90\x01\0\0\x0a\x10\x9c\x01\0\0\x80\
\x80\x20\x10\xa9\x01\0\0\x80\x10\0\x03\x41\x01\0\0\x07\x04\x11\x57\x01\0\0\x04\
\x05\x12\x10\x10\xc5\x01\0\0\x01\x10\xe4\x01\0\0\x01\0\x12\0\0\0\0\0\0\0\0\xe8\
\0\0\0\x01\x5a\0\x02\0\0\x01\x11\x3f\0\0\0\x13\0\0\0\0\x12\x02\0\0\x01\x11\xfa\
\x01\0\0\x14\x46\0\0\0\x9f\x02\0\0\x01\x13\xce\0\0\0\x15\x07\x01\0\0\x01\x14\
\xbf\x02\0\0\0\x12\0\0\0\0\0\0\0\0\xd0\0\0\0\x01\x5a\x05\x02\0\0\x01\x2e\x3f\0\
\0\0\x13\x79\0\0\0\x12\x02\0\0\x01\x2e\xfa\x01\0\0\x14\xbf\0\0\0\x9f\x02\0\0\
\x01\x30\xce\0\0\0\x15\x07\x01\0\0\x01\x31\xbf\x02\0\0\0\x06\xff\x01\0\0\x16\
\x96\x02\0\0\x50\x05\xb6\x10\x17\x16\x02\0\0\xbf\x02\0\0\x05\xb7\x10\0\x17\x29\
\x02\0\0\xbf\x02\0\0\x05\xb8\x10\x04\x17\xe4\0\0\0\xbf\x02\0\0\x05\xb9\x10\x08\
\x17\x30\x02\0\0\xbf\x02\0\0\x05\xba\x10\x0c\x17\x39\x02\0\0\xbf\x02\0\0\x05\
\xbb\x10\x10\x17\x3e\x02\0\0\xbf\x02\0\0\x05\xbc\x10\x14\x17\x47\x02\0\0\xbf\
\x02\0\0\x05\xbe\x10\x18\x17\x4f\x02\0\0\xca\x02\0\0\x05\xbf\x10\x1c\x17\x57\
\x02\0\0\xbf\x02\0\0\x05\xc0\x10\x2c\x17\x60\x02\0\0\xbf\x02\0\0\x05\xc1\x10\
\x30\x17\x69\x02\0\0\xbf\x02\0\0\x05\xc2\x10\x34\x17\x71\x02\0\0\xca\x02\0\0\
\x05\xc3\x10\x38\x17\x79\x02\0\0\xbf\x02\0\0\x05\xc4\x10\x48\x17\x7f\x02\0\0\
\xd6\x02\0\0\x05\xc5\x10\x4c\0\x0e\x57\x01\0\0\x23\x02\0\0\x02\x1b\x07\xbf\x02\
\0\0\x08\xb6\0\0\0\x04\0\x0e\x3f\0\0\0\x90\x02\0\0\x02\x1a\0\0\0\0\0\0\0\0\0\
\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\
\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\
\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\
\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x75\x64\
\x70\x5f\x6c\x69\x6d\x69\x74\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\
\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\
\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\0\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\0\x69\
\x6e\x74\0\x69\x6e\x5f\x75\x73\x65\0\x73\x6b\x5f\x6d\x61\x70\0\x74\x79\x70\x65\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\
\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\0\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x53\x4f\x43\x4b\x5f\x53\x54\x52\x45\x41\x4d\0\x53\x4f\x43\x4b\x5f\x44\
\x47\x52\x41\x4d\0\x53\x4f\x43\x4b\x5f\x52\x41\x57\0\x53\x4f\x43\x4b\x5f\x52\
\x44\x4d\0\x53\x4f\x43\x4b\x5f\x53\x45\x51\x50\x41\x43\x4b\x45\x54\0\x53\x4f\
\x43\x4b\x5f\x44\x43\x43\x50\0\x53\x4f\x43\x4b\x5f\x50\x41\x43\x4b\x45\x54\0\
\x53\x4f\x43\x4b\x5f\x43\x4c\x4f\x45\x58\x45\x43\0\x53\x4f\x43\x4b\x5f\x4e\x4f\
\x4e\x42\x4c\x4f\x43\x4b\0\x5f\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x74\x79\x70\x65\
\0\x42\x50\x46\x5f\x4c\x4f\x43\x41\x4c\x5f\x53\x54\x4f\x52\x41\x47\x45\x5f\x47\
\x45\x54\x5f\x46\x5f\x43\x52\x45\x41\x54\x45\0\x42\x50\x46\x5f\x53\x4b\x5f\x53\
\x54\x4f\x52\x41\x47\x45\x5f\x47\x45\x54\x5f\x46\x5f\x43\x52\x45\x41\x54\x45\0\
\x73\x6f\x63\x6b\0\x73\x6f\x63\x6b\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x63\x74\
\x78\0\x62\x6f\x75\x6e\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x5f\x5f\x75\x33\x32\0\
\x66\x61\x6d\x69\x6c\x79\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x61\x72\x6b\0\
\x70\x72\x69\x6f\x72\x69\x74\x79\0\x73\x72\x63\x5f\x69\x70\x34\0\x73\x72\x63\
\x5f\x69\x70\x36\0\x73\x72\x63\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x70\x6f\
\x72\x74\0\x64\x73\x74\x5f\x69\x70\x34\0\x64\x73\x74\x5f\x69\x70\x36\0\x73\x74\
\x61\x74\x65\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\
\0\x5f\x5f\x73\x33\x32\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x73\x6b\x5f\x73\x74\
\x6f\x72\x61\x67\x65\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x5c\x02\0\0\x5c\x02\0\0\
\x58\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x28\0\0\0\
\x07\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\x32\0\0\0\0\0\0\x0e\x08\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x39\0\0\0\x0e\0\0\x04\x50\0\0\0\x42\0\
\0\0\x0c\0\0\0\0\0\0\0\x4f\0\0\0\x0c\0\0\0\x20\0\0\0\x19\0\0\0\x0c\0\0\0\x40\0\
\0\0\x56\0\0\0\x0c\0\0\0\x60\0\0\0\x5f\0\0\0\x0c\0\0\0\x80\0\0\0\x64\0\0\0\x0c\
\0\0\0\xa0\0\0\0\x6d\0\0\0\x0c\0\0\0\xc0\0\0\0\x75\0\0\0\x0e\0\0\0\xe0\0\0\0\
\x7d\0\0\0\x0c\0\0\0\x60\x01\0\0\x86\0\0\0\x0c\0\0\0\x80\x01\0\0\x8f\0\0\0\x0c\
\0\0\0\xa0\x01\0\0\x97\0\0\0\x0e\0\0\0\xc0\x01\0\0\x9f\0\0\0\x0c\0\0\0\x40\x02\
\0\0\xa5\0\0\0\x0f\0\0\0\x60\x02\0\0\xb6\0\0\0\0\0\0\x08\x0d\0\0\0\xbc\0\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\x04\0\0\0\x04\
\0\0\0\xc9\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xcf\0\0\0\
\x0a\0\0\0\xd3\0\0\0\x01\0\0\x0c\x10\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xcf\0\
\0\0\x0a\0\0\0\x69\x02\0\0\x01\0\0\x0c\x12\0\0\0\x3a\x03\0\0\0\0\0\x0e\x02\0\0\
\0\x01\0\0\0\x46\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x4d\x03\0\0\x02\0\0\x0f\
\0\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\x15\0\0\0\0\0\0\0\x04\0\0\0\x52\x03\0\0\
\x01\0\0\x0f\0\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\
\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\
\0\x73\x6b\x5f\x6d\x61\x70\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\x6f\x75\x6e\
\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x66\x61\x6d\x69\x6c\x79\0\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\0\x6d\x61\x72\x6b\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x73\x72\
\x63\x5f\x69\x70\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\x72\x63\x5f\x70\x6f\
\x72\x74\0\x64\x73\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x69\x70\x34\0\x64\
\x73\x74\x5f\x69\x70\x36\0\x73\x74\x61\x74\x65\0\x72\x78\x5f\x71\x75\x65\x75\
\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x73\x33\x32\0\x63\x74\x78\0\x73\x6f\
\x63\x6b\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x6f\x63\x6b\x5f\x63\x72\x65\x61\x74\
\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\
\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\
\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x75\x64\x70\x5f\x6c\x69\x6d\x69\x74\x2e\x63\0\x69\x6e\x74\
\x20\x73\x6f\x63\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\
\x63\x6b\x20\x2a\x63\x74\x78\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x74\
\x79\x70\x65\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\x44\x47\x52\x41\x4d\x29\0\x09\
\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\
\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x73\x6b\x5f\x6d\x61\
\x70\x2c\x20\x63\x74\x78\x2c\x20\x30\x2c\0\x09\x69\x66\x20\x28\x21\x73\x6b\x5f\
\x73\x74\x6f\x72\x61\x67\x65\x29\0\x09\x2a\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x20\x3d\x20\x30\x78\x64\x65\x61\x64\x62\x65\x65\x66\x3b\0\x09\x5f\x5f\x73\
\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\
\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\x2c\x20\x31\x29\x3b\0\x09\x69\x66\
\x20\x28\x69\x6e\x5f\x75\x73\x65\x20\x3e\x20\x30\x29\x20\x7b\0\x09\x5f\x5f\x73\
\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\
\x69\x6e\x5f\x75\x73\x65\x2c\x20\x31\x29\x3b\0\x7d\0\x73\x6f\x63\x6b\x5f\x72\
\x65\x6c\x65\x61\x73\x65\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x6f\x63\x6b\x5f\x72\
\x65\x6c\x65\x61\x73\x65\0\x69\x6e\x74\x20\x73\x6f\x63\x6b\x5f\x72\x65\x6c\x65\
\x61\x73\x65\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\
\x20\x2a\x63\x74\x78\x29\0\x09\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x20\x3d\
\x20\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\
\x28\x26\x73\x6b\x5f\x6d\x61\x70\x2c\x20\x63\x74\x78\x2c\x20\x30\x2c\x20\x30\
\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x20\
\x7c\x7c\x20\x2a\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x20\x21\x3d\x20\x30\
\x78\x64\x65\x61\x64\x62\x65\x65\x66\x29\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\
\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x69\x6e\x5f\x75\x73\
\x65\x2c\x20\x2d\x31\x29\x3b\0\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\0\
\x69\x6e\x5f\x75\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x64\x01\0\0\x88\x01\0\0\0\0\0\0\x08\0\
\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\x76\x02\0\0\x01\0\0\0\0\0\0\0\x13\0\
\0\0\x10\0\0\0\xd8\0\0\0\x0b\0\0\0\0\0\0\0\xeb\0\0\0\x6d\x01\0\0\0\x44\0\0\x10\
\0\0\0\xeb\0\0\0\x8c\x01\0\0\x0b\x58\0\0\x18\0\0\0\xeb\0\0\0\x8c\x01\0\0\x06\
\x58\0\0\x30\0\0\0\xeb\0\0\0\xaa\x01\0\0\x0f\x64\0\0\x58\0\0\0\xeb\0\0\0\xdc\
\x01\0\0\x06\x6c\0\0\x70\0\0\0\xeb\0\0\0\xee\x01\0\0\x0e\x74\0\0\x78\0\0\0\xeb\
\0\0\0\x09\x02\0\0\x02\x7c\0\0\x90\0\0\0\xeb\0\0\0\x31\x02\0\0\x06\x84\0\0\xb8\
\0\0\0\xeb\0\0\0\x31\x02\0\0\x06\x84\0\0\xc8\0\0\0\xeb\0\0\0\x44\x02\0\0\x02\
\xa4\0\0\xd8\0\0\0\xeb\0\0\0\x67\x02\0\0\x01\xac\0\0\x76\x02\0\0\x0a\0\0\0\0\0\
\0\0\xeb\0\0\0\x8a\x02\0\0\0\xb8\0\0\x10\0\0\0\xeb\0\0\0\x8c\x01\0\0\x0b\xcc\0\
\0\x18\0\0\0\xeb\0\0\0\x8c\x01\0\0\x06\xcc\0\0\x28\0\0\0\xeb\0\0\0\xb1\x02\0\0\
\x0f\xd8\0\0\x50\0\0\0\xeb\0\0\0\xe7\x02\0\0\x12\xdc\0\0\x58\0\0\0\xeb\0\0\0\
\xe7\x02\0\0\x15\xdc\0\0\x70\0\0\0\xeb\0\0\0\xe7\x02\0\0\x06\xdc\0\0\x80\0\0\0\
\xeb\0\0\0\x09\x02\0\0\x02\xe8\0\0\xa8\0\0\0\xeb\0\0\0\x16\x03\0\0\x02\xec\0\0\
\xc0\0\0\0\xeb\0\0\0\x67\x02\0\0\x01\xf4\0\0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\
\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\
\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x96\x01\0\0\x04\0\x10\
\x01\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\
\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\
\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\
\x64\x65\x2f\x62\x70\x66\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\
\x62\x69\x74\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\
\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x75\
\x64\x70\x5f\x6c\x69\x6d\x69\x74\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\
\x34\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\
\x73\x2e\x68\0\x03\0\0\x73\x6f\x63\x6b\x65\x74\x5f\x74\x79\x70\x65\x2e\x68\0\
\x04\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\
\x78\x2f\x62\x70\x66\x2e\x68\0\x05\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x11\x01\
\x05\x0b\x0a\x32\x05\x06\x06\x20\x03\x6a\x20\x05\x0f\x06\x03\x19\x2e\x05\x06\
\x5a\x06\x03\x65\x20\x05\x0e\x06\x03\x1d\x2e\x05\x02\x22\x05\x06\x3e\x06\x58\
\x03\x5f\x20\x05\x02\x06\x03\x29\x20\x05\x01\x30\x02\x02\0\x01\x01\0\x09\x02\0\
\0\0\0\0\0\0\0\x03\x2e\x01\x05\x0b\x0a\x32\x05\x06\x06\x20\x03\x4d\x20\x05\x0f\
\x06\x03\x36\x20\x05\x12\x59\x05\x15\x06\x20\x05\x06\x3c\x03\x49\x20\x05\x02\
\x06\x03\x3a\x20\x59\x05\x01\x3e\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe6\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x12\x01\0\0\0\0\x03\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x01\0\0\
\0\0\x05\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x15\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x97\0\0\
\0\x11\0\x07\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x2d\0\0\0\x11\0\x07\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x56\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x6d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xa9\0\0\0\x12\0\
\x05\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\
\x78\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\
\x28\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\
\xa8\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x4e\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x81\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\xc7\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\
\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\x16\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\x26\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\x37\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\x47\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x53\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\
\x5c\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\
\x75\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x81\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\x8d\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x99\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\xb7\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xd4\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\x04\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x0b\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\
\0\x16\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x1e\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\
\0\0\x24\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x2a\x01\0\0\0\0\0\0\x0a\0\0\0\x09\
\0\0\0\x30\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x36\x01\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\x3c\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x42\x01\0\0\0\0\0\0\x0a\0\0\
\0\x09\0\0\0\x48\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x50\x01\0\0\0\0\0\0\x0a\0\
\0\0\x09\0\0\0\x58\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x68\x01\0\0\0\0\0\0\x0a\
\0\0\0\x09\0\0\0\x6e\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x75\x01\0\0\0\0\0\0\
\x01\0\0\0\x04\0\0\0\x83\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x8e\x01\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\x92\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x9d\x01\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\xa1\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xac\x01\0\0\0\
\0\0\0\x0a\0\0\0\x09\0\0\0\xb8\x01\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xc6\x01\0\0\
\0\0\0\0\x0a\0\0\0\x09\0\0\0\xd1\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xd5\x01\0\
\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xe0\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xe4\x01\
\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xef\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\0\x02\
\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x09\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x16\
\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x23\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\x30\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x3d\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\
\0\x4a\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x57\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\
\0\0\x64\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x71\x02\0\0\0\0\0\0\x0a\0\0\0\x09\
\0\0\0\x7e\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x8b\x02\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\x98\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xa5\x02\0\0\0\0\0\0\x0a\0\0\
\0\x09\0\0\0\xb2\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xc4\x02\0\0\0\0\0\0\x0a\0\
\0\0\x09\0\0\0\xdb\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x48\x02\0\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\x54\x02\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x6c\x02\0\0\0\0\0\0\0\0\0\0\
\x0e\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x05\0\
\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\x70\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x90\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xd0\0\0\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\x08\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\x28\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x38\x01\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\x48\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x58\x01\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x78\x01\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\x88\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x98\x01\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x04\0\0\0\x2c\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x1d\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x62\x01\0\0\0\0\0\0\x01\0\0\
\0\x05\0\0\0\x0f\x10\x0d\x0c\x0e\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\
\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x69\x6e\x76\x6f\x63\x61\x74\x69\
\x6f\x6e\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\
\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x73\x6b\x5f\x6d\x61\x70\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x73\x6f\x63\x6b\0\
\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x2e\x72\x65\x6c\x63\x67\
\x72\x6f\x75\x70\x2f\x73\x6f\x63\x6b\x5f\x63\x72\x65\x61\x74\x65\0\x69\x6e\x5f\
\x75\x73\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x73\x6f\x63\x6b\x5f\
\x72\x65\x6c\x65\x61\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\
\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\
\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x75\x64\x70\x5f\
\x6c\x69\x6d\x69\x74\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\
\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x31\x5f\x34\0\x4c\
\x42\x42\x30\x5f\x34\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xf2\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcd\x1b\0\0\0\0\0\0\x19\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xd8\x14\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1a\0\0\0\x03\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\xa2\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x28\x01\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x9e\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x15\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\x1a\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\xf2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x38\x15\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x1a\0\0\0\x09\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0a\x03\0\0\0\0\0\0\x21\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\x04\0\0\0\
\0\0\0\xe2\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x15\0\0\0\0\0\0\x10\
\x04\0\0\0\0\0\0\x1a\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x3d\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x07\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x19\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x1a\0\0\0\
\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x4b\0\0\0\x01\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x3d\x07\0\0\0\0\0\0\xaa\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x06\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe7\x09\0\0\0\0\0\0\xcc\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc8\x19\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1a\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb3\x0f\
\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x19\0\0\0\0\0\0\
\x70\x01\0\0\0\0\0\0\x1a\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xca\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x11\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc6\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x1b\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x1a\
\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xba\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x11\0\0\0\0\0\0\x9a\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb6\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa8\x1b\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1a\0\0\0\x17\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x72\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\
\0\0\0\0\0\xc8\x1b\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x13\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __UDP_LIMIT_SKEL_H__ */
