/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __PERFBUF_BENCH_SKEL_H__
#define __PERFBUF_BENCH_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct perfbuf_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *perfbuf;
		struct bpf_map *data;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bench_perfbuf;
	} progs;
	struct {
		struct bpf_link *bench_perfbuf;
	} links;
	struct perfbuf_bench__bss {
		long int dropped;
	} *bss;
	struct perfbuf_bench__data {
		long int sample_val;
	} *data;
	struct perfbuf_bench__rodata {
		int batch_cnt;
	} *rodata;
};

static void
perfbuf_bench__destroy(struct perfbuf_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
perfbuf_bench__create_skeleton(struct perfbuf_bench *obj);

static inline struct perfbuf_bench *
perfbuf_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct perfbuf_bench *obj;

	obj = (struct perfbuf_bench *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (perfbuf_bench__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	perfbuf_bench__destroy(obj);
	return NULL;
}

static inline struct perfbuf_bench *
perfbuf_bench__open(void)
{
	return perfbuf_bench__open_opts(NULL);
}

static inline int
perfbuf_bench__load(struct perfbuf_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct perfbuf_bench *
perfbuf_bench__open_and_load(void)
{
	struct perfbuf_bench *obj;

	obj = perfbuf_bench__open();
	if (!obj)
		return NULL;
	if (perfbuf_bench__load(obj)) {
		perfbuf_bench__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
perfbuf_bench__attach(struct perfbuf_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
perfbuf_bench__detach(struct perfbuf_bench *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
perfbuf_bench__create_skeleton(struct perfbuf_bench *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "perfbuf_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "perfbuf";
	s->maps[0].map = &obj->maps.perfbuf;

	s->maps[1].name = "perfbuf_.data";
	s->maps[1].map = &obj->maps.data;
	s->maps[1].mmaped = (void **)&obj->data;

	s->maps[2].name = "perfbuf_.rodata";
	s->maps[2].map = &obj->maps.rodata;
	s->maps[2].mmaped = (void **)&obj->rodata;

	s->maps[3].name = "perfbuf_.bss";
	s->maps[3].map = &obj->maps.bss;
	s->maps[3].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "bench_perfbuf";
	s->progs[0].prog = &obj->progs.bench_perfbuf;
	s->progs[0].link = &obj->links.bench_perfbuf;

	s->data_sz = 6520;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x13\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x19\0\
\x01\0\xbf\x16\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x71\0\0\0\0\
\0\0\xc6\x01\x07\0\x01\0\0\0\xb4\x08\0\0\0\0\0\0\x18\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x05\0\x05\0\0\0\0\0\x04\x08\0\0\x01\0\0\0\x61\x71\0\0\0\0\0\0\xce\x18\
\x02\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x18\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x05\0\0\x08\0\0\0\x85\0\0\0\x19\0\0\0\x15\
\0\xf1\xff\0\0\0\0\xb7\x01\0\0\x01\0\0\0\xdb\x19\0\0\0\0\0\0\x05\0\xee\xff\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\x2a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\x51\
\x08\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x03\0\x11\0\x9f\x48\0\0\0\0\0\0\0\x60\0\0\
\0\0\0\0\0\x01\0\x58\x70\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\x58\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\
\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\
\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\
\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x26\0\x49\x13\0\0\
\x08\x35\0\x49\x13\0\0\x09\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x88\
\x01\x0f\x02\x18\0\0\x0a\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0b\x0d\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0c\x0f\0\x49\x13\0\0\x0d\x34\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x05\0\0\x0e\x15\x01\x49\x13\x27\x19\0\0\x0f\x05\0\x49\x13\
\0\0\x10\x0f\0\0\0\x11\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x12\x04\x01\
\x49\x13\x0b\x0b\x3a\x0b\x3b\x05\0\0\x13\x28\0\x03\x0e\x1c\x0f\0\0\x14\x2e\x01\
\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\
\x3f\x19\0\0\x15\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x16\x34\0\
\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x17\x34\0\x03\x0e\x3a\x0b\x3b\x0b\
\x49\x13\0\0\0\xbb\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\
\0\x5a\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\x02\xca\0\0\0\x3f\0\0\0\x01\x08\x09\x03\
\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xd3\0\0\0\x06\x01\x06\
\xd8\0\0\0\x08\x07\x02\xec\0\0\0\x6e\0\0\0\x01\x10\x09\x03\0\0\0\0\0\0\0\0\x07\
\x73\0\0\0\x08\x78\0\0\0\x05\xf6\0\0\0\x05\x04\x02\xfa\0\0\0\x94\0\0\0\x01\x12\
\x09\x03\0\0\0\0\0\0\0\0\x05\x05\x01\0\0\x05\x08\x09\x0e\x01\0\0\x94\0\0\0\x01\
\x13\x80\x01\x09\x03\0\0\0\0\0\0\0\0\x02\x16\x01\0\0\xc7\0\0\0\x01\x0e\x09\x03\
\0\0\0\0\0\0\0\0\x0a\x18\x01\x0a\x0b\x1e\x01\0\0\xf0\0\0\0\x01\x0b\0\x0b\x23\
\x01\0\0\xf0\0\0\0\x01\x0c\x08\x0b\x2e\x01\0\0\xf0\0\0\0\x01\x0d\x10\0\x0c\xf5\
\0\0\0\x03\x78\0\0\0\x04\x52\0\0\0\x04\0\x0d\x37\x01\0\0\x0d\x01\0\0\x03\xac\
\x02\x0c\x12\x01\0\0\x0e\x94\0\0\0\x0f\x31\x01\0\0\x0f\x31\x01\0\0\x0f\x32\x01\
\0\0\x0f\x31\x01\0\0\x0f\x32\x01\0\0\0\x10\x11\x3d\x01\0\0\x64\x01\0\0\x02\x1f\
\x05\x4d\x01\0\0\x07\x08\x12\x6f\x01\0\0\x08\x04\xe5\x0f\x13\x7c\x01\0\0\xff\
\xff\xff\xff\x0f\x13\x8d\x01\0\0\xff\xff\xff\xff\x0f\x13\x9f\x01\0\0\x80\x80\
\x80\x80\xf0\xff\xff\x07\0\x05\x6a\x01\0\0\x07\x08\x14\0\0\0\0\0\0\0\0\xd8\0\0\
\0\x01\x5a\xb1\x01\0\0\x01\x16\x78\0\0\0\x15\0\0\0\0\xbf\x01\0\0\x01\x16\x31\
\x01\0\0\x16\x36\0\0\0\xc3\x01\0\0\x01\x19\x78\0\0\0\x17\xc5\x01\0\0\x01\x18\
\xb9\x01\0\0\0\x0c\x32\x01\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\
\x6f\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\
\x31\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\
\x2e\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\
\x72\x6f\x67\x73\x2f\x70\x65\x72\x66\x62\x75\x66\x5f\x62\x65\x6e\x63\x68\x2e\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\
\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\
\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\x61\x74\x63\x68\x5f\x63\x6e\
\x74\0\x69\x6e\x74\0\x73\x61\x6d\x70\x6c\x65\x5f\x76\x61\x6c\0\x6c\x6f\x6e\x67\
\x20\x69\x6e\x74\0\x64\x72\x6f\x70\x70\x65\x64\0\x70\x65\x72\x66\x62\x75\x66\0\
\x74\x79\x70\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6b\x65\x79\x5f\
\x73\x69\x7a\x65\0\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\
\x6f\x75\x74\x70\x75\x74\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\
\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x42\x50\x46\x5f\x46\x5f\
\x49\x4e\x44\x45\x58\x5f\x4d\x41\x53\x4b\0\x42\x50\x46\x5f\x46\x5f\x43\x55\x52\
\x52\x45\x4e\x54\x5f\x43\x50\x55\0\x42\x50\x46\x5f\x46\x5f\x43\x54\x58\x4c\x45\
\x4e\x5f\x4d\x41\x53\x4b\0\x62\x65\x6e\x63\x68\x5f\x70\x65\x72\x66\x62\x75\x66\
\0\x63\x74\x78\0\x69\0\x73\x61\x6d\x70\x6c\x65\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\xb8\x01\0\0\xb8\x01\0\0\xef\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x04\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x29\0\0\0\x01\0\0\
\0\x80\0\0\0\x32\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x3a\0\0\0\x07\0\0\0\x3e\0\0\0\x01\0\0\x0c\x08\0\
\0\0\x9a\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\
\0\0\0\x04\0\0\0\x04\0\0\0\x9f\x01\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\x0a\x0e\0\0\0\0\0\0\0\0\0\0\x09\x02\0\0\0\xa8\x01\0\0\0\0\0\x0e\x0d\0\0\0\
\x01\0\0\0\xb2\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xbb\x01\0\0\0\0\0\x0e\
\x10\0\0\0\x01\0\0\0\xc6\x01\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\xce\x01\0\0\x01\
\0\0\x0f\0\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\xd3\x01\0\0\x01\0\0\x0f\0\0\0\0\
\x11\0\0\0\0\0\0\0\x08\0\0\0\xd9\x01\0\0\x01\0\0\x0f\0\0\0\0\x06\0\0\0\0\0\0\0\
\x18\0\0\0\xdf\x01\0\0\x01\0\0\x0f\0\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\xe7\x01\
\0\0\x01\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6b\x65\x79\x5f\x73\x69\
\x7a\x65\0\x70\x65\x72\x66\x62\x75\x66\0\x63\x74\x78\0\x62\x65\x6e\x63\x68\x5f\
\x70\x65\x72\x66\x62\x75\x66\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\
\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\
\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\
\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x70\x65\x72\
\x66\x62\x75\x66\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x69\x6e\x74\x20\x62\x65\x6e\
\x63\x68\x5f\x70\x65\x72\x66\x62\x75\x66\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\
\x78\x29\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\
\x62\x61\x74\x63\x68\x5f\x63\x6e\x74\x3b\x20\x69\x2b\x2b\x29\x20\x7b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x70\
\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\x63\x74\
\x78\x2c\x20\x26\x70\x65\x72\x66\x62\x75\x66\x2c\x20\x42\x50\x46\x5f\x46\x5f\
\x43\x55\x52\x52\x45\x4e\x54\x5f\x43\x50\x55\x2c\0\x09\x09\x09\x5f\x5f\x73\x79\
\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\x64\
\x72\x6f\x70\x70\x65\x64\x2c\x20\x31\x29\x3b\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x62\x61\x74\x63\x68\x5f\x63\x6e\x74\0\x6c\x6f\x6e\x67\
\x20\x69\x6e\x74\0\x73\x61\x6d\x70\x6c\x65\x5f\x76\x61\x6c\0\x64\x72\x6f\x70\
\x70\x65\x64\0\x2e\x62\x73\x73\0\x2e\x64\x61\x74\x61\0\x2e\x6d\x61\x70\x73\0\
\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\
\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xac\0\0\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\x4c\0\
\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\x10\0\0\0\x4c\0\0\0\x0a\0\0\0\0\0\0\0\x65\0\0\
\0\xeb\0\0\0\0\x58\0\0\x08\0\0\0\x65\0\0\0\x08\x01\0\0\x12\x6c\0\0\x20\0\0\0\
\x65\0\0\0\x08\x01\0\0\x02\x6c\0\0\x48\0\0\0\x65\0\0\0\x08\x01\0\0\x1e\x6c\0\0\
\x50\0\0\0\x65\0\0\0\x08\x01\0\0\x12\x6c\0\0\x58\0\0\0\x65\0\0\0\x08\x01\0\0\
\x02\x6c\0\0\x60\0\0\0\x65\0\0\0\x2b\x01\0\0\x02\x80\0\0\x70\0\0\0\x65\0\0\0\
\x36\x01\0\0\x07\x70\0\0\xb8\0\0\0\x65\0\0\0\x36\x01\0\0\x07\x70\0\0\xc0\0\0\0\
\x65\0\0\0\x74\x01\0\0\x04\x78\0\0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\
\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x2b\
\x01\0\0\x04\0\xf1\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\
\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\
\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\
\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\
\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\
\x6f\x6f\x6c\x73\0\0\x70\x65\x72\x66\x62\x75\x66\x5f\x62\x65\x6e\x63\x68\x2e\
\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x62\x70\x66\
\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\
\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x16\x01\x05\x12\x0a\x24\x05\
\x02\x06\x3c\x03\x65\x20\x05\x1e\x03\x1b\x4a\x05\x12\x20\x05\x02\x20\x06\x25\
\x05\x07\x2a\x06\x90\x05\x04\x06\x22\x02\x03\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd3\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\x01\0\0\0\0\x03\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x01\0\0\0\0\
\x03\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x01\0\0\0\0\x03\0\x60\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x15\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x79\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x22\
\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x6b\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\xc0\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x71\0\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x52\0\0\0\x11\
\0\x07\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\
\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\
\x98\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\
\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x16\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x1e\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x37\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x53\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x66\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x79\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x80\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x8c\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\
\x95\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x9c\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\xaa\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\xb3\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\xbf\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\xcc\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\xd8\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xe4\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\
\x02\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x37\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\
\0\x3e\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x4e\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\
\0\0\x58\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x62\x01\0\0\0\0\0\0\x0a\0\0\0\x08\
\0\0\0\x70\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x77\x01\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x85\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x90\x01\0\0\0\0\0\0\x0a\0\0\
\0\x06\0\0\0\x94\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x9f\x01\0\0\0\0\0\0\x0a\0\
\0\0\x06\0\0\0\xa3\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xae\x01\0\0\0\0\0\0\x0a\
\0\0\0\x08\0\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x80\x01\0\0\0\0\0\0\0\0\
\0\0\x10\0\0\0\x98\x01\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\xb0\x01\0\0\0\0\0\0\x0a\0\
\0\0\x0c\0\0\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x05\0\
\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\
\x80\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xa0\0\
\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xc0\0\0\0\0\
\0\0\0\0\0\0\0\x05\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x14\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xfe\0\0\0\0\0\0\0\
\x01\0\0\0\x05\0\0\0\x0d\x0b\x0c\x10\x0e\x0f\0\x2e\x64\x65\x62\x75\x67\x5f\x61\
\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\x62\x61\x74\x63\x68\x5f\x63\x6e\x74\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x73\x61\x6d\x70\x6c\x65\x5f\x76\
\x61\x6c\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x62\x65\x6e\
\x63\x68\x5f\x70\x65\x72\x66\x62\x75\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\
\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\
\x69\x64\0\x64\x72\x6f\x70\x70\x65\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\
\x63\0\x70\x65\x72\x66\x62\x75\x66\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x2e\x73\
\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x2e\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\
\x5f\x35\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe3\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x16\x12\0\0\0\0\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xa7\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0e\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x18\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7a\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\0\0\0\x01\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1c\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\
\x01\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x31\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x01\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x81\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\x02\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x31\x03\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x90\x0e\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x18\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\x04\0\0\0\0\0\0\xcc\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x05\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\x06\0\0\0\
\0\0\0\xbf\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x10\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\x18\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x0a\0\0\0\0\0\0\xe0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x11\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x18\0\0\0\
\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x96\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x60\x0b\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x92\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xe0\x11\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x86\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\
\x0b\0\0\0\0\0\0\x2f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x82\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x18\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5d\
\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x10\x12\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0c\0\0\0\0\0\0\x98\x01\0\0\0\
\0\0\0\x01\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __PERFBUF_BENCH_SKEL_H__ */
