/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_READ_MACROS_SKEL_H__
#define __TEST_CORE_READ_MACROS_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_read_macros {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handler;
	} progs;
	struct {
		struct bpf_link *handler;
	} links;
	struct test_core_read_macros__bss {
		struct callback_head k_probe_in;
		struct callback_head___shuffled k_core_in;
		struct callback_head *u_probe_in;
		struct callback_head___shuffled *u_core_in;
		long int k_probe_out;
		long int u_probe_out;
		long int k_core_out;
		long int u_core_out;
		int my_pid;
	} *bss;
};

static void
test_core_read_macros__destroy(struct test_core_read_macros *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_read_macros__create_skeleton(struct test_core_read_macros *obj);

static inline struct test_core_read_macros *
test_core_read_macros__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_read_macros *obj;

	obj = (struct test_core_read_macros *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_core_read_macros__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_core_read_macros__destroy(obj);
	return NULL;
}

static inline struct test_core_read_macros *
test_core_read_macros__open(void)
{
	return test_core_read_macros__open_opts(NULL);
}

static inline int
test_core_read_macros__load(struct test_core_read_macros *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_read_macros *
test_core_read_macros__open_and_load(void)
{
	struct test_core_read_macros *obj;

	obj = test_core_read_macros__open();
	if (!obj)
		return NULL;
	if (test_core_read_macros__load(obj)) {
		test_core_read_macros__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_core_read_macros__attach(struct test_core_read_macros *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_read_macros__detach(struct test_core_read_macros *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_core_read_macros__create_skeleton(struct test_core_read_macros *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_core_read_macros";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_cor.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handler";
	s->progs[0].prog = &obj->progs.handler;
	s->progs[0].link = &obj->links.handler;

	s->data_sz = 10768;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x24\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x17\0\
\x01\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\
\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x66\0\0\0\0\0\xb7\x09\0\0\0\0\0\0\x18\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x33\0\0\0\0\0\0\xb7\x08\0\0\x08\0\0\0\x18\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x66\x08\0\0\0\0\0\x0f\x93\0\0\0\0\0\0\xbf\xa7\0\0\
\0\0\0\0\x07\x07\0\0\xf0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\
\x85\0\0\0\x04\0\0\0\x79\xa3\xf0\xff\0\0\0\0\x0f\x93\0\0\0\0\0\0\xbf\x71\0\0\0\
\0\0\0\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\0\xb7\x01\0\0\x08\0\0\0\x79\xa3\
\xf0\xff\0\0\0\0\x0f\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\
\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\x0f\x86\0\0\0\0\0\0\xbf\
\xa7\0\0\0\0\0\0\x07\x07\0\0\xf0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb4\x02\0\0\
\x08\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x79\xa3\xf0\xff\0\0\0\0\x0f\
\x83\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\
\xb7\x07\0\0\0\0\0\0\x79\xa3\xf0\xff\0\0\0\0\x0f\x73\0\0\0\0\0\0\xbf\xa1\0\0\0\
\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\0\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x13\0\0\0\0\0\0\x0f\x93\0\0\0\0\0\0\
\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\
\0\x08\0\0\0\x85\0\0\0\x70\0\0\0\x79\xa3\xf0\xff\0\0\0\0\x0f\x93\0\0\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x70\0\0\0\x79\xa3\xf0\xff\
\0\0\0\0\xb7\x01\0\0\x08\0\0\0\x0f\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\
\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x70\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x79\x13\0\0\0\0\0\0\x0f\x83\0\0\0\0\0\0\xbf\xa6\0\0\0\0\
\0\0\x07\x06\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\x85\
\0\0\0\x70\0\0\0\x79\xa3\xf0\xff\0\0\0\0\x0f\x83\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\
\0\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x70\0\0\0\x79\xa3\xf0\xff\0\0\0\0\x0f\x73\0\
\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\
\0\x85\0\0\0\x70\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\
\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\x28\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x78\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x02\0\x7a\0\xa8\0\0\0\0\0\0\0\xb0\0\0\
\0\0\0\0\0\x01\0\x53\xb0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x02\0\x7a\0\xd8\0\0\0\
\0\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\x53\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\
\0\0\0\0\x60\x03\0\0\0\0\0\0\x02\0\x7a\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\x01\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\x02\0\x7a\0\x60\x01\0\0\0\0\0\0\x68\x01\0\
\0\0\0\0\0\x01\0\x53\x68\x01\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\x02\0\x7a\0\x90\
\x01\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\x53\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x98\x01\0\0\0\0\0\0\x60\x03\0\0\0\0\0\0\x02\0\x7a\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xf8\x01\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x02\0\x7a\0\x28\x02\0\0\0\0\0\
\0\x30\x02\0\0\0\0\0\0\x01\0\x53\x30\x02\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x02\0\
\x7a\0\x50\x02\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\x01\0\x53\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x60\x02\0\0\0\0\0\0\x60\x03\0\0\0\0\0\0\x02\0\x7a\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xc0\x02\0\0\0\0\0\0\xf0\x02\0\0\0\0\0\0\x02\0\x7a\0\xf0\x02\
\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\x01\0\x53\xf8\x02\0\0\0\0\0\0\x18\x03\0\0\0\0\
\0\0\x02\0\x7a\0\x18\x03\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x01\0\x53\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x60\x03\0\0\0\0\0\0\x02\0\x7a\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\
\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\
\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\
\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x03\
\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\
\x0b\0\0\x09\x0f\0\x49\x13\0\0\x0a\x15\x01\x27\x19\0\0\x0b\x05\0\x49\x13\0\0\
\x0c\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x0d\x15\0\x49\x13\x27\x19\0\0\
\x0e\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0f\x34\0\x03\x0e\x49\x13\x3a\
\x0b\x3b\x0b\0\0\x10\x15\x01\x49\x13\x27\x19\0\0\x11\x0f\0\0\0\x12\x26\0\0\0\
\x13\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\
\x19\x49\x13\x3f\x19\0\0\x14\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x15\x34\
\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x16\x0b\x01\x55\x17\0\0\0\xdf\
\x02\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x62\0\0\0\0\0\0\
\0\0\0\0\0\x70\x03\0\0\x02\xd2\0\0\0\x3f\0\0\0\x01\x08\x09\x03\0\0\0\0\0\0\0\0\
\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xdb\0\0\0\x06\x01\x06\xe0\0\0\0\x08\x07\
\x02\xf4\0\0\0\x6e\0\0\0\x01\x10\x09\x03\0\0\0\0\0\0\0\0\x07\x09\x01\0\0\x10\
\x02\x8b\x08\xff\0\0\0\x8f\0\0\0\x02\x8c\0\x08\x04\x01\0\0\x94\0\0\0\x02\x8d\
\x08\0\x09\x6e\0\0\0\x09\x99\0\0\0\x0a\x0b\x8f\0\0\0\0\x02\x17\x01\0\0\xb5\0\0\
\0\x01\x11\x09\x03\0\0\0\0\0\0\0\0\x07\x21\x01\0\0\x10\x01\x0b\x08\x04\x01\0\0\
\xd6\0\0\0\x01\x0c\0\x08\xff\0\0\0\xe2\0\0\0\x01\x0d\x08\0\x09\xdb\0\0\0\x0a\
\x0b\xe2\0\0\0\0\x09\xb5\0\0\0\x02\x3a\x01\0\0\x8f\0\0\0\x01\x13\x09\x03\0\0\0\
\0\0\0\0\0\x02\x45\x01\0\0\xe2\0\0\0\x01\x14\x09\x03\0\0\0\0\0\0\0\0\x02\x4f\
\x01\0\0\x26\x01\0\0\x01\x16\x09\x03\0\0\0\0\0\0\0\0\x05\x5b\x01\0\0\x05\x08\
\x02\x64\x01\0\0\x26\x01\0\0\x01\x17\x09\x03\0\0\0\0\0\0\0\0\x02\x70\x01\0\0\
\x26\x01\0\0\x01\x19\x09\x03\0\0\0\0\0\0\0\0\x02\x7b\x01\0\0\x26\x01\0\0\x01\
\x1a\x09\x03\0\0\0\0\0\0\0\0\x02\x86\x01\0\0\x81\x01\0\0\x01\x1c\x09\x03\0\0\0\
\0\0\0\0\0\x05\x8d\x01\0\0\x05\x04\x0c\x91\x01\0\0\x94\x01\0\0\x03\x68\x01\x09\
\x99\x01\0\0\x0d\x9e\x01\0\0\x0e\xa9\x01\0\0\xc1\x01\0\0\x02\x16\x05\xaa\x01\0\
\0\x07\x08\x0f\xc7\x01\0\0\xbb\x01\0\0\x03\x5f\x09\xc0\x01\0\0\x10\x26\x01\0\0\
\x0b\xd5\x01\0\0\x0b\xd6\x01\0\0\x0b\xe8\x01\0\0\0\x11\x0e\xe1\x01\0\0\xe3\x01\
\0\0\x02\x12\x05\xd6\x01\0\0\x07\x04\x09\xed\x01\0\0\x12\x0c\xe9\x01\0\0\xbb\
\x01\0\0\x03\xb3\x0a\x0c\xff\x01\0\0\xbb\x01\0\0\x03\xa8\x0a\x13\0\0\0\0\0\0\0\
\0\x70\x03\0\0\x01\x5a\x13\x02\0\0\x01\x1f\x81\x01\0\0\x14\x1b\x02\0\0\x01\x1f\
\xd5\x01\0\0\x15\0\0\0\0\x1f\x02\0\0\x01\x21\x81\x01\0\0\x16\x30\0\0\0\x15\x81\
\0\0\0\x27\x02\0\0\x01\x2c\x94\0\0\0\x16\0\0\0\0\x15\x23\0\0\0\x23\x02\0\0\x01\
\x2c\xe8\x01\0\0\0\0\x16\xa0\0\0\0\x15\x03\x01\0\0\x27\x02\0\0\x01\x2d\xd6\0\0\
\0\x16\x70\0\0\0\x15\xa5\0\0\0\x23\x02\0\0\x01\x2d\xe8\x01\0\0\0\0\x16\x20\x01\
\0\0\x15\x85\x01\0\0\x27\x02\0\0\x01\x2e\x94\0\0\0\x16\xe0\0\0\0\x15\x27\x01\0\
\0\x23\x02\0\0\x01\x2e\xe8\x01\0\0\0\0\x16\xb0\x01\0\0\x15\x07\x02\0\0\x27\x02\
\0\0\x01\x2f\xd6\0\0\0\x16\x70\x01\0\0\x15\xa9\x01\0\0\x23\x02\0\0\x01\x2f\xe8\
\x01\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\xa8\x01\
\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\
\0\0\0\xa0\x01\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\xc8\x01\0\0\
\0\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x68\x02\0\0\0\0\0\0\x70\x02\0\0\0\0\0\
\0\x80\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\0\
\x02\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x68\x02\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\
\x80\x02\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa0\x02\0\0\0\0\0\0\xc8\x02\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\x28\
\x03\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa0\x02\0\0\0\0\0\0\xc8\x02\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\x28\x03\
\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\x50\x03\0\0\0\0\0\0\x58\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\
\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\
\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\
\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\
\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\
\x72\x65\x61\x64\x5f\x6d\x61\x63\x72\x6f\x73\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\
\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x6b\x5f\x70\x72\x6f\x62\x65\x5f\x69\x6e\0\x6e\x65\x78\x74\0\
\x66\x75\x6e\x63\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x6b\
\x5f\x63\x6f\x72\x65\x5f\x69\x6e\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\
\x61\x64\x5f\x5f\x5f\x73\x68\x75\x66\x66\x6c\x65\x64\0\x75\x5f\x70\x72\x6f\x62\
\x65\x5f\x69\x6e\0\x75\x5f\x63\x6f\x72\x65\x5f\x69\x6e\0\x6b\x5f\x70\x72\x6f\
\x62\x65\x5f\x6f\x75\x74\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x75\x5f\x70\x72\
\x6f\x62\x65\x5f\x6f\x75\x74\0\x6b\x5f\x63\x6f\x72\x65\x5f\x6f\x75\x74\0\x75\
\x5f\x63\x6f\x72\x65\x5f\x6f\x75\x74\0\x6d\x79\x5f\x70\x69\x64\0\x69\x6e\x74\0\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x70\
\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\0\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\0\x68\x61\x6e\x64\x6c\x65\x72\0\x63\
\x74\x78\0\x70\x69\x64\0\x5f\x5f\x74\0\x5f\x5f\x72\0\x9f\xeb\x01\0\x18\0\0\0\0\
\0\0\0\x54\x02\0\0\x54\x02\0\0\x41\x03\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\xf9\0\0\0\x02\0\0\x04\x10\0\0\0\x07\x01\
\0\0\x06\0\0\0\0\0\0\0\x0c\x01\0\0\x07\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x05\0\
\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x06\0\0\0\
\x35\x01\0\0\x02\0\0\x04\x10\0\0\0\x0c\x01\0\0\x0a\0\0\0\0\0\0\0\x07\x01\0\0\
\x0c\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\
\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\xaa\x02\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\0\x0f\0\0\0\x04\0\0\0\xaf\x02\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xc3\x02\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\xcc\
\x02\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\xd7\x02\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\
\0\xe1\x02\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xec\x02\0\0\0\0\0\x0e\x0c\0\0\0\
\x01\0\0\0\xf6\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xff\x02\0\0\0\0\0\x0e\
\x15\0\0\0\x01\0\0\0\x0b\x03\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x17\x03\0\0\0\0\
\0\x0e\x15\0\0\0\x01\0\0\0\x22\x03\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x2d\x03\0\
\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x34\x03\0\0\x09\0\0\x0f\0\0\0\0\x11\0\0\0\0\0\
\0\0\x10\0\0\0\x12\0\0\0\0\0\0\0\x10\0\0\0\x13\0\0\0\0\0\0\0\x08\0\0\0\x14\0\0\
\0\0\0\0\0\x08\0\0\0\x16\0\0\0\0\0\0\0\x08\0\0\0\x17\0\0\0\0\0\0\0\x08\0\0\0\
\x18\0\0\0\0\0\0\0\x08\0\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\0\0\x04\
\0\0\0\x39\x03\0\0\x01\0\0\x0f\0\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\
\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x72\0\x72\x61\x77\x5f\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\
\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\
\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x5f\x6d\x61\
\x63\x72\x6f\x73\x2e\x63\0\x09\x69\x6e\x74\x20\x70\x69\x64\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\
\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x6d\x79\
\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x66\x75\x6e\x63\0\x30\x3a\x30\0\
\x09\x6b\x5f\x70\x72\x6f\x62\x65\x5f\x69\x6e\x2e\x6e\x65\x78\x74\x20\x3d\x20\
\x26\x6b\x5f\x70\x72\x6f\x62\x65\x5f\x69\x6e\x3b\0\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x5f\x68\x65\x61\x64\x5f\x5f\x5f\x73\x68\x75\x66\x66\x6c\x65\x64\0\x30\x3a\
\x31\0\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x70\x72\x65\x73\x65\x72\x76\
\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x69\x6e\x64\x65\x78\x28\x28\x7b\x6b\x5f\
\x63\x6f\x72\x65\x5f\x69\x6e\x2e\x6e\x65\x78\x74\x20\x3d\x20\x26\x6b\x5f\x63\
\x6f\x72\x65\x5f\x69\x6e\x3b\x7d\x29\x29\x3b\0\x09\x6b\x5f\x70\x72\x6f\x62\x65\
\x5f\x6f\x75\x74\x20\x3d\x20\x28\x6c\x6f\x6e\x67\x29\x42\x50\x46\x5f\x50\x52\
\x4f\x42\x45\x5f\x52\x45\x41\x44\x28\x26\x6b\x5f\x70\x72\x6f\x62\x65\x5f\x69\
\x6e\x2c\x20\x6e\x65\x78\x74\x2c\x20\x6e\x65\x78\x74\x2c\x20\x66\x75\x6e\x63\
\x29\x3b\0\x09\x6b\x5f\x63\x6f\x72\x65\x5f\x6f\x75\x74\x20\x3d\x20\x28\x6c\x6f\
\x6e\x67\x29\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x26\x6b\
\x5f\x63\x6f\x72\x65\x5f\x69\x6e\x2c\x20\x6e\x65\x78\x74\x2c\x20\x6e\x65\x78\
\x74\x2c\x20\x66\x75\x6e\x63\x29\x3b\0\x09\x75\x5f\x70\x72\x6f\x62\x65\x5f\x6f\
\x75\x74\x20\x3d\x20\x28\x6c\x6f\x6e\x67\x29\x42\x50\x46\x5f\x50\x52\x4f\x42\
\x45\x5f\x52\x45\x41\x44\x5f\x55\x53\x45\x52\x28\x75\x5f\x70\x72\x6f\x62\x65\
\x5f\x69\x6e\x2c\x20\x6e\x65\x78\x74\x2c\x20\x6e\x65\x78\x74\x2c\x20\x66\x75\
\x6e\x63\x29\x3b\0\x09\x75\x5f\x63\x6f\x72\x65\x5f\x6f\x75\x74\x20\x3d\x20\x28\
\x6c\x6f\x6e\x67\x29\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x5f\
\x55\x53\x45\x52\x28\x75\x5f\x63\x6f\x72\x65\x5f\x69\x6e\x2c\x20\x6e\x65\x78\
\x74\x2c\x20\x6e\x65\x78\x74\x2c\x20\x66\x75\x6e\x63\x29\x3b\0\x7d\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x5f\x70\x72\x6f\x62\x65\x5f\
\x69\x6e\0\x6b\x5f\x63\x6f\x72\x65\x5f\x69\x6e\0\x75\x5f\x70\x72\x6f\x62\x65\
\x5f\x69\x6e\0\x75\x5f\x63\x6f\x72\x65\x5f\x69\x6e\0\x6c\x6f\x6e\x67\x20\x69\
\x6e\x74\0\x6b\x5f\x70\x72\x6f\x62\x65\x5f\x6f\x75\x74\0\x75\x5f\x70\x72\x6f\
\x62\x65\x5f\x6f\x75\x74\0\x6b\x5f\x63\x6f\x72\x65\x5f\x6f\x75\x74\0\x75\x5f\
\x63\x6f\x72\x65\x5f\x6f\x75\x74\0\x6d\x79\x5f\x70\x69\x64\0\x2e\x62\x73\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\
\0\0\x5c\x02\0\0\x70\x02\0\0\x7c\0\0\0\x08\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\
\x04\0\0\0\x10\0\0\0\x11\0\0\0\x25\0\0\0\0\0\0\0\x2a\0\0\0\xb8\0\0\0\x0c\x84\0\
\0\x08\0\0\0\x2a\0\0\0\xe5\0\0\0\x06\x8c\0\0\x20\0\0\0\x2a\0\0\0\xb8\0\0\0\x27\
\x84\0\0\x28\0\0\0\x2a\0\0\0\xe5\0\0\0\x06\x8c\0\0\x48\0\0\0\x2a\0\0\0\x15\x01\
\0\0\x12\xa4\0\0\x68\0\0\0\x2a\0\0\0\x52\x01\0\0\x33\xa8\0\0\x80\0\0\0\x2a\0\0\
\0\x15\x01\0\0\x12\xa4\0\0\x88\0\0\0\x2a\0\0\0\x96\x01\0\0\x16\xb0\0\0\xe8\0\0\
\0\x2a\0\0\0\x15\x01\0\0\x12\xa4\0\0\xf0\0\0\0\x2a\0\0\0\x96\x01\0\0\x16\xb0\0\
\0\0\x01\0\0\x2a\0\0\0\x96\x01\0\0\x0e\xb0\0\0\x10\x01\0\0\x2a\0\0\0\x96\x01\0\
\0\x16\xb0\0\0\x18\x01\0\0\x2a\0\0\0\x96\x01\0\0\x0e\xb0\0\0\x30\x01\0\0\x2a\0\
\0\0\x15\x01\0\0\x12\xa4\0\0\x38\x01\0\0\x2a\0\0\0\xda\x01\0\0\x15\xb4\0\0\xa0\
\x01\0\0\x2a\0\0\0\x15\x01\0\0\x12\xa4\0\0\xa8\x01\0\0\x2a\0\0\0\xda\x01\0\0\
\x15\xb4\0\0\xb8\x01\0\0\x2a\0\0\0\xda\x01\0\0\x0d\xb4\0\0\xc8\x01\0\0\x2a\0\0\
\0\xda\x01\0\0\x15\xb4\0\0\xd0\x01\0\0\x2a\0\0\0\xda\x01\0\0\x0d\xb4\0\0\xd8\
\x01\0\0\x2a\0\0\0\x1b\x02\0\0\x16\xb8\0\0\0\x02\0\0\x2a\0\0\0\x15\x01\0\0\x12\
\xa4\0\0\x08\x02\0\0\x2a\0\0\0\x1b\x02\0\0\x16\xb8\0\0\x68\x02\0\0\x2a\0\0\0\
\x15\x01\0\0\x12\xa4\0\0\x70\x02\0\0\x2a\0\0\0\x1b\x02\0\0\x16\xb8\0\0\x80\x02\
\0\0\x2a\0\0\0\x1b\x02\0\0\x0e\xb8\0\0\x90\x02\0\0\x2a\0\0\0\x1b\x02\0\0\x16\
\xb8\0\0\x98\x02\0\0\x2a\0\0\0\x1b\x02\0\0\x0e\xb8\0\0\xa0\x02\0\0\x2a\0\0\0\
\x63\x02\0\0\x15\xbc\0\0\xc8\x02\0\0\x2a\0\0\0\x15\x01\0\0\x12\xa4\0\0\xd0\x02\
\0\0\x2a\0\0\0\x63\x02\0\0\x15\xbc\0\0\x28\x03\0\0\x2a\0\0\0\x15\x01\0\0\x12\
\xa4\0\0\x30\x03\0\0\x2a\0\0\0\x63\x02\0\0\x15\xbc\0\0\x40\x03\0\0\x2a\0\0\0\
\x63\x02\0\0\x0d\xbc\0\0\x50\x03\0\0\x2a\0\0\0\x63\x02\0\0\x15\xbc\0\0\x58\x03\
\0\0\x2a\0\0\0\x63\x02\0\0\x0d\xbc\0\0\x60\x03\0\0\x2a\0\0\0\xa8\x02\0\0\x01\
\xc8\0\0\x10\0\0\0\x11\0\0\0\x07\0\0\0\x30\0\0\0\x05\0\0\0\x11\x01\0\0\0\0\0\0\
\x48\0\0\0\x05\0\0\0\x11\x01\0\0\0\0\0\0\x50\0\0\0\x09\0\0\0\x4e\x01\0\0\0\0\0\
\0\x68\0\0\0\x09\0\0\0\x4e\x01\0\0\0\0\0\0\xc8\0\0\0\x05\0\0\0\x4e\x01\0\0\0\0\
\0\0\x80\x01\0\0\x09\0\0\0\x11\x01\0\0\0\0\0\0\x50\x02\0\0\x05\0\0\0\x4e\x01\0\
\0\0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x03\0\0\0\0\0\0\x69\x01\0\0\x04\0\x77\0\0\0\x08\x01\
\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x74\
\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\0\x74\x6f\x6f\x6c\x73\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\0\x74\x65\x73\x74\x5f\x63\x6f\x72\
\x65\x5f\x72\x65\x61\x64\x5f\x6d\x61\x63\x72\x6f\x73\x2e\x63\0\x01\0\0\x76\x6d\
\x6c\x69\x6e\x75\x78\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\
\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1f\x01\
\x05\x0c\x0a\x13\x05\x06\x22\x05\x27\x3a\x05\x06\x22\x06\x03\x5d\x20\x05\x12\
\x06\x03\x29\x3c\x05\x33\x4b\x06\x03\x56\x2e\x05\x12\x06\x03\x29\x20\x05\x16\
\x23\x06\x03\x54\x4a\x03\x2c\x20\x03\x54\x3c\x03\x2c\x20\x03\x54\x20\x05\x12\
\x06\x03\x29\x2e\x05\x16\x23\x05\x0e\x06\x2e\x05\x16\x2e\x05\x0e\x20\x03\x54\
\x2e\x05\x12\x06\x03\x29\x20\x05\x15\x24\x06\x03\x53\x58\x03\x2d\x20\x03\x53\
\x3c\x03\x2d\x20\x03\x53\x20\x05\x12\x06\x03\x29\x2e\x05\x15\x24\x05\x0d\x06\
\x2e\x05\x15\x2e\x05\x0d\x20\x05\x16\x06\x21\x06\x03\x52\x4a\x05\x12\x06\x03\
\x29\x20\x05\x16\x25\x06\x03\x52\x4a\x03\x2e\x20\x03\x52\x4a\x05\x12\x06\x03\
\x29\x3c\x05\x16\x25\x05\x0e\x06\x2e\x05\x16\x2e\x05\x0e\x20\x05\x15\x06\x21\
\x06\x03\x51\x4a\x05\x12\x06\x03\x29\x20\x05\x15\x26\x06\x03\x51\x4a\x03\x2f\
\x20\x03\x51\x4a\x05\x12\x06\x03\x29\x2e\x05\x15\x26\x05\x0d\x06\x2e\x05\x15\
\x2e\x05\x0d\x20\x05\x01\x06\x23\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x48\x01\0\0\0\0\x03\0\x60\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x8b\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\x03\0\0\0\0\0\0\
\xad\0\0\0\x11\0\x06\0\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2d\0\0\0\x11\0\x06\
\0\x40\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc2\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x44\0\0\0\x11\0\x06\0\x30\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x05\x01\0\0\x11\0\x06\0\x50\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa3\0\0\0\x11\0\
\x06\0\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x22\0\0\0\x11\0\x06\0\x48\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\xb7\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x38\0\0\0\x11\0\x06\0\x38\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x01\0\0\0\x10\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x58\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\xb8\x01\0\0\0\0\0\0\
\x01\0\0\0\x0d\0\0\0\xd8\x01\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x80\x02\0\0\0\0\0\
\0\x01\0\0\0\x14\0\0\0\xa0\x02\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x40\x03\0\0\0\0\
\0\0\x01\0\0\0\x12\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\
\0\x0a\0\0\0\x07\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x16\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x1e\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x37\0\0\0\0\0\0\0\
\x01\0\0\0\x0a\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x53\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x66\0\0\0\0\0\0\0\
\x01\0\0\0\x0e\0\0\0\x6f\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x77\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x83\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xa1\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\xad\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\xb6\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\xbe\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xca\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\xe8\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xf4\0\0\0\0\0\0\0\
\x01\0\0\0\x13\0\0\0\xfd\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x09\x01\0\0\0\0\0\0\
\x01\0\0\0\x11\0\0\0\x12\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x1e\x01\0\0\0\0\0\
\0\x01\0\0\0\x0f\0\0\0\x27\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x2e\x01\0\0\0\0\
\0\0\x0a\0\0\0\x07\0\0\0\x3a\x01\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x43\x01\0\0\0\
\0\0\0\x0a\0\0\0\x07\0\0\0\x4f\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x58\x01\0\0\
\0\0\0\0\x0a\0\0\0\x07\0\0\0\x64\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x6d\x01\0\
\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x79\x01\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x82\x01\
\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x89\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xa3\
\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xaa\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\
\xb1\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xdb\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\
\0\xe2\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xef\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\
\0\0\xfb\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x07\x02\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x15\x02\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x20\x02\0\0\0\0\0\0\x0a\0\0\0\
\x07\0\0\0\x2b\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x2f\x02\0\0\0\0\0\0\x0a\0\0\
\0\x07\0\0\0\x3a\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x3f\x02\0\0\0\0\0\0\x0a\0\
\0\0\x04\0\0\0\x43\x02\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x4e\x02\0\0\0\0\0\0\x0a\
\0\0\0\x06\0\0\0\x53\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x57\x02\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x64\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x69\x02\0\0\0\0\0\
\0\x0a\0\0\0\x04\0\0\0\x6d\x02\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x78\x02\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\x7d\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x81\x02\0\0\0\
\0\0\0\x0a\0\0\0\x07\0\0\0\x8e\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x93\x02\0\0\
\0\0\0\0\x0a\0\0\0\x04\0\0\0\x97\x02\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xa2\x02\0\
\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xa7\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xab\x02\
\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xb8\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xbd\
\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xc1\x02\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\
\xcc\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xd1\x02\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\
\0\xd5\x02\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xec\x01\0\0\0\0\0\0\0\0\0\0\x0e\0\0\
\0\xf8\x01\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x04\x02\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\
\x10\x02\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x1c\x02\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\
\x28\x02\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x34\x02\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\
\x40\x02\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x4c\x02\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\
\x64\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x10\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x30\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x50\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x70\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x90\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\xb0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\xd0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\xf0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x10\
\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x20\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x30\
\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\
\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x70\
\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x9c\
\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xac\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xbc\
\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xcc\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xdc\
\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xec\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xfc\
\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x18\0\
\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x84\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x0b\x0a\
\x0e\x0c\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\
\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x75\x5f\x63\x6f\
\x72\x65\x5f\x6f\x75\x74\0\x6b\x5f\x63\x6f\x72\x65\x5f\x6f\x75\x74\0\x75\x5f\
\x70\x72\x6f\x62\x65\x5f\x6f\x75\x74\0\x6b\x5f\x70\x72\x6f\x62\x65\x5f\x6f\x75\
\x74\0\x2e\x62\x73\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\
\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x68\x61\x6e\x64\x6c\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\
\x6e\x66\x6f\0\x75\x5f\x63\x6f\x72\x65\x5f\x69\x6e\0\x6b\x5f\x63\x6f\x72\x65\
\x5f\x69\x6e\0\x75\x5f\x70\x72\x6f\x62\x65\x5f\x69\x6e\0\x6b\x5f\x70\x72\x6f\
\x62\x65\x5f\x69\x6e\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\
\x65\0\x6d\x79\x5f\x70\x69\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\
\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x5f\x6d\x61\x63\x72\x6f\
\x73\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\
\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xfc\x22\0\0\0\0\0\0\x4f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x72\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x70\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\0\
\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x1a\0\0\0\0\0\0\x90\0\0\0\0\
\0\0\0\x16\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdc\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x08\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x03\0\0\0\0\0\0\x54\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\x03\0\0\0\0\0\0\x2b\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe3\
\x05\0\0\0\0\0\0\xfc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x97\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\x06\0\0\0\0\0\0\
\xe3\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x93\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x1a\0\0\0\0\0\0\x90\x04\0\0\0\
\0\0\0\x16\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x55\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc2\x09\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc2\x0b\0\0\0\0\0\0\x2b\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x43\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xed\x0d\0\0\0\0\0\0\xad\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x3f\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x58\x1f\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x16\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9a\x13\
\0\0\0\0\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x1f\0\0\0\0\0\0\
\xd0\x02\0\0\0\0\0\0\x16\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xf8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x16\0\0\0\0\0\0\x28\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf4\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x22\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x16\
\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe8\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x16\0\0\0\0\0\0\x6d\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe8\x22\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x16\0\0\0\x13\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcd\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\
\0\0\0\0\0\xf8\x22\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x37\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\x18\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_CORE_READ_MACROS_SKEL_H__ */
