/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_ENABLE_STATS_SKEL_H__
#define __TEST_ENABLE_STATS_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_enable_stats {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_enable_stats;
	} progs;
	struct {
		struct bpf_link *test_enable_stats;
	} links;
	struct test_enable_stats__bss {
		__u64 count;
	} *bss;
};

static void
test_enable_stats__destroy(struct test_enable_stats *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_enable_stats__create_skeleton(struct test_enable_stats *obj);

static inline struct test_enable_stats *
test_enable_stats__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_enable_stats *obj;

	obj = (struct test_enable_stats *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_enable_stats__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_enable_stats__destroy(obj);
	return NULL;
}

static inline struct test_enable_stats *
test_enable_stats__open(void)
{
	return test_enable_stats__open_opts(NULL);
}

static inline int
test_enable_stats__load(struct test_enable_stats *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_enable_stats *
test_enable_stats__open_and_load(void)
{
	struct test_enable_stats *obj;

	obj = test_enable_stats__open();
	if (!obj)
		return NULL;
	if (test_enable_stats__load(obj)) {
		test_enable_stats__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_enable_stats__attach(struct test_enable_stats *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_enable_stats__detach(struct test_enable_stats *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_enable_stats__create_skeleton(struct test_enable_stats *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_enable_stats";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_ena.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_enable_stats";
	s->progs[0].prog = &obj->progs.test_enable_stats;
	s->progs[0].link = &obj->links.test_enable_stats;

	s->data_sz = 3784;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\
\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\
\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\
\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\
\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\
\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\
\x0b\0\0\x08\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\
\x0b\x27\x19\x49\x13\x3f\x19\0\0\x09\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x0a\x0f\0\0\0\0\xaa\0\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\
\0\x5e\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x02\xce\0\0\0\x3f\0\0\0\x01\x09\x09\x03\
\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xd7\0\0\0\x06\x01\x06\
\xdc\0\0\0\x08\x07\x02\xf0\0\0\0\x6e\0\0\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\x07\
\x79\0\0\0\x0d\x01\0\0\x02\x1f\x05\xf6\0\0\0\x07\x08\x08\0\0\0\0\0\0\0\0\x38\0\
\0\0\x01\x5a\x13\x01\0\0\x01\x0e\xa5\0\0\0\x09\x29\x01\0\0\x01\x0e\xac\0\0\0\0\
\x05\x25\x01\0\0\x05\x04\x0a\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\
\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\
\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\
\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x65\x6e\x61\x62\x6c\x65\x5f\x73\x74\x61\
\x74\x73\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\
\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x63\x6f\x75\x6e\x74\
\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x74\x65\x73\x74\x5f\x65\x6e\x61\x62\x6c\
\x65\x5f\x73\x74\x61\x74\x73\0\x69\x6e\x74\0\x63\x74\x78\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\xe0\0\0\0\xe0\0\0\0\x28\x01\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\xd6\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\x07\0\0\0\x04\0\0\0\xdb\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\xef\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xf8\0\0\0\0\0\
\0\x08\x0a\0\0\0\xfe\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x15\x01\0\0\0\0\0\x0e\
\x09\0\0\0\x01\0\0\0\x1b\x01\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\x08\0\0\
\0\x20\x01\0\0\x01\0\0\x0f\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\
\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x65\x6e\x61\x62\x6c\x65\x5f\x73\x74\x61\x74\
\x73\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\
\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\
\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x65\x6e\x61\x62\
\x6c\x65\x5f\x73\x74\x61\x74\x73\x2e\x63\0\x09\x63\x6f\x75\x6e\x74\x20\x2b\x3d\
\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x6f\x75\
\x6e\x74\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\
\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\0\0\0\x40\0\0\0\0\0\0\0\x08\0\0\0\x1b\0\0\
\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x1b\0\0\0\x02\0\0\0\0\0\0\0\x34\0\0\0\
\xbe\0\0\0\x08\x40\0\0\x28\0\0\0\x34\0\0\0\xcb\0\0\0\x02\x44\0\0\0\x0c\0\0\0\
\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\0\0\0\0\0\0\0\x78\0\0\0\x04\0\x58\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\
\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\
\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\0\x74\
\x65\x73\x74\x5f\x65\x6e\x61\x62\x6c\x65\x5f\x73\x74\x61\x74\x73\x2e\x63\0\x01\
\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\0\0\x09\x02\0\0\0\0\0\0\
\0\0\x03\x0e\x01\x05\x08\x0a\x13\x05\x02\x59\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaf\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x11\0\x05\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x22\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x28\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x08\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\
\0\x04\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\
\x06\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\
\x07\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\
\x04\0\0\0\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\
\x08\0\0\0\x73\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x7a\0\0\0\0\0\0\0\x0a\0\0\0\
\x04\0\0\0\x81\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x8f\0\0\0\0\0\0\0\x0a\0\0\0\
\x04\0\0\0\x9a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xa6\0\0\0\0\0\0\0\x0a\0\0\0\
\x04\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x07\0\
\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x50\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x18\
\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x65\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x09\
\x07\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\
\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x63\x6f\x75\x6e\x74\0\
\x74\x65\x73\x74\x5f\x65\x6e\x61\x62\x6c\x65\x5f\x73\x74\x61\x74\x73\0\x2e\x62\
\x73\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x72\x61\
\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\
\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x74\x65\x73\x74\
\x5f\x65\x6e\x61\x62\x6c\x65\x5f\x73\x74\x61\x74\x73\x2e\x63\0\x2e\x73\x74\x72\
\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\x08\0\0\0\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x4a\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x06\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x14\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x86\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x84\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x6b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x01\0\0\0\0\0\0\xae\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x67\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x07\0\0\0\0\
\0\0\x20\x01\0\0\0\0\0\0\x14\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x3f\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb2\x01\0\0\0\0\0\0\
\x2d\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xd7\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\x02\0\0\0\0\0\0\x20\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd3\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x08\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\
\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xff\x04\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x48\x08\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x14\0\0\0\x0d\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x60\x05\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x9e\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x08\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x92\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x05\0\0\0\0\0\0\x7c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x08\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\
\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x77\0\0\0\x03\x4c\xff\x6f\
\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x08\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x14\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcb\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\x06\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_ENABLE_STATS_SKEL_H__ */
