/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_MAP_INIT_SKEL_H__
#define __TEST_MAP_INIT_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_map_init {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hashmap1;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *sysenter_getpgid;
	} progs;
	struct {
		struct bpf_link *sysenter_getpgid;
	} links;
	struct test_map_init__bss {
		__u64 inKey;
		__u64 inValue;
		__u32 inPid;
	} *bss;
};

static void
test_map_init__destroy(struct test_map_init *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_map_init__create_skeleton(struct test_map_init *obj);

static inline struct test_map_init *
test_map_init__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_map_init *obj;

	obj = (struct test_map_init *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_map_init__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_map_init__destroy(obj);
	return NULL;
}

static inline struct test_map_init *
test_map_init__open(void)
{
	return test_map_init__open_opts(NULL);
}

static inline int
test_map_init__load(struct test_map_init *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_map_init *
test_map_init__open_and_load(void)
{
	struct test_map_init *obj;

	obj = test_map_init__open();
	if (!obj)
		return NULL;
	if (test_map_init__load(obj)) {
		test_map_init__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_map_init__attach(struct test_map_init *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_map_init__detach(struct test_map_init *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_map_init__create_skeleton(struct test_map_init *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_map_init";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "hashmap1";
	s->maps[0].map = &obj->maps.hashmap1;

	s->maps[1].name = "test_map.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "sysenter_getpgid";
	s->progs[0].prog = &obj->progs.sysenter_getpgid;
	s->progs[0].link = &obj->links.sysenter_getpgid;

	s->data_sz = 5888;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x11\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x17\0\
\x01\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\
\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x08\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x02\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\
\x28\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\
\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x16\0\x49\x13\
\x03\x0e\x3a\x0b\x3b\x0b\0\0\x04\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x05\x01\x01\
\x49\x13\0\0\x06\x21\0\x49\x13\x37\x0b\0\0\x07\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\
\0\x08\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x09\x0d\0\x03\x0e\x49\x13\x3a\x0b\
\x3b\x0b\x38\x0b\0\0\x0a\x0f\0\x49\x13\0\0\x0b\x34\0\x03\x0e\x49\x13\x3a\x0b\
\x3b\x05\0\0\x0c\x15\0\x49\x13\x27\x19\0\0\x0d\x34\0\x03\x0e\x49\x13\x3a\x0b\
\x3b\x0b\0\0\x0e\x15\x01\x49\x13\x27\x19\0\0\x0f\x05\0\x49\x13\0\0\x10\x0f\0\0\
\0\x11\x26\0\0\0\x12\x04\x01\x49\x13\x0b\x0b\x3a\x0b\x3b\x05\0\0\x13\x28\0\x03\
\x0e\x1c\x0f\0\0\x14\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x15\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\
\x13\0\0\x16\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\0\xd5\x01\0\0\
\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5a\0\0\0\0\0\0\0\0\0\0\
\0\x80\0\0\0\x02\xca\0\0\0\x3f\0\0\0\x02\x07\x09\x03\0\0\0\0\0\0\0\0\x03\x4a\0\
\0\0\xe7\0\0\0\x01\x16\x04\xd0\0\0\0\x07\x08\x02\xed\0\0\0\x3f\0\0\0\x02\x08\
\x09\x03\0\0\0\0\0\0\0\0\x02\xf5\0\0\0\x7b\0\0\0\x02\x09\x09\x03\0\0\0\0\0\0\0\
\0\x03\x86\0\0\0\x08\x01\0\0\x01\x12\x04\xfb\0\0\0\x07\x04\x02\x0e\x01\0\0\xa2\
\0\0\0\x02\x21\x09\x03\0\0\0\0\0\0\0\0\x05\xae\0\0\0\x06\xb5\0\0\0\x04\0\x04\
\x17\x01\0\0\x06\x01\x07\x1c\x01\0\0\x08\x07\x02\x30\x01\0\0\xd1\0\0\0\x02\x10\
\x09\x03\0\0\0\0\0\0\0\0\x08\x20\x02\x0b\x09\x39\x01\0\0\x06\x01\0\0\x02\x0c\0\
\x09\x42\x01\0\0\x1e\x01\0\0\x02\x0d\x08\x09\x4e\x01\0\0\x2f\x01\0\0\x02\x0e\
\x10\x09\x52\x01\0\0\x2f\x01\0\0\x02\x0f\x18\0\x0a\x0b\x01\0\0\x05\x17\x01\0\0\
\x06\xb5\0\0\0\x05\0\x04\x3e\x01\0\0\x05\x04\x0a\x23\x01\0\0\x05\x17\x01\0\0\
\x06\xb5\0\0\0\x02\0\x0a\x3f\0\0\0\x0b\x58\x01\0\0\x40\x01\0\0\x03\x68\x01\x0a\
\x45\x01\0\0\x0c\x3f\0\0\0\x0d\x71\x01\0\0\x55\x01\0\0\x03\x47\x0a\x5a\x01\0\0\
\x0e\x74\x01\0\0\x0f\x7b\x01\0\0\x0f\x7c\x01\0\0\x0f\x7c\x01\0\0\x0f\x3f\0\0\0\
\0\x04\x85\x01\0\0\x05\x08\x10\x0a\x81\x01\0\0\x11\x12\x86\0\0\0\x04\x01\x4f\
\xab\x13\x8e\x01\0\0\0\x13\x96\x01\0\0\x01\x13\xa2\x01\0\0\x02\x13\xac\x01\0\0\
\x04\0\x14\0\0\0\0\0\0\0\0\x80\0\0\0\x01\x5a\xb7\x01\0\0\x02\x14\x17\x01\0\0\
\x15\xc8\x01\0\0\x02\x14\x7c\x01\0\0\x16\0\0\0\0\xcc\x01\0\0\x02\x19\x17\x01\0\
\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\
\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\
\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\
\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x6d\x61\x70\x5f\x69\x6e\x69\x74\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\
\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x69\x6e\x4b\x65\x79\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x5f\x5f\x75\x36\x34\0\x69\x6e\x56\x61\x6c\x75\x65\0\x69\x6e\x50\x69\x64\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x68\x61\x73\x68\x6d\x61\x70\x31\
\0\x74\x79\x70\x65\0\x69\x6e\x74\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\
\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\0\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\0\x6c\x6f\x6e\x67\x20\
\x69\x6e\x74\0\x42\x50\x46\x5f\x41\x4e\x59\0\x42\x50\x46\x5f\x4e\x4f\x45\x58\
\x49\x53\x54\0\x42\x50\x46\x5f\x45\x58\x49\x53\x54\0\x42\x50\x46\x5f\x46\x5f\
\x4c\x4f\x43\x4b\0\x73\x79\x73\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\
\x64\0\x63\x74\x78\0\x63\x75\x72\x5f\x70\x69\x64\0\x9f\xeb\x01\0\x18\0\0\0\0\0\
\0\0\xf8\x01\0\0\xf8\x01\0\0\xef\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x05\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\x08\
\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\
\0\0\0\x04\0\0\x04\x20\0\0\0\x36\0\0\0\x01\0\0\0\0\0\0\0\x3b\0\0\0\x05\0\0\0\
\x40\0\0\0\x47\0\0\0\x07\0\0\0\x80\0\0\0\x4b\0\0\0\x07\0\0\0\xc0\0\0\0\x51\0\0\
\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\x0a\
\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5a\0\0\0\x0c\0\0\0\x5e\0\0\0\x01\0\0\
\x0c\x0e\0\0\0\xa7\x01\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\xad\x01\0\0\0\0\0\x0e\
\x08\0\0\0\x01\0\0\0\xb5\x01\0\0\0\0\0\x08\x13\0\0\0\xbb\x01\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\xc8\x01\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\xce\x01\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x15\0\0\0\x04\0\0\0\x04\0\
\0\0\xd3\x01\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\xdc\x01\0\0\x03\0\0\x0f\0\0\0\0\
\x10\0\0\0\0\0\0\0\x08\0\0\0\x11\0\0\0\0\0\0\0\x08\0\0\0\x14\0\0\0\0\0\0\0\x04\
\0\0\0\xe1\x01\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\xe7\x01\0\0\
\x01\0\0\x0f\0\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\
\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x68\x61\x73\x68\x6d\x61\x70\x31\
\0\x63\x74\x78\0\x73\x79\x73\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\
\x64\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\
\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\
\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\
\x5f\x6d\x61\x70\x5f\x69\x6e\x69\x74\x2e\x63\0\x09\x69\x6e\x74\x20\x63\x75\x72\
\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\
\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\
\x32\x3b\0\x09\x69\x66\x20\x28\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x3d\x20\x69\
\x6e\x50\x69\x64\x29\0\x09\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\
\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x6d\x61\x70\x31\x2c\x20\
\x26\x69\x6e\x4b\x65\x79\x2c\x20\x26\x69\x6e\x56\x61\x6c\x75\x65\x2c\x20\x42\
\x50\x46\x5f\x4e\x4f\x45\x58\x49\x53\x54\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x69\x6e\x4b\x65\x79\0\x69\x6e\x56\x61\x6c\x75\x65\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x69\x6e\x50\x69\
\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\0\x6c\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\x6f\0\0\0\x01\
\0\0\0\0\0\0\0\x0f\0\0\0\x10\0\0\0\x6f\0\0\0\x06\0\0\0\0\0\0\0\x8d\0\0\0\x13\
\x01\0\0\x10\x64\0\0\x08\0\0\0\x8d\0\0\0\x44\x01\0\0\x11\x6c\0\0\x20\0\0\0\x8d\
\0\0\0\x13\x01\0\0\x2b\x64\0\0\x28\0\0\0\x8d\0\0\0\x44\x01\0\0\x06\x6c\0\0\x30\
\0\0\0\x8d\0\0\0\x5b\x01\0\0\x03\x70\0\0\x70\0\0\0\x8d\0\0\0\x9c\x01\0\0\x02\
\x78\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x9d\0\0\0\x04\0\x6f\0\0\0\x08\x01\x01\
\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x74\x6f\x6f\x6c\x73\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\0\x70\x72\x6f\x67\x73\0\x74\x6f\x6f\x6c\x73\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\0\x76\x6d\x6c\x69\x6e\x75\x78\x2e\
\x68\0\x01\0\0\x74\x65\x73\x74\x5f\x6d\x61\x70\x5f\x69\x6e\x69\x74\x2e\x63\0\
\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\
\x03\0\0\0\x04\x02\0\x09\x02\0\0\0\0\0\0\0\0\x03\x14\x01\x05\x10\x0a\x16\x05\
\x11\x22\x05\x2b\x3a\x05\x06\x22\x05\x03\x21\x05\x02\x84\x02\x02\0\x01\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd2\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\0\0\0\0\0\x03\0\x70\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x13\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x64\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x02\x01\0\
\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x11\0\x05\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\xc1\0\0\0\x11\0\x05\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x5c\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8e\0\0\0\x12\
\0\x03\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\
\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\
\x50\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\
\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x16\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x37\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x44\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x4b\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x52\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x5e\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x67\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x73\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x80\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x87\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x8e\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x9a\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xaf\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\xb6\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xbd\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\xc9\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xd6\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\xe2\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xee\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\xfa\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x18\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\
\x35\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x4b\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\
\0\x75\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x8c\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\
\0\0\x92\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x98\x01\0\0\0\0\0\0\x0a\0\0\0\x06\
\0\0\0\x9e\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xa5\x01\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\xb3\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xbe\x01\0\0\0\0\0\0\x0a\0\0\
\0\x06\0\0\0\xc9\x01\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xcd\x01\0\0\0\0\0\0\x0a\0\
\0\0\x06\0\0\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\xcc\x01\0\0\0\0\0\0\0\0\0\
\0\x0d\0\0\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\xf0\x01\0\0\0\0\0\0\0\0\0\0\
\x0a\0\0\0\x08\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x14\0\0\0\0\
\0\0\0\x0a\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x7e\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x0e\x0b\x0d\x0a\x09\0\x69\x6e\x4b\x65\x79\0\x2e\x64\
\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\
\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\
\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\
\x69\x67\0\x69\x6e\x56\x61\x6c\x75\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\
\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x73\x79\x73\x65\x6e\x74\x65\x72\
\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\
\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\
\x67\x69\x64\0\x69\x6e\x50\x69\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\
\x74\x65\x73\x74\x5f\x6d\x61\x70\x5f\x69\x6e\x69\x74\x2e\x63\0\x2e\x73\x74\x72\
\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\
\x4c\x42\x42\x30\x5f\x32\0\x68\x61\x73\x68\x6d\x61\x70\x31\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe2\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x35\x10\0\0\0\0\0\0\x0b\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa3\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0c\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x16\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x28\0\0\0\x08\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\0\0\0\0\0\0\0\x23\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x01\0\0\0\0\0\0\x02\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\x02\0\0\0\0\0\0\xd9\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd0\x0c\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x16\0\0\0\x0a\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x33\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xe2\x03\0\0\0\0\0\0\xd4\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\xf6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb6\x05\
\0\0\0\0\0\0\xff\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xf2\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0f\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\x16\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1f\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\x09\0\0\0\0\0\0\xa0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0f\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x16\0\0\
\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x81\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x0a\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x16\0\0\0\x11\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x71\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\
\x0a\0\0\0\0\0\0\xa1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x6d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x10\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x16\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x4e\
\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x30\x10\0\0\0\0\0\0\
\x05\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xea\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0b\0\0\0\0\0\0\x68\x01\0\0\0\
\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_MAP_INIT_SKEL_H__ */
