/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_RINGBUF_MULTI_SKEL_H__
#define __TEST_RINGBUF_MULTI_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_ringbuf_multi {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *ringbuf1;
		struct bpf_map *ringbuf2;
		struct bpf_map *ringbuf_arr;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_ringbuf;
	} progs;
	struct {
		struct bpf_link *test_ringbuf;
	} links;
	struct test_ringbuf_multi__bss {
		int pid;
		int target_ring;
		long int value;
		long int total;
		long int dropped;
		long int skipped;
	} *bss;
};

static void
test_ringbuf_multi__destroy(struct test_ringbuf_multi *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_ringbuf_multi__create_skeleton(struct test_ringbuf_multi *obj);

static inline struct test_ringbuf_multi *
test_ringbuf_multi__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_ringbuf_multi *obj;

	obj = (struct test_ringbuf_multi *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_ringbuf_multi__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_ringbuf_multi__destroy(obj);
	return NULL;
}

static inline struct test_ringbuf_multi *
test_ringbuf_multi__open(void)
{
	return test_ringbuf_multi__open_opts(NULL);
}

static inline int
test_ringbuf_multi__load(struct test_ringbuf_multi *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_ringbuf_multi *
test_ringbuf_multi__open_and_load(void)
{
	struct test_ringbuf_multi *obj;

	obj = test_ringbuf_multi__open();
	if (!obj)
		return NULL;
	if (test_ringbuf_multi__load(obj)) {
		test_ringbuf_multi__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_ringbuf_multi__attach(struct test_ringbuf_multi *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_ringbuf_multi__detach(struct test_ringbuf_multi *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_ringbuf_multi__create_skeleton(struct test_ringbuf_multi *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_ringbuf_multi";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "ringbuf1";
	s->maps[0].map = &obj->maps.ringbuf1;

	s->maps[1].name = "ringbuf2";
	s->maps[1].map = &obj->maps.ringbuf2;

	s->maps[2].name = "ringbuf_arr";
	s->maps[2].map = &obj->maps.ringbuf_arr;

	s->maps[3].name = "test_rin.bss";
	s->maps[3].map = &obj->maps.bss;
	s->maps[3].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_ringbuf";
	s->progs[0].prog = &obj->progs.test_ringbuf;
	s->progs[0].link = &obj->links.test_ringbuf;

	s->data_sz = 8816;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x1c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x18\0\
\x01\0\x85\0\0\0\x0e\0\0\0\xb4\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x2b\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\x55\0\x03\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x08\0\0\0\0\0\
\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\x20\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x83\0\
\0\0\xbf\x07\0\0\0\0\0\0\x55\x07\x07\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\x06\0\0\
\x01\0\0\0\x05\0\x15\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\
\0\0\0\0\x63\x17\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x07\x01\0\0\x10\0\0\0\xb4\x02\
\0\0\x10\0\0\0\x85\0\0\0\x10\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\
\0\0\0\0\0\0\x7b\x17\x08\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\
\0\0\0\0\0\0\x63\x27\x04\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\
\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x84\0\0\0\xbc\x60\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa0\x01\0\0\0\
\0\0\0\x03\0\x11\0\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x60\0\
\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xa0\0\
\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\xc0\0\
\0\0\0\0\0\0\x01\0\x57\xe8\0\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\x01\0\x57\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\
\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\
\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\
\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x0b\x0b\
\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x09\
\x0f\0\x49\x13\0\0\x0a\x21\0\x49\x13\0\0\x0b\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\
\x3b\x0b\0\0\x0c\x21\0\x49\x13\x37\x05\0\0\x0d\x34\0\x03\x0e\x49\x13\x3a\x0b\
\x3b\x05\0\0\x0e\x15\0\x49\x13\x27\x19\0\0\x0f\x16\0\x49\x13\x03\x0e\x3a\x0b\
\x3b\x0b\0\0\x10\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x11\x15\x01\x49\x13\
\x27\x19\0\0\x12\x05\0\x49\x13\0\0\x13\x0f\0\0\0\x14\x26\0\0\0\x15\x15\x01\x27\
\x19\0\0\x16\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\
\x0b\x27\x19\x49\x13\x3f\x19\0\0\x17\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x18\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\0\x41\x03\0\0\x04\0\0\0\
\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5f\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\
\0\0\x02\xcf\0\0\0\x3f\0\0\0\x01\x07\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\
\x52\0\0\0\x04\0\x05\xd8\0\0\0\x06\x01\x06\xdd\0\0\0\x08\x07\x02\xf1\0\0\0\x6e\
\0\0\0\x01\x1b\x09\x03\0\0\0\0\0\0\0\0\x07\x18\x01\x16\x08\xfd\0\0\0\xa3\0\0\0\
\x01\x17\0\x08\x06\x01\0\0\xbb\0\0\0\x01\x18\x08\x08\x12\x01\0\0\xcc\0\0\0\x01\
\x19\x10\x08\x16\x01\0\0\xd1\0\0\0\x01\x1a\x18\0\x09\xa8\0\0\0\x03\xb4\0\0\0\
\x04\x52\0\0\0\x0c\0\x05\x02\x01\0\0\x05\x04\x09\xc0\0\0\0\x03\xb4\0\0\0\x04\
\x52\0\0\0\x04\0\x09\xb4\0\0\0\x03\xdc\0\0\0\x0a\x52\0\0\0\0\x09\xe1\0\0\0\x0b\
\x1d\x01\0\0\x10\x01\x10\x08\xfd\0\0\0\x02\x01\0\0\x01\x11\0\x08\x06\x01\0\0\
\x13\x01\0\0\x01\x12\x08\0\x09\x07\x01\0\0\x03\xb4\0\0\0\x04\x52\0\0\0\x1b\0\
\x09\x18\x01\0\0\x03\xb4\0\0\0\x0c\x52\0\0\0\0\x10\0\x02\x29\x01\0\0\xb4\0\0\0\
\x01\x23\x09\x03\0\0\0\0\0\0\0\0\x02\x2d\x01\0\0\xb4\0\0\0\x01\x24\x09\x03\0\0\
\0\0\0\0\0\0\x02\x39\x01\0\0\x64\x01\0\0\x01\x25\x09\x03\0\0\0\0\0\0\0\0\x05\
\x3f\x01\0\0\x05\x08\x02\x48\x01\0\0\x64\x01\0\0\x01\x28\x09\x03\0\0\0\0\0\0\0\
\0\x02\x4e\x01\0\0\x64\x01\0\0\x01\x29\x09\x03\0\0\0\0\0\0\0\0\x02\x56\x01\0\0\
\x64\x01\0\0\x01\x2a\x09\x03\0\0\0\0\0\0\0\0\x02\x5e\x01\0\0\xe1\0\0\0\x01\x13\
\x09\x03\0\0\0\0\0\0\0\0\x02\x67\x01\0\0\xe1\0\0\0\x01\x14\x09\x03\0\0\0\0\0\0\
\0\0\x0d\x70\x01\0\0\xe0\x01\0\0\x03\x68\x01\x09\xe5\x01\0\0\x0e\xea\x01\0\0\
\x0f\xf5\x01\0\0\xa0\x01\0\0\x02\x1f\x05\x89\x01\0\0\x07\x08\x10\xa6\x01\0\0\
\x07\x02\0\0\x03\x31\x09\x0c\x02\0\0\x11\x1c\x02\0\0\x12\x1c\x02\0\0\x12\x1d\
\x02\0\0\0\x13\x09\x22\x02\0\0\x14\x0d\xba\x01\0\0\x2f\x02\0\0\x03\x1f\x0c\x09\
\x34\x02\0\0\x11\x1c\x02\0\0\x12\x1c\x02\0\0\x12\xea\x01\0\0\x12\xea\x01\0\0\0\
\x0d\xce\x01\0\0\x55\x02\0\0\x03\x81\x01\x09\x5a\x02\0\0\x11\x64\x01\0\0\x12\
\x1c\x02\0\0\x12\x6a\x02\0\0\0\x0f\x75\x02\0\0\xf0\x01\0\0\x02\x1b\x05\xe3\x01\
\0\0\x07\x04\x0d\xf6\x01\0\0\x88\x02\0\0\x03\x2d\x0c\x09\x8d\x02\0\0\x15\x12\
\x1c\x02\0\0\x12\xea\x01\0\0\0\x16\0\0\0\0\0\0\0\0\xa0\x01\0\0\x01\x5a\x09\x02\
\0\0\x01\x2d\xb4\0\0\0\x17\x16\x02\0\0\x01\x2d\x1c\x02\0\0\x18\0\0\0\0\x1a\x02\
\0\0\x01\x32\xb4\0\0\0\x18\x25\0\0\0\x1f\x02\0\0\x01\x2f\xb4\0\0\0\x18\x48\0\0\
\0\x27\x02\0\0\x01\x31\x1c\x02\0\0\x18\x6b\0\0\0\x2a\x02\0\0\x01\x30\xfa\x02\0\
\0\0\x09\xff\x02\0\0\x0b\x2a\x02\0\0\x20\x01\x09\x08\x29\x01\0\0\xb4\0\0\0\x01\
\x0a\0\x08\x31\x02\0\0\xb4\0\0\0\x01\x0b\x04\x08\x39\x01\0\0\x64\x01\0\0\x01\
\x0c\x08\x08\x35\x02\0\0\x38\x03\0\0\x01\x0d\x10\0\x03\x4b\0\0\0\x04\x52\0\0\0\
\x10\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\
\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\
\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\
\x37\x35\x2b\x35\x65\x35\x32\x66\x39\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6d\x75\x6c\x74\x69\x2e\x63\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\
\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x72\x69\x6e\x67\x62\x75\x66\x5f\x61\
\x72\x72\0\x74\x79\x70\x65\0\x69\x6e\x74\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\x73\0\x72\x69\x6e\x67\x62\x75\x66\
\x5f\x6d\x61\x70\0\x70\x69\x64\0\x74\x61\x72\x67\x65\x74\x5f\x72\x69\x6e\x67\0\
\x76\x61\x6c\x75\x65\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x74\x6f\x74\x61\x6c\0\
\x64\x72\x6f\x70\x70\x65\x64\0\x73\x6b\x69\x70\x70\x65\x64\0\x72\x69\x6e\x67\
\x62\x75\x66\x31\0\x72\x69\x6e\x67\x62\x75\x66\x32\0\x62\x70\x66\x5f\x67\x65\
\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\0\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x65\x6c\x65\x6d\0\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x5f\x72\x65\x73\x65\x72\x76\x65\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\
\x72\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x5f\x73\x75\x62\x6d\x69\x74\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\
\0\x63\x74\x78\0\x7a\x65\x72\x6f\0\x63\x75\x72\x5f\x70\x69\x64\0\x72\x62\0\x73\
\x61\x6d\x70\x6c\x65\0\x73\x65\x71\0\x63\x6f\x6d\x6d\0\x9f\xeb\x01\0\x18\0\0\0\
\0\0\0\0\xe0\x02\0\0\xe0\x02\0\0\x0b\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\
\0\0\x1b\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x10\0\0\x19\0\0\0\x02\0\0\
\x04\x10\0\0\0\x25\0\0\0\x01\0\0\0\0\0\0\0\x2a\0\0\0\x05\0\0\0\x40\0\0\0\x36\0\
\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x3f\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0c\0\0\
\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x18\0\0\0\x25\0\
\0\0\x0a\0\0\0\0\0\0\0\x2a\0\0\0\x0c\0\0\0\x40\0\0\0\x48\0\0\0\x0e\0\0\0\x80\0\
\0\0\x4c\0\0\0\x10\0\0\0\xc0\0\0\0\x53\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5f\0\0\0\x13\0\0\0\x63\0\
\0\0\x01\0\0\x0c\x14\0\0\0\xb5\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x16\0\0\0\x04\0\0\0\x04\0\0\0\xba\x02\0\0\0\0\0\x0e\x17\0\0\
\0\x01\0\0\0\xc3\x02\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xc7\x02\0\0\0\0\0\x0e\
\x02\0\0\0\x01\0\0\0\xd3\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xdc\x02\0\0\0\
\0\0\x0e\x1b\0\0\0\x01\0\0\0\xe2\x02\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\xe8\x02\
\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\xf0\x02\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\
\xf8\x02\0\0\x06\0\0\x0f\0\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\0\x1a\0\0\0\0\0\0\0\
\x04\0\0\0\x1c\0\0\0\0\0\0\0\x08\0\0\0\x1d\0\0\0\0\0\0\0\x08\0\0\0\x1e\0\0\0\0\
\0\0\0\x08\0\0\0\x1f\0\0\0\0\0\0\0\x08\0\0\0\xfd\x02\0\0\x03\0\0\x0f\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\0\0\0\0\x10\0\0\0\x12\0\0\0\0\0\0\0\x30\
\0\0\0\x03\x03\0\0\x01\0\0\x0f\0\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\
\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x72\x69\x6e\x67\x62\x75\x66\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\x6d\x61\
\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x72\x69\x6e\x67\x62\x75\x66\x31\0\x72\
\x69\x6e\x67\x62\x75\x66\x32\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\x73\0\x72\x69\
\x6e\x67\x62\x75\x66\x5f\x61\x72\x72\0\x63\x74\x78\0\x74\x65\x73\x74\x5f\x72\
\x69\x6e\x67\x62\x75\x66\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\
\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\
\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\
\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6d\x75\x6c\x74\x69\
\x2e\x63\0\x09\x69\x6e\x74\x20\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\
\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x63\x75\
\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x72\x62\x20\x3d\x20\
\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\
\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x5f\x61\x72\x72\x2c\x20\x26\x74\x61\x72\
\x67\x65\x74\x5f\x72\x69\x6e\x67\x29\x3b\0\x09\x69\x66\x20\x28\x21\x72\x62\x29\
\x20\x7b\0\x09\x09\x73\x6b\x69\x70\x70\x65\x64\x20\x2b\x3d\x20\x31\x3b\0\x09\
\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\
\x66\x5f\x72\x65\x73\x65\x72\x76\x65\x28\x72\x62\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\
\x28\x21\x73\x61\x6d\x70\x6c\x65\x29\x20\x7b\0\x09\x09\x64\x72\x6f\x70\x70\x65\
\x64\x20\x2b\x3d\x20\x31\x3b\0\x09\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x70\x69\x64\
\x20\x3d\x20\x70\x69\x64\x3b\0\x09\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\
\x72\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\x28\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x63\
\x6f\x6d\x6d\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x61\x6d\x70\x6c\x65\x2d\
\x3e\x63\x6f\x6d\x6d\x29\x29\x3b\0\x09\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x76\x61\
\x6c\x75\x65\x20\x3d\x20\x76\x61\x6c\x75\x65\x3b\0\x09\x73\x61\x6d\x70\x6c\x65\
\x2d\x3e\x73\x65\x71\x20\x3d\x20\x74\x6f\x74\x61\x6c\x3b\0\x09\x74\x6f\x74\x61\
\x6c\x20\x2b\x3d\x20\x31\x3b\0\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x5f\x73\x75\x62\x6d\x69\x74\x28\x73\x61\x6d\x70\x6c\x65\x2c\x20\x30\x29\x3b\0\
\x7d\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x74\
\x61\x72\x67\x65\x74\x5f\x72\x69\x6e\x67\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\
\x76\x61\x6c\x75\x65\0\x74\x6f\x74\x61\x6c\0\x64\x72\x6f\x70\x70\x65\x64\0\x73\
\x6b\x69\x70\x70\x65\x64\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x6c\x01\
\0\0\x80\x01\0\0\0\0\0\0\x08\0\0\0\x70\0\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x10\0\
\0\0\x70\0\0\0\x16\0\0\0\0\0\0\0\x8e\0\0\0\x19\x01\0\0\x10\xbc\0\0\x10\0\0\0\
\x8e\0\0\0\x4a\x01\0\0\x11\xd0\0\0\x28\0\0\0\x8e\0\0\0\x19\x01\0\0\x2b\xbc\0\0\
\x30\0\0\0\x8e\0\0\0\x4a\x01\0\0\x06\xd0\0\0\x38\0\0\0\x8e\0\0\0\x5f\x01\0\0\
\x07\xdc\0\0\x60\0\0\0\x8e\0\0\0\x96\x01\0\0\x06\xe0\0\0\x68\0\0\0\x8e\0\0\0\
\xa2\x01\0\0\x0b\xe4\0\0\x80\0\0\0\x8e\0\0\0\xb2\x01\0\0\x0b\xf4\0\0\xa8\0\0\0\
\x8e\0\0\0\xe9\x01\0\0\x06\xf8\0\0\xb0\0\0\0\x8e\0\0\0\xf9\x01\0\0\x0b\xfc\0\0\
\xc0\0\0\0\x8e\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\x8e\0\0\0\x09\x02\0\0\x10\x0c\
\x01\0\0\x01\0\0\x8e\0\0\0\x09\x02\0\0\x0e\x0c\x01\0\x08\x01\0\0\x8e\0\0\0\x1d\
\x02\0\0\x1f\x10\x01\0\x18\x01\0\0\x8e\0\0\0\x1d\x02\0\0\x02\x10\x01\0\x28\x01\
\0\0\x8e\0\0\0\x58\x02\0\0\x12\x14\x01\0\x40\x01\0\0\x8e\0\0\0\x58\x02\0\0\x10\
\x14\x01\0\x48\x01\0\0\x8e\0\0\0\x70\x02\0\0\x10\x1c\x01\0\x60\x01\0\0\x8e\0\0\
\0\x70\x02\0\0\x0e\x1c\x01\0\x68\x01\0\0\x8e\0\0\0\x86\x02\0\0\x08\x20\x01\0\
\x78\x01\0\0\x8e\0\0\0\x93\x02\0\0\x02\x28\x01\0\x90\x01\0\0\x8e\0\0\0\xb3\x02\
\0\0\x01\x34\x01\0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\
\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\xee\0\0\0\x04\0\x80\0\
\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\
\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\
\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\
\x65\x2f\x62\x70\x66\0\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x6d\x75\x6c\x74\x69\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\
\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\
\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x2d\x01\x05\x10\x0a\x13\x06\x03\x51\
\x20\x05\x11\x06\x03\x34\x20\x05\x2b\x37\x05\x06\x25\x05\x07\x23\x05\x06\x59\
\x05\x0b\x21\x40\x05\x06\x59\x05\x0b\x21\x05\0\x06\x03\x41\x2e\x05\x10\x06\x03\
\xc3\0\x58\x05\x0e\x06\x3c\x05\x1f\x06\x21\x05\x02\x06\x2e\x05\x12\x06\x2f\x05\
\x10\x06\x3c\x06\x22\x05\x0e\x06\x3c\x05\x08\x06\x21\x05\x02\x30\x05\x01\x3f\
\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xf6\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\x01\0\0\0\0\x03\0\
\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\x01\0\0\0\0\x03\0\x80\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x2b\x01\0\0\0\0\x03\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x01\0\
\0\0\0\x03\0\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0d\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\0\0\0\x11\0\x05\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xdb\0\0\0\x11\0\x08\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\xb5\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x49\x01\0\0\x11\
\0\x06\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x40\x01\0\0\x11\0\x06\0\x10\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x3c\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x30\0\0\0\0\0\
\0\0\xe3\0\0\0\x11\0\x08\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x5e\0\0\0\x11\0\
\x08\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x78\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\
\0\xa0\x01\0\0\0\0\0\0\x58\0\0\0\x11\0\x08\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x85\0\0\0\x11\0\x08\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x01\0\0\0\x0e\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x48\0\0\0\0\0\0\0\
\x01\0\0\0\x13\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\xb0\0\0\0\0\0\0\0\
\x01\0\0\0\x0d\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x28\x01\0\0\0\0\0\0\
\x01\0\0\0\x16\0\0\0\x48\x01\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x38\0\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x06\0\0\0\0\0\0\0\
\x0a\0\0\0\x08\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x12\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x1a\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x2b\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x4c\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x5a\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x73\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x7f\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x8b\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x97\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xb5\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\xe2\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xea\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\xf6\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x26\x01\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x32\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x3b\x01\0\0\0\0\0\
\0\x0a\0\0\0\x09\0\0\0\x47\x01\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x50\x01\0\0\0\0\
\0\0\x0a\0\0\0\x09\0\0\0\x5c\x01\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x65\x01\0\0\0\
\0\0\0\x0a\0\0\0\x09\0\0\0\x6c\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x78\x01\0\0\
\0\0\0\0\x01\0\0\0\x15\0\0\0\x81\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x8d\x01\0\
\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x96\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xa2\x01\
\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\xab\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xb7\
\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\xc0\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\xcc\x01\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\xd5\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\
\0\xef\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xf6\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\
\0\0\xfd\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x24\x02\0\0\0\0\0\0\x0a\0\0\0\x09\
\0\0\0\x4a\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x6f\x02\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\x76\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x7d\x02\0\0\0\0\0\0\x0a\0\0\
\0\x09\0\0\0\x9a\x02\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xa8\x02\0\0\0\0\0\0\x0a\0\
\0\0\x09\0\0\0\xb3\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xbe\x02\0\0\0\0\0\0\x0a\
\0\0\0\x07\0\0\0\xc2\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xcd\x02\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\xd1\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xdc\x02\0\0\0\0\0\
\0\x0a\0\0\0\x07\0\0\0\xe0\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xeb\x02\0\0\0\0\
\0\0\x0a\0\0\0\x07\0\0\0\xef\x02\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\0\x03\0\0\0\0\
\0\0\x0a\0\0\0\x09\0\0\0\x08\x03\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x14\x03\0\0\0\
\0\0\0\x0a\0\0\0\x09\0\0\0\x20\x03\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x2c\x03\0\0\
\0\0\0\0\x0a\0\0\0\x09\0\0\0\x6c\x02\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x78\x02\0\0\
\0\0\0\0\0\0\0\0\x13\0\0\0\x84\x02\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\x90\x02\0\0\0\
\0\0\0\0\0\0\0\x15\0\0\0\x9c\x02\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\xa8\x02\0\0\0\0\
\0\0\0\0\0\0\x12\0\0\0\xc0\x02\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\xcc\x02\0\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\xd8\x02\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\xf0\x02\0\0\0\0\0\0\
\0\0\0\0\x0c\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\x06\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x06\
\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\x90\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xb0\0\
\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xd0\0\0\0\0\
\0\0\0\0\0\0\0\x06\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xf0\0\0\0\0\0\0\0\
\0\0\0\0\x06\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x10\x01\0\0\0\0\0\0\0\0\
\0\0\x06\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\
\0\x06\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x60\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x90\x01\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x8d\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x14\x0c\x0f\x10\x11\x13\0\x2e\
\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\
\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x62\x73\x73\0\x2e\x72\x65\
\x6c\x2e\x6d\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x72\x69\
\x6e\x67\x62\x75\x66\x5f\x61\x72\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\
\x5f\x69\x6e\x66\x6f\0\x74\x6f\x74\x61\x6c\0\x74\x61\x72\x67\x65\x74\x5f\x72\
\x69\x6e\x67\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x74\x65\
\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x76\x61\x6c\x75\x65\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\
\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x70\
\x69\x64\0\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\x64\x72\x6f\
\x70\x70\x65\x64\0\x73\x6b\x69\x70\x70\x65\x64\0\x2e\x64\x65\x62\x75\x67\x5f\
\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6d\x75\x6c\
\x74\x69\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\
\x5f\x36\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x33\0\x72\x69\x6e\x67\
\x62\x75\x66\x32\0\x72\x69\x6e\x67\x62\x75\x66\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x1e\x1b\0\0\0\0\0\0\x52\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbd\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb9\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x14\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x17\0\0\
\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8c\0\0\0\x01\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x14\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x17\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\
\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xeb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\xa1\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd9\x02\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe9\x03\0\0\0\0\0\0\x45\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xf8\x14\0\0\0\0\0\0\xe0\x03\0\0\0\0\0\0\x17\0\0\0\x0b\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x2e\x07\0\0\0\0\0\0\x3a\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x1f\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\
\x09\0\0\0\0\0\0\x03\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x1b\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x18\0\0\0\0\
\0\0\xa0\0\0\0\0\0\0\0\x17\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\x0f\0\0\0\0\0\0\xa0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x19\0\0\0\0\0\0\x70\x01\0\0\0\0\
\0\0\x17\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa8\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x11\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xe8\x1a\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x17\0\0\0\x12\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x98\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x38\x11\0\0\0\0\0\0\xf2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x1b\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x17\0\0\0\x14\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x6a\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x1b\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x13\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x12\0\0\0\0\
\0\0\x28\x02\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_RINGBUF_MULTI_SKEL_H__ */
