/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SUBPROGS_UNUSED_SKEL_H__
#define __TEST_SUBPROGS_UNUSED_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_subprogs_unused {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *main_prog;
	} progs;
	struct {
		struct bpf_link *main_prog;
	} links;
};

static void
test_subprogs_unused__destroy(struct test_subprogs_unused *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_subprogs_unused__create_skeleton(struct test_subprogs_unused *obj);

static inline struct test_subprogs_unused *
test_subprogs_unused__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_subprogs_unused *obj;

	obj = (struct test_subprogs_unused *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_subprogs_unused__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_subprogs_unused__destroy(obj);
	return NULL;
}

static inline struct test_subprogs_unused *
test_subprogs_unused__open(void)
{
	return test_subprogs_unused__open_opts(NULL);
}

static inline int
test_subprogs_unused__load(struct test_subprogs_unused *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_subprogs_unused *
test_subprogs_unused__open_and_load(void)
{
	struct test_subprogs_unused *obj;

	obj = test_subprogs_unused__open();
	if (!obj)
		return NULL;
	if (test_subprogs_unused__load(obj)) {
		test_subprogs_unused__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_subprogs_unused__attach(struct test_subprogs_unused *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_subprogs_unused__detach(struct test_subprogs_unused *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_subprogs_unused__create_skeleton(struct test_subprogs_unused *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_subprogs_unused";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "main_prog";
	s->progs[0].prog = &obj->progs.main_prog;
	s->progs[0].link = &obj->links.main_prog;

	s->data_sz = 4296;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x17\0\
\x01\0\xbc\x10\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\x51\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\
\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\
\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\
\0\0\x05\x26\0\x49\x13\0\0\x06\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x07\x24\0\x03\
\x0e\x0b\x0b\x3e\x0b\0\0\x08\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\
\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x09\x05\0\x02\x17\x03\x0e\x3a\
\x0b\x3b\x0b\x49\x13\0\0\x0a\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0b\x0f\
\0\0\0\0\xb1\0\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x61\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xd1\0\0\0\x3f\0\0\0\x01\x05\x09\x03\0\0\0\0\0\
\0\0\0\x03\x4b\0\0\0\x04\x57\0\0\0\x04\0\x05\x50\0\0\0\x06\xd9\0\0\0\x06\x01\
\x07\xde\0\0\0\x08\x07\x08\0\0\0\0\0\0\0\0\x18\0\0\0\x01\x5a\xf2\0\0\0\x01\x07\
\xac\0\0\0\x09\0\0\0\0\x08\x01\0\0\x01\x07\xac\0\0\0\0\x08\0\0\0\0\0\0\0\0\x10\
\0\0\0\x01\x5a\xfe\0\0\0\x01\x12\xac\0\0\0\x0a\x0a\x01\0\0\x01\x12\xb3\0\0\0\0\
\x06\xfa\0\0\0\x05\x04\x0b\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\
\x65\x72\x73\x69\x6f\x6e\x20\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\
\x48\x61\x74\x20\x31\x32\x2e\x30\x2e\x31\x2d\x32\x2e\x6d\x6f\x64\x75\x6c\x65\
\x5f\x65\x6c\x38\x2e\x35\x2e\x30\x2b\x39\x37\x35\x2b\x35\x65\x35\x32\x66\x39\
\x39\x34\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x75\x62\x70\x72\
\x6f\x67\x73\x5f\x75\x6e\x75\x73\x65\x64\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\
\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\
\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x4c\x49\x43\x45\x4e\x53\x45\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x75\x6e\x75\x73\x65\x64\x31\0\x69\x6e\x74\0\x6d\x61\x69\x6e\x5f\x70\
\x72\x6f\x67\0\x78\0\x63\x74\x78\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc8\0\0\0\
\xc8\0\0\0\x3a\x01\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\x01\0\
\0\x0d\x01\0\0\0\x05\0\0\0\x01\0\0\0\x07\0\0\0\x01\0\0\x0c\x02\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x01\0\0\0\xe7\0\0\0\x04\0\0\0\xeb\0\0\0\
\x01\0\0\x0c\x05\0\0\0\0\0\0\0\0\0\0\x0a\x08\0\0\0\x11\x01\0\0\0\0\0\x01\x01\0\
\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\x0a\0\0\0\x04\0\0\0\x16\
\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x2a\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\
\0\x32\x01\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\
\x78\0\x75\x6e\x75\x73\x65\x64\x31\0\x2e\x74\x65\x78\x74\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x34\x38\x2e\x37\x2e\x31\
\x2e\x65\x6c\x38\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x33\x34\x38\x2e\x37\x2e\x31\x2e\x65\x6c\x38\x5f\x35\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x73\x75\x62\x70\x72\x6f\x67\x73\x5f\x75\x6e\x75\x73\x65\x64\
\x2e\x63\0\x5f\x5f\x61\x74\x74\x72\x69\x62\x75\x74\x65\x5f\x5f\x28\x28\x75\x6e\
\x75\x73\x65\x64\x29\x29\x20\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\
\x6e\x74\x20\x75\x6e\x75\x73\x65\x64\x31\x28\x69\x6e\x74\x20\x78\x29\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x78\x20\x2b\x20\x31\x3b\0\x63\x74\x78\0\x6d\x61\x69\
\x6e\x5f\x70\x72\x6f\x67\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\
\x49\x43\x45\x4e\x53\x45\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\
\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x54\0\0\0\x78\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\xf5\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x10\0\0\0\
\x0f\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\xa2\0\0\0\0\x1c\0\0\x08\0\0\0\x15\0\0\0\
\xd8\0\0\0\x0b\x24\0\0\x10\0\0\0\x15\0\0\0\xd8\0\0\0\x02\x24\0\0\xf5\0\0\0\x01\
\0\0\0\0\0\0\0\x15\0\0\0\x06\x01\0\0\x02\x50\0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\
\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6a\0\0\0\x04\0\x34\0\
\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\
\x67\x73\0\0\x74\x65\x73\x74\x5f\x73\x75\x62\x70\x72\x6f\x67\x73\x5f\x75\x6e\
\x75\x73\x65\x64\x2e\x63\0\x01\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x19\x05\x0b\x0a\
\x21\x05\x02\x06\x20\x02\x01\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x12\x01\
\x05\x02\x0a\x13\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb0\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x13\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe0\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe8\0\0\0\x12\0\x02\0\0\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\
\0\x0a\0\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x12\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x1a\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x26\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x2b\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x51\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x58\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x5f\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x6d\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x78\0\0\0\0\0\0\0\
\x0a\0\0\0\x04\0\0\0\x7c\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x88\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x96\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xa1\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\xad\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\xd8\0\0\0\0\0\0\0\x0a\0\0\
\0\x0a\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x70\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x14\0\
\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x2c\0\0\
\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x41\0\0\0\
\0\0\0\0\x01\0\0\0\x02\0\0\0\x5a\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x0b\x0a\0\
\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x64\x65\
\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\
\x72\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x6d\x61\x69\x6e\x5f\
\x70\x72\x6f\x67\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\
\x73\x75\x62\x70\x72\x6f\x67\x73\x5f\x75\x6e\x75\x73\x65\x64\x2e\x63\0\x2e\x73\
\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x75\x6e\x75\x73\x65\x64\x31\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc7\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x0a\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x58\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x78\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa5\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\0\0\0\0\x46\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\0\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x07\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x16\0\0\0\x05\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb2\0\0\0\0\0\0\0\x8d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3f\x01\0\0\0\0\0\0\xb5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x50\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x07\0\0\0\0\
\0\0\x20\x01\0\0\0\0\0\0\x16\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x26\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf4\x01\0\0\0\0\0\0\x30\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x16\
\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x34\0\0\0\x01\0\0\0\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x02\0\0\0\0\0\0\x0e\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xdb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x32\x03\0\0\0\0\0\0\x1a\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\x09\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x16\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\x05\
\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x09\0\0\0\0\0\0\x60\
\0\0\0\0\0\0\0\x16\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x94\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x05\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x16\0\0\0\
\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x84\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x28\x06\0\0\0\0\0\0\x6e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xf0\x09\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x16\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x6a\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\
\0\x10\x0a\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xcf\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x06\0\0\
\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_SUBPROGS_UNUSED_SKEL_H__ */
